local L1UI, E, L, V, P, G = unpack(select(2, ...))

local IsAddOnLoaded = IsAddOnLoaded

-- ElvUI Layouts for all WoW versions
function L1UI:SetupLayout(layout)

	-- Create the profiles and set the name
	if layout == 'dps' then
		E.data:SetProfile('Luckyone DPS/TANK v'..L1UI.Version)
	elseif layout == 'healer' then
		E.data:SetProfile('Luckyone Healing v'..L1UI.Version)
	end

	-- ElvUI scale and CVar setup
	L1UI:SetupScale()

	-- Global DB and custom DataText setup
	L1UI:SetupGlobal()

	-- Fonts and textures
	L1UI:SetupPrivate()

	-- AddOnSkins profile
	if IsAddOnLoaded('AddOnSkins') then L1UI:Get_AddOnSkins_Profile() end

	-- ProjectAzilroka profile
	if IsAddOnLoaded('ProjectAzilroka') then L1UI:Get_ProjectAzilroka_Profile() end

	-- Shadow & Light profile
	if IsAddOnLoaded('ElvUI_SLE') and E.Retail then L1UI:Get_ShadowAndLight_Profile() end

	-- AB conversion
	E.db["convertPages"] = true

	-- General
	E.db["general"]["afkChat"] = false
	E.db["general"]["altPowerBar"]["font"] = "Expressway"
	E.db["general"]["altPowerBar"]["statusBar"] = "Minimalist"
	E.db["general"]["autoAcceptInvite"] = true
	E.db["general"]["autoRepair"] = E.Retail and "GUILD" or "PLAYER"
	E.db["general"]["backdropcolor"]["b"] = 0.10196078431373
	E.db["general"]["backdropcolor"]["g"] = 0.10196078431373
	E.db["general"]["backdropcolor"]["r"] = 0.10196078431373
	E.db["general"]["backdropfadecolor"]["a"] = 0.75
	E.db["general"]["backdropfadecolor"]["b"] = 0.058823529411765
	E.db["general"]["backdropfadecolor"]["g"] = 0.058823529411765
	E.db["general"]["backdropfadecolor"]["r"] = 0.058823529411765
	E.db["general"]["bonusObjectivePosition"] = "AUTO"
	E.db["general"]["bottomPanel"] = false
	E.db["general"]["customGlow"]["style"] = "Autocast Shine"
	E.db["general"]["customGlow"]["useColor"] = true
	E.db["general"]["durabilityScale"] = 1
	E.db["general"]["enhancedPvpMessages"] = false
	E.db["general"]["interruptAnnounce"] = "EMOTE"
	E.db["general"]["itemLevel"]["itemLevelFont"] = "Expressway"
	E.db["general"]["itemLevel"]["itemLevelFontSize"] = 11
	E.db["general"]["loginmessage"] = false
	E.db["general"]["lootRoll"]["buttonSize"] = 22
	E.db["general"]["lootRoll"]["spacing"] = 3
	E.db["general"]["lootRoll"]["statusBarTexture"] = "Minimalist"
	E.db["general"]["lootRoll"]["style"] = "fullbar"
	E.db["general"]["lootRoll"]["width"] = 340
	E.db["general"]["minimap"]["icons"]["difficulty"]["position"] = "TOPRIGHT"
	E.db["general"]["minimap"]["icons"]["difficulty"]["scale"] = 0.9
	E.db["general"]["minimap"]["icons"]["lfgEye"]["position"] = "BOTTOMLEFT"
	E.db["general"]["minimap"]["icons"]["lfgEye"]["scale"] = 1.1
	E.db["general"]["minimap"]["icons"]["lfgEye"]["xOffset"] = -2
	E.db["general"]["minimap"]["icons"]["lfgEye"]["yOffset"] = -2
	E.db["general"]["minimap"]["locationFont"] = "Expressway"
	E.db["general"]["minimap"]["locationFontSize"] = 14
	E.db["general"]["minimap"]["locationText"] = "SHOW"
	E.db["general"]["minimap"]["resetZoom"]["time"] = 15
	E.db["general"]["minimap"]["size"] = 161
	E.db["general"]["objectiveFrameAutoHide"] = false
	E.db["general"]["objectiveFrameHeight"] = 600
	E.db["general"]["smoothingAmount"] = 0.75
	E.db["general"]["talkingHeadFrameBackdrop"] = true
	E.db["general"]["talkingHeadFrameScale"] = 0.72
	E.db["general"]["totems"]["enable"] = false
	E.db["general"]["vehicleSeatIndicatorSize"] = 64

	-- ActionBars
	E.db["actionbar"]["bar1"]["alpha"] = 1
	E.db["actionbar"]["bar1"]["buttonSize"] = 28
	E.db["actionbar"]["bar1"]["countFont"] = "Expressway"
	E.db["actionbar"]["bar1"]["countFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar1"]["countTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar1"]["hotkeyFont"] = "Expressway"
	E.db["actionbar"]["bar1"]["hotkeyFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar1"]["hotkeyTextPosition"] = "TOPLEFT"
	E.db["actionbar"]["bar1"]["hotkeyTextYOffset"] = -1
	E.db["actionbar"]["bar1"]["macroFont"] = "Expressway"
	E.db["actionbar"]["bar1"]["macroFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar1"]["macrotext"] = true
	E.db["actionbar"]["bar1"]["macroTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar1"]["macroTextYOffset"] = 1
	E.db["actionbar"]["bar2"]["alpha"] = 1
	E.db["actionbar"]["bar2"]["buttonSize"] = 28
	E.db["actionbar"]["bar2"]["countFont"] = "Expressway"
	E.db["actionbar"]["bar2"]["countFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar2"]["countTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar2"]["enabled"] = true
	E.db["actionbar"]["bar2"]["hotkeyFont"] = "Expressway"
	E.db["actionbar"]["bar2"]["hotkeyFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar2"]["hotkeyTextPosition"] = "TOPLEFT"
	E.db["actionbar"]["bar2"]["hotkeyTextYOffset"] = -1
	E.db["actionbar"]["bar2"]["macroFont"] = "Expressway"
	E.db["actionbar"]["bar2"]["macroFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar2"]["macrotext"] = true
	E.db["actionbar"]["bar2"]["macroTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar2"]["macroTextYOffset"] = 1
	E.db["actionbar"]["bar3"]["alpha"] = 1
	E.db["actionbar"]["bar3"]["buttons"] = 12
	E.db["actionbar"]["bar3"]["buttonSize"] = 28
	E.db["actionbar"]["bar3"]["buttonsPerRow"] = 12
	E.db["actionbar"]["bar3"]["countFont"] = "Expressway"
	E.db["actionbar"]["bar3"]["countFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar3"]["countTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar3"]["hotkeyFont"] = "Expressway"
	E.db["actionbar"]["bar3"]["hotkeyFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar3"]["hotkeyTextPosition"] = "TOPLEFT"
	E.db["actionbar"]["bar3"]["hotkeyTextYOffset"] = -1
	E.db["actionbar"]["bar3"]["macroFont"] = "Expressway"
	E.db["actionbar"]["bar3"]["macroFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar3"]["macrotext"] = true
	E.db["actionbar"]["bar3"]["macroTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar3"]["macroTextYOffset"] = 1
	E.db["actionbar"]["bar4"]["alpha"] = 1
	E.db["actionbar"]["bar4"]["backdrop"] = false
	E.db["actionbar"]["bar4"]["buttons"] = 12
	E.db["actionbar"]["bar4"]["buttonSize"] = 28
	E.db["actionbar"]["bar4"]["buttonsPerRow"] = E.Retail and 12 or 6
	E.db["actionbar"]["bar4"]["countFont"] = "Expressway"
	E.db["actionbar"]["bar4"]["countFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar4"]["countTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar4"]["enabled"] = not E.Retail
	E.db["actionbar"]["bar4"]["hotkeyFont"] = "Expressway"
	E.db["actionbar"]["bar4"]["hotkeyFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar4"]["hotkeyTextPosition"] = "TOPLEFT"
	E.db["actionbar"]["bar4"]["hotkeyTextYOffset"] = -1
	E.db["actionbar"]["bar4"]["macroFont"] = "Expressway"
	E.db["actionbar"]["bar4"]["macroFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar4"]["macrotext"] = true
	E.db["actionbar"]["bar4"]["macroTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar4"]["macroTextYOffset"] = 1
	E.db["actionbar"]["bar4"]["mouseover"] = not E.Retail
	E.db["actionbar"]["bar4"]["point"] = "BOTTOMLEFT"
	E.db["actionbar"]["bar5"]["alpha"] = 1
	E.db["actionbar"]["bar5"]["buttons"] = 12
	E.db["actionbar"]["bar5"]["buttonSize"] = 28
	E.db["actionbar"]["bar5"]["buttonsPerRow"] = 1
	E.db["actionbar"]["bar5"]["countFont"] = "Expressway"
	E.db["actionbar"]["bar5"]["countFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar5"]["countTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar5"]["enabled"] = true
	E.db["actionbar"]["bar5"]["hotkeyFont"] = "Expressway"
	E.db["actionbar"]["bar5"]["hotkeyFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar5"]["hotkeyTextPosition"] = "TOPLEFT"
	E.db["actionbar"]["bar5"]["hotkeyTextYOffset"] = -1
	E.db["actionbar"]["bar5"]["macroFont"] = "Expressway"
	E.db["actionbar"]["bar5"]["macroFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar5"]["macrotext"] = true
	E.db["actionbar"]["bar5"]["macroTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar5"]["macroTextYOffset"] = 1
	E.db["actionbar"]["bar5"]["mouseover"] = true
	E.db["actionbar"]["bar6"]["alpha"] = 1
	E.db["actionbar"]["bar6"]["buttons"] = 12
	E.db["actionbar"]["bar6"]["buttonSize"] = 28
	E.db["actionbar"]["bar6"]["buttonsPerRow"] = E.Retail and 12 or 6
	E.db["actionbar"]["bar6"]["countFont"] = "Expressway"
	E.db["actionbar"]["bar6"]["countFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar6"]["countTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar6"]["enabled"] = not E.Retail
	E.db["actionbar"]["bar6"]["hotkeyFont"] = "Expressway"
	E.db["actionbar"]["bar6"]["hotkeyFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar6"]["hotkeyTextPosition"] = "TOPLEFT"
	E.db["actionbar"]["bar6"]["hotkeyTextYOffset"] = -1
	E.db["actionbar"]["bar6"]["macroFont"] = "Expressway"
	E.db["actionbar"]["bar6"]["macroFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar6"]["macrotext"] = true
	E.db["actionbar"]["bar6"]["macroTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar6"]["macroTextYOffset"] = 1
	E.db["actionbar"]["bar6"]["mouseover"] = not E.Retail
	E.db["actionbar"]["bar7"]["alpha"] = 1
	E.db["actionbar"]["bar7"]["buttonSize"] = 28
	E.db["actionbar"]["bar7"]["countFont"] = "Expressway"
	E.db["actionbar"]["bar7"]["countFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar7"]["countTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar7"]["hotkeyFont"] = "Expressway"
	E.db["actionbar"]["bar7"]["hotkeyFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar7"]["hotkeyTextPosition"] = "TOPLEFT"
	E.db["actionbar"]["bar7"]["hotkeyTextYOffset"] = -1
	E.db["actionbar"]["bar7"]["macroFont"] = "Expressway"
	E.db["actionbar"]["bar7"]["macroFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar7"]["macrotext"] = true
	E.db["actionbar"]["bar7"]["macroTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar7"]["macroTextYOffset"] = 1
	E.db["actionbar"]["bar8"]["alpha"] = 1
	E.db["actionbar"]["bar8"]["buttonSize"] = 28
	E.db["actionbar"]["bar8"]["countFont"] = "Expressway"
	E.db["actionbar"]["bar8"]["countFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar8"]["countTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar8"]["hotkeyFont"] = "Expressway"
	E.db["actionbar"]["bar8"]["hotkeyFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar8"]["hotkeyTextPosition"] = "TOPLEFT"
	E.db["actionbar"]["bar8"]["hotkeyTextYOffset"] = -1
	E.db["actionbar"]["bar8"]["macroFont"] = "Expressway"
	E.db["actionbar"]["bar8"]["macroFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar8"]["macrotext"] = true
	E.db["actionbar"]["bar8"]["macroTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar8"]["macroTextYOffset"] = 1
	E.db["actionbar"]["bar9"]["alpha"] = 1
	E.db["actionbar"]["bar9"]["buttonSize"] = 28
	E.db["actionbar"]["bar9"]["countFont"] = "Expressway"
	E.db["actionbar"]["bar9"]["countFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar9"]["countTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar9"]["hotkeyFont"] = "Expressway"
	E.db["actionbar"]["bar9"]["hotkeyFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar9"]["hotkeyTextPosition"] = "TOPLEFT"
	E.db["actionbar"]["bar9"]["hotkeyTextYOffset"] = -1
	E.db["actionbar"]["bar9"]["macroFont"] = "Expressway"
	E.db["actionbar"]["bar9"]["macroFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar9"]["macrotext"] = true
	E.db["actionbar"]["bar9"]["macroTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar9"]["macroTextYOffset"] = 1
	E.db["actionbar"]["bar10"]["alpha"] = 1
	E.db["actionbar"]["bar10"]["buttonSize"] = 28
	E.db["actionbar"]["bar10"]["countFont"] = "Expressway"
	E.db["actionbar"]["bar10"]["countFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar10"]["countTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar10"]["hotkeyFont"] = "Expressway"
	E.db["actionbar"]["bar10"]["hotkeyFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar10"]["hotkeyTextPosition"] = "TOPLEFT"
	E.db["actionbar"]["bar10"]["hotkeyTextYOffset"] = -1
	E.db["actionbar"]["bar10"]["macroFont"] = "Expressway"
	E.db["actionbar"]["bar10"]["macroFontOutline"] = "OUTLINE"
	E.db["actionbar"]["bar10"]["macrotext"] = true
	E.db["actionbar"]["bar10"]["macroTextPosition"] = "BOTTOM"
	E.db["actionbar"]["bar10"]["macroTextYOffset"] = 1
	E.db["actionbar"]["barPet"]["alpha"] = 1
	E.db["actionbar"]["barPet"]["backdrop"] = false
	E.db["actionbar"]["barPet"]["buttonSize"] = 28
	E.db["actionbar"]["barPet"]["buttonsPerRow"] = 10
	E.db["actionbar"]["barPet"]["countFont"] = "Expressway"
	E.db["actionbar"]["barPet"]["countFontOutline"] = "OUTLINE"
	E.db["actionbar"]["barPet"]["hotkeyFont"] = "Expressway"
	E.db["actionbar"]["barPet"]["hotkeyFontOutline"] = "OUTLINE"
	E.db["actionbar"]["barPet"]["hotkeyTextPosition"] = "TOPLEFT"
	E.db["actionbar"]["barPet"]["hotkeyTextYOffset"] = -1
	E.db["actionbar"]["barPet"]["point"] = "TOPLEFT"
	E.db["actionbar"]["cooldown"]["daysIndicator"]["g"] = 0.4
	E.db["actionbar"]["cooldown"]["daysIndicator"]["r"] = 0.4
	E.db["actionbar"]["cooldown"]["expireIndicator"]["b"] = 0
	E.db["actionbar"]["cooldown"]["expireIndicator"]["g"] = 0
	E.db["actionbar"]["cooldown"]["hoursIndicator"]["r"] = 0.4
	E.db["actionbar"]["cooldown"]["override"] = false
	E.db["actionbar"]["countTextPosition"] = "BOTTOM"
	E.db["actionbar"]["countTextYOffset"] = 1
	E.db["actionbar"]["extraActionButton"]["alpha"] = 1
	E.db["actionbar"]["extraActionButton"]["clean"] = true
	E.db["actionbar"]["extraActionButton"]["hotkeyFont"] = "Expressway"
	E.db["actionbar"]["extraActionButton"]["hotkeyFontOutline"] = "OUTLINE"
	E.db["actionbar"]["extraActionButton"]["hotkeyTextPosition"] = "TOPLEFT"
	E.db["actionbar"]["extraActionButton"]["hotkeyTextYOffset"] = -1
	E.db["actionbar"]["extraActionButton"]["scale"] = 0.65
	E.db["actionbar"]["flyoutSize"] = 28
	E.db["actionbar"]["font"] = "Expressway"
	E.db["actionbar"]["fontOutline"] = "OUTLINE"
	E.db["actionbar"]["hotkeyTextPosition"] = "TOPLEFT"
	E.db["actionbar"]["macroTextPosition"] = "BOTTOM"
	E.db["actionbar"]["microbar"]["buttonHeight"] = 25
	E.db["actionbar"]["microbar"]["buttonSize"] = 18
	E.db["actionbar"]["microbar"]["buttonSpacing"] = 1
	E.db["actionbar"]["microbar"]["enabled"] = true
	E.db["actionbar"]["microbar"]["mouseover"] = true
	E.db["actionbar"]["stanceBar"]["buttonHeight"] = 24
	E.db["actionbar"]["stanceBar"]["buttonSize"] = 25
	E.db["actionbar"]["stanceBar"]["buttonSpacing"] = 1
	E.db["actionbar"]["stanceBar"]["hotkeyFont"] = "Expressway"
	E.db["actionbar"]["stanceBar"]["hotkeyFontOutline"] = "OUTLINE"
	E.db["actionbar"]["stanceBar"]["hotkeyTextPosition"] = "TOPLEFT"
	E.db["actionbar"]["stanceBar"]["hotkeyTextYOffset"] = -1
	E.db["actionbar"]["stanceBar"]["mouseover"] = true
	E.db["actionbar"]["transparent"] = true
	E.db["actionbar"]["vehicleExitButton"]["hotkeyFont"] = "Expressway"
	E.db["actionbar"]["vehicleExitButton"]["hotkeyFontOutline"] = "OUTLINE"
	E.db["actionbar"]["zoneActionButton"]["alpha"] = 1
	E.db["actionbar"]["zoneActionButton"]["clean"] = true
	E.db["actionbar"]["zoneActionButton"]["scale"] = 0.65

	-- Bags
	E.db["bags"]["bagWidth"] = 414
	E.db["bags"]["bankWidth"] = 414
	E.db["bags"]["clearSearchOnClose"] = true
	E.db["bags"]["cooldown"]["daysIndicator"]["g"] = 0.4
	E.db["bags"]["cooldown"]["daysIndicator"]["r"] = 0.4
	E.db["bags"]["cooldown"]["expireIndicator"]["b"] = 0
	E.db["bags"]["cooldown"]["expireIndicator"]["g"] = 0
	E.db["bags"]["cooldown"]["hoursIndicator"]["r"] = 0.4
	E.db["bags"]["countFont"] = "Expressway"
	E.db["bags"]["countFontOutline"] = "OUTLINE"
	E.db["bags"]["countFontSize"] = 12
	E.db["bags"]["itemInfoFont"] = "Expressway"
	E.db["bags"]["itemInfoFontOutline"] = "OUTLINE"
	E.db["bags"]["itemInfoFontSize"] = 12
	E.db["bags"]["itemLevelFont"] = "Expressway"
	E.db["bags"]["itemLevelFontOutline"] = "OUTLINE"
	E.db["bags"]["itemLevelFontSize"] = 12
	E.db["bags"]["moneyFormat"] = "BLIZZARD"
	E.db["bags"]["transparent"] = true
	E.db["bags"]["vendorGrays"]["enable"] = true

	-- Auras
	E.db["auras"]["buffs"]["countFont"] = "Expressway"
	E.db["auras"]["buffs"]["countFontOutline"] = "OUTLINE"
	E.db["auras"]["buffs"]["countFontSize"] = 14
	E.db["auras"]["buffs"]["horizontalSpacing"] = 2
	E.db["auras"]["buffs"]["size"] = 26
	E.db["auras"]["buffs"]["timeFont"] = "Expressway"
	E.db["auras"]["buffs"]["timeFontOutline"] = "OUTLINE"
	E.db["auras"]["buffs"]["timeFontSize"] = 12
	E.db["auras"]["cooldown"]["daysIndicator"]["g"] = 0.4
	E.db["auras"]["cooldown"]["daysIndicator"]["r"] = 0.4
	E.db["auras"]["cooldown"]["expireIndicator"]["b"] = 0
	E.db["auras"]["cooldown"]["expireIndicator"]["g"] = 0
	E.db["auras"]["cooldown"]["hoursIndicator"]["r"] = 0.4
	E.db["auras"]["debuffs"]["countFont"] = "Expressway"
	E.db["auras"]["debuffs"]["countFontOutline"] = "OUTLINE"
	E.db["auras"]["debuffs"]["countFontSize"] = 14
	E.db["auras"]["debuffs"]["horizontalSpacing"] = 2
	E.db["auras"]["debuffs"]["maxWraps"] = 2
	E.db["auras"]["debuffs"]["size"] = 26
	E.db["auras"]["debuffs"]["timeFont"] = "Expressway"
	E.db["auras"]["debuffs"]["timeFontOutline"] = "OUTLINE"
	E.db["auras"]["debuffs"]["timeFontSize"] = 12

	-- Chat
	E.db["chat"]["editboxHistorySize"] = 50
	E.db["chat"]["editBoxPosition"] = "ABOVE_CHAT_INSIDE"
	E.db["chat"]["fade"] = false
	E.db["chat"]["fadeTabsNoBackdrop"] = false
	E.db["chat"]["font"] = "Expressway"
	E.db["chat"]["fontOutline"] = "OUTLINE"
	E.db["chat"]["hideChatToggles"] = true
	E.db["chat"]["historySize"] = 200
	E.db["chat"]["keywords"] = "%MYNAME%"
	E.db["chat"]["lfgIcons"] = false
	E.db["chat"]["maxLines"] = 200
	E.db["chat"]["numScrollMessages"] = 2
	E.db["chat"]["panelColor"]["a"] = 0.7531320899725
	E.db["chat"]["panelColor"]["b"] = 0.058823529411765
	E.db["chat"]["panelColor"]["g"] = 0.058823529411765
	E.db["chat"]["panelColor"]["r"] = 0.058823529411765
	E.db["chat"]["panelHeight"] = 171
	E.db["chat"]["panelHeightRight"] = 171
	E.db["chat"]["panelWidth"] = 414
	E.db["chat"]["panelWidthRight"] = 414
	E.db["chat"]["separateSizes"] = true
	E.db["chat"]["tabFont"] = "Expressway"
	E.db["chat"]["tabFontSize"] = 11
	E.db["chat"]["tabSelectedTextEnabled"] = false
	E.db["chat"]["tabSelector"] = "NONE"
	E.db["chat"]["throttleInterval"] = 0

	-- Cooldown Text
	E.db["cooldown"]["daysIndicator"]["g"] = 0.4
	E.db["cooldown"]["daysIndicator"]["r"] = 0.4
	E.db["cooldown"]["expireIndicator"]["b"] = 0
	E.db["cooldown"]["expireIndicator"]["g"] = 0
	E.db["cooldown"]["fonts"]["font"] = "Expressway"
	E.db["cooldown"]["fonts"]["fontSize"] = 12
	E.db["cooldown"]["hoursIndicator"]["r"] = 0.4
	E.db["cooldown"]["secondsColor"]["b"] = 1
	E.db["cooldown"]["threshold"] = 5

	-- DataBars
	E.db["databars"]["azerite"]["enable"] = false
	E.db["databars"]["experience"]["font"] = "Expressway"
	E.db["databars"]["experience"]["height"] = 171
	E.db["databars"]["experience"]["orientation"] = "VERTICAL"
	E.db["databars"]["experience"]["questCompletedOnly"] = true
	E.db["databars"]["experience"]["showBubbles"] = true
	E.db["databars"]["experience"]["width"] = 10
	E.db["databars"]["honor"]["enable"] = false
	E.db["databars"]["petExperience"]["enable"] = not E.Retail and false
	E.db["databars"]["reputation"]["enable"] = true
	E.db["databars"]["reputation"]["font"] = "Expressway"
	E.db["databars"]["reputation"]["height"] = 171
	E.db["databars"]["reputation"]["orientation"] = "VERTICAL"
	E.db["databars"]["reputation"]["width"] = 10
	E.db["databars"]["threat"]["enable"] = false

	-- Classic and TBC DataBars
	if not E.Retail then
		E.db["databars"]["petExperience"]["font"] = "Expressway"
		E.db["databars"]["petExperience"]["fontSize"] = 12
		E.db["databars"]["petExperience"]["height"] = 171
		E.db["databars"]["petExperience"]["orientation"] = "VERTICAL"
		E.db["databars"]["petExperience"]["showBubbles"] = true
		E.db["databars"]["petExperience"]["width"] = 10
	end

	-- DataTexts
	E.db["datatexts"]["font"] = "Expressway"
	E.db["datatexts"]["fontOutline"] = "OUTLINE"
	E.db["datatexts"]["panels"]["LeftChatDataPanel"]["enable"] = false
	E.db["datatexts"]["panels"]["LeftChatDataPanel"]["panelTransparency"] = true
	E.db["datatexts"]["panels"]["Luckyone_ActionBars_DT"]["enable"] = true
	E.db["datatexts"]["panels"]["Luckyone_ActionBars_DT"][1] = "System"
	E.db["datatexts"]["panels"]["Luckyone_ActionBars_DT"][2] = "Combat"
	E.db["datatexts"]["panels"]["Luckyone_ActionBars_DT"][3] = "Durability"
	E.db["datatexts"]["panels"]["MinimapPanel"]["numPoints"] = 1
	E.db["datatexts"]["panels"]["MinimapPanel"]["panelTransparency"] = true
	E.db["datatexts"]["panels"]["MinimapPanel"][1] = "Time"
	E.db["datatexts"]["panels"]["RightChatDataPanel"]["enable"] = false
	E.db["datatexts"]["panels"]["RightChatDataPanel"]["panelTransparency"] = true

	-- Tooltip
	E.db["tooltip"]["alwaysShowRealm"] = true
	E.db["tooltip"]["colorAlpha"] = 0.75
	E.db["tooltip"]["dungeonScore"] = false
	E.db["tooltip"]["dungeonScoreColor"] = false
	E.db["tooltip"]["font"] = "Expressway"
	E.db["tooltip"]["fontOutline"] = "OUTLINE"
	E.db["tooltip"]["headerFontSize"] = 11
	E.db["tooltip"]["healthBar"]["font"] = "Expressway"
	E.db["tooltip"]["healthBar"]["fontSize"] = 11
	E.db["tooltip"]["healthBar"]["height"] = 4
	E.db["tooltip"]["healthBar"]["statusPosition"] = "TOP"
	E.db["tooltip"]["itemCount"] = "NONE"
	E.db["tooltip"]["itemQuality"] = true
	E.db["tooltip"]["mythicDataEnable"] = false
	E.db["tooltip"]["showElvUIUsers"] = true
	E.db["tooltip"]["showMount"] = false
	E.db["tooltip"]["smallTextFontSize"] = 11
	E.db["tooltip"]["textFontSize"] = 11

	-- Custom Text: Arena
	E.db["unitframe"]["units"]["arena"]["customTexts"] = E.db["unitframe"]["units"]["arena"]["customTexts"] or {}
	E.db["unitframe"]["units"]["arena"]["customTexts"]["Luckyone_HP"] = {
		["attachTextTo"] = "Health",
		["enable"] = true,
		["font"] = "Expressway",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "LEFT",
		["size"] = 14,
		["text_format"] = "[luckyone:health:percent]",
		["xOffset"] = 1,
		["yOffset"] = 0
	}
	E.db["unitframe"]["units"]["arena"]["customTexts"]["Luckyone_Name"] = {
		["attachTextTo"] = "Health",
		["enable"] = true,
		["font"] = "Expressway",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "CENTER",
		["size"] = 14,
		["text_format"] = "[classcolor][name:medium]",
		["xOffset"] = 0,
		["yOffset"] = 0
	}
	E.db["unitframe"]["units"]["arena"]["customTexts"]["Luckyone_Power"] = {
		["attachTextTo"] = "Health",
		["enable"] = true,
		["font"] = "Expressway",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "RIGHT",
		["size"] = 14,
		["text_format"] = "[powercolor][perpp<%]",
		["xOffset"] = 0,
		["yOffset"] = 0
	}

	-- Custom Text: Boss
	E.db["unitframe"]["units"]["boss"]["customTexts"] = E.db["unitframe"]["units"]["boss"]["customTexts"] or {}
	E.db["unitframe"]["units"]["boss"]["customTexts"]["Luckyone_HP"] = {
		["attachTextTo"] = "Health",
		["enable"] = true,
		["font"] = "Expressway",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "LEFT",
		["size"] = 14,
		["text_format"] = "[luckyone:health:percent]",
		["xOffset"] = 1,
		["yOffset"] = 0
	}
	E.db["unitframe"]["units"]["boss"]["customTexts"]["Luckyone_Name"] = {
		["attachTextTo"] = "Health",
		["enable"] = true,
		["font"] = "Expressway",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "CENTER",
		["size"] = 14,
		["text_format"] = "[classcolor][name:last]",
		["xOffset"] = 0,
		["yOffset"] = 0
	}
	E.db["unitframe"]["units"]["boss"]["customTexts"]["Luckyone_Power"] = {
		["attachTextTo"] = "Health",
		["enable"] = true,
		["font"] = "Expressway",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "RIGHT",
		["size"] = 14,
		["text_format"] = "[powercolor][perpp<%]",
		["xOffset"] = 0,
		["yOffset"] = 0
	}

	-- Custom Text: Focus
	E.db["unitframe"]["units"]["focus"]["customTexts"] = E.db["unitframe"]["units"]["focus"]["customTexts"] or {}
	E.db["unitframe"]["units"]["focus"]["customTexts"]["Luckyone_HP"] = {
		["attachTextTo"] = "Health",
		["enable"] = true,
		["font"] = "Expressway",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "CENTER",
		["size"] = 14,
		["text_format"] = "[luckyone:health:percent] | [health:current:shortvalue]",
		["xOffset"] = 0,
		["yOffset"] = 0
	}
	E.db["unitframe"]["units"]["focus"]["customTexts"]["Luckyone_Level"] = {
		["attachTextTo"] = "InfoPanel",
		["enable"] = true,
		["font"] = "Expressway",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "RIGHT",
		["size"] = 12,
		["text_format"] = E.Retail and "[classcolor][level]" or "[difficultycolor][level][classificationcolor][ >shortclassification]",
		["xOffset"] = 0,
		["yOffset"] = 1
	}
	E.db["unitframe"]["units"]["focus"]["customTexts"]["Luckyone_Name"] = {
		["attachTextTo"] = "InfoPanel",
		["enable"] = true,
		["font"] = "Expressway",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "CENTER",
		["size"] = 12,
		["text_format"] = "[classcolor][name:last]",
		["xOffset"] = 0,
		["yOffset"] = 1
	}
	E.db["unitframe"]["units"]["focus"]["customTexts"]["Luckyone_Power"] = {
		["attachTextTo"] = "InfoPanel",
		["enable"] = true,
		["font"] = "Expressway",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "LEFT",
		["size"] = 12,
		["text_format"] = "[powercolor][perpp<%]",
		["xOffset"] = 1,
		["yOffset"] = 1
	}

	-- Custom Text: Focus Target
	E.db["unitframe"]["units"]["focustarget"]["customTexts"] = E.db["unitframe"]["units"]["focustarget"]["customTexts"] or {}
	E.db["unitframe"]["units"]["focustarget"]["customTexts"]["Luckyone_HP"] = {
		["attachTextTo"] = "Health",
		["enable"] = true,
		["font"] = "Expressway",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "CENTER",
		["size"] = 14,
		["text_format"] = "[luckyone:health:percent]",
		["xOffset"] = 0,
		["yOffset"] = 0
	}
	E.db["unitframe"]["units"]["focustarget"]["customTexts"]["Luckyone_Name"] = {
		["attachTextTo"] = "InfoPanel",
		["enable"] = true,
		["font"] = "Expressway",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "CENTER",
		["size"] = 12,
		["text_format"] = "[classcolor][name:last]",
		["xOffset"] = 0,
		["yOffset"] = 1
	}

	-- Custom Text: Party
	E.db["unitframe"]["units"]["party"]["customTexts"] = E.db["unitframe"]["units"]["party"]["customTexts"] or {}
	E.db["unitframe"]["units"]["party"]["customTexts"]["Luckyone_Name"] = {
		["attachTextTo"] = "Health",
		["enable"] = true,
		["font"] = "Expressway",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "CENTER",
		["size"] = 14,
		["text_format"] = "[classcolor][name]",
		["xOffset"] = 0,
		["yOffset"] = 0
	}

	-- Custom Text: Pet
	E.db["unitframe"]["units"]["pet"]["customTexts"] = E.db["unitframe"]["units"]["pet"]["customTexts"] or {}
	E.db["unitframe"]["units"]["pet"]["customTexts"]["Luckyone_HP"] = {
		["attachTextTo"] = "Health",
		["enable"] = true,
		["font"] = "Expressway",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "CENTER",
		["size"] = 14,
		["text_format"] = "[luckyone:health:percent]",
		["xOffset"] = 0,
		["yOffset"] = 0
	}
	E.db["unitframe"]["units"]["pet"]["customTexts"]["Luckyone_Name"] = {
		["attachTextTo"] = "InfoPanel",
		["enable"] = true,
		["font"] = "Expressway",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "CENTER",
		["size"] = 12,
		["text_format"] = E.Retail and "[classcolor]Pet" or "[happiness:color]Pet[ >happiness:full]",
		["xOffset"] = 0,
		["yOffset"] = 1
	}

	-- Custom Text: Player
	E.db["unitframe"]["units"]["player"]["customTexts"] = E.db["unitframe"]["units"]["player"]["customTexts"] or {}
	E.db["unitframe"]["units"]["player"]["customTexts"]["Luckyone_HP"] = {
		["attachTextTo"] = "Health",
		["enable"] = true,
		["font"] = "Expressway",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "CENTER",
		["size"] = 14,
		["text_format"] = "[health:current:shortvalue] | [luckyone:health:percent]",
		["xOffset"] = 0,
		["yOffset"] = 0
	}
	E.db["unitframe"]["units"]["player"]["customTexts"]["Luckyone_Level"] = {
		["attachTextTo"] = "InfoPanel",
		["enable"] = true,
		["font"] = "Expressway",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "LEFT",
		["size"] = 12,
		["text_format"] = "[classcolor][level]",
		["xOffset"] = 1,
		["yOffset"] = 1
	}
	E.db["unitframe"]["units"]["player"]["customTexts"]["Luckyone_Name"] = {
		["attachTextTo"] = "InfoPanel",
		["enable"] = true,
		["font"] = "Expressway",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "CENTER",
		["size"] = 12,
		["text_format"] = "[classcolor][name]",
		["xOffset"] = 0,
		["yOffset"] = 1
	}
	E.db["unitframe"]["units"]["player"]["customTexts"]["Luckyone_Power"] = {
		["attachTextTo"] = "InfoPanel",
		["enable"] = true,
		["font"] = "Expressway",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "RIGHT",
		["size"] = 12,
		["text_format"] = "[powercolor][perpp<%]",
		["xOffset"] = 0,
		["yOffset"] = 1
	}

	-- Custom Text: Raid
	E.db["unitframe"]["units"]["raid"]["customTexts"] = E.db["unitframe"]["units"]["raid"]["customTexts"] or {}
	E.db["unitframe"]["units"]["raid"]["customTexts"]["Luckyone_Name"] = {
		["attachTextTo"] = "Health",
		["enable"] = true,
		["font"] = "Expressway",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "CENTER",
		["size"] = 12,
		["text_format"] = "[classcolor][name:medium]",
		["xOffset"] = 0,
		["yOffset"] = 0
	}

	-- Custom Text: Target
	E.db["unitframe"]["units"]["target"]["customTexts"] = E.db["unitframe"]["units"]["target"]["customTexts"] or {}
	E.db["unitframe"]["units"]["target"]["customTexts"]["Luckyone_HP"] = {
		["attachTextTo"] = "Health",
		["enable"] = true,
		["font"] = "Expressway",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "CENTER",
		["size"] = 14,
		["text_format"] = "[luckyone:health:percent] | [health:current:shortvalue]",
		["xOffset"] = 0,
		["yOffset"] = 0
	}
	E.db["unitframe"]["units"]["target"]["customTexts"]["Luckyone_Level"] = {
		["attachTextTo"] = "InfoPanel",
		["enable"] = true,
		["font"] = "Expressway",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "RIGHT",
		["size"] = 12,
		["text_format"] = E.Retail and "[classcolor][level]" or "[difficultycolor][level][classificationcolor][ >shortclassification]",
		["xOffset"] = 0,
		["yOffset"] = 1
	}
	E.db["unitframe"]["units"]["target"]["customTexts"]["Luckyone_Name"] = {
		["attachTextTo"] = "InfoPanel",
		["enable"] = true,
		["font"] = "Expressway",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "CENTER",
		["size"] = 12,
		["text_format"] = "[classcolor][name:last]",
		["xOffset"] = 0,
		["yOffset"] = 1
	}
	E.db["unitframe"]["units"]["target"]["customTexts"]["Luckyone_Power"] = {
		["attachTextTo"] = "InfoPanel",
		["enable"] = true,
		["font"] = "Expressway",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "LEFT",
		["size"] = 12,
		["text_format"] = "[powercolor][perpp<%]",
		["xOffset"] = 1,
		["yOffset"] = 1
	}

	-- Custom Text: TargetTarget
	E.db["unitframe"]["units"]["targettarget"]["customTexts"] = E.db["unitframe"]["units"]["targettarget"]["customTexts"] or {}
	E.db["unitframe"]["units"]["targettarget"]["customTexts"]["Luckyone_HP"] = {
		["attachTextTo"] = "Health",
		["enable"] = true,
		["font"] = "Expressway",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "CENTER",
		["size"] = 14,
		["text_format"] = "[luckyone:health:percent]",
		["xOffset"] = 0,
		["yOffset"] = 0
	}
	E.db["unitframe"]["units"]["targettarget"]["customTexts"]["Luckyone_Name"] = {
		["attachTextTo"] = "InfoPanel",
		["enable"] = true,
		["font"] = "Expressway",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "CENTER",
		["size"] = 12,
		["text_format"] = "[classcolor][name:last]",
		["xOffset"] = 0,
		["yOffset"] = 1
	}

	if layout == 'dps' then

		if not E.db.movers then E.db.movers = {} end

		-- Growth Directions DPS/TANK
		E.db["unitframe"]["units"]["party"]["growthDirection"] = "DOWN_RIGHT"
		E.db["unitframe"]["units"]["raid"]["growthDirection"] = "RIGHT_DOWN"
		E.db["unitframe"]["units"]["raid40"]["growthDirection"] = "RIGHT_DOWN"

		-- Movers DPS/TANK
		E.db["movers"]["AlertFrameMover"] = "TOP,ElvUIParent,TOP,0,-139"
		E.db["movers"]["AltPowerBarMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,158"
		E.db["movers"]["ArenaHeaderMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-271,-235"
		E.db["movers"]["ArtifactBarMover"] = "BOTTOM,ElvUIParent,BOTTOM,1,16"
		E.db["movers"]["AzeriteBarMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,427,1"
		E.db["movers"]["BelowMinimapContainerMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,70,485"
		E.db["movers"]["BNETMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,1,173"
		E.db["movers"]["BossBannerMover"] = "TOP,ElvUIParent,TOP,0,-139"
		E.db["movers"]["BossButton"] = "BOTTOM,ElvUIParent,BOTTOM,-168,128"
		E.db["movers"]["BossHeaderMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-271,-235"
		E.db["movers"]["BuffsMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-166,-1"
		E.db["movers"]["ClassBarMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,153"
		E.db["movers"]["DebuffsMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-166,-128"
		E.db["movers"]["DigSiteProgressBarMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,157"
		E.db["movers"]["DTPanelLuckyone_ActionBars_DTMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,1"
		E.db["movers"]["DurabilityFrameMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-1,-214"
		E.db["movers"]["ElvAB_1"] = "BOTTOM,ElvUIParent,BOTTOM,0,16"
		E.db["movers"]["ElvAB_10"] = "BOTTOM,ElvUIParent,BOTTOM,0,255"
		E.db["movers"]["ElvAB_2"] = "BOTTOM,ElvUIParent,BOTTOM,0,76"
		E.db["movers"]["ElvAB_3"] = "BOTTOM,ElvUIParent,BOTTOM,0,46"
		E.db["movers"]["ElvAB_4"] = E.Retail and "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-1,203" or "BOTTOM,ElvUIParent,BOTTOM,-270,1"
		E.db["movers"]["ElvAB_5"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-1,-343"
		E.db["movers"]["ElvAB_6"] = E.Retail and "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-1,173" or "BOTTOM,ElvUIParent,BOTTOM,270,1"
		E.db["movers"]["ElvAB_7"] = "BOTTOM,ElvUIParent,BOTTOM,0,168"
		E.db["movers"]["ElvAB_8"] = "BOTTOM,ElvUIParent,BOTTOM,0,197"
		E.db["movers"]["ElvAB_9"] = "BOTTOM,ElvUIParent,BOTTOM,0,226"
		E.db["movers"]["ElvNP_PlayerMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,421"
		E.db["movers"]["ElvUF_AssistMover"] = "TOPLEFT,ElvUIParent,BOTTOMLEFT,0,1048"
		E.db["movers"]["ElvUF_FocusCastbarMover"] = "BOTTOM,ElvUIParent,BOTTOM,253,451"
		E.db["movers"]["ElvUF_FocusMover"] = "BOTTOM,ElvUIParent,BOTTOM,253,470"
		E.db["movers"]["ElvUF_FocusTargetMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-530,470"
		E.db["movers"]["ElvUF_PartyMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,450,-323"
		E.db["movers"]["ElvUF_PetMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,531,320"
		E.db["movers"]["ElvUF_PlayerCastbarMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,106"
		E.db["movers"]["ElvUF_PlayerMover"] = "BOTTOM,ElvUIParent,BOTTOM,-253,320"
		E.db["movers"]["ElvUF_Raid40Mover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,1,173"
		E.db["movers"]["ElvUF_RaidMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,1,173"
		E.db["movers"]["ElvUF_TargetCastbarMover"] = "BOTTOM,ElvUIParent,BOTTOM,253,301"
		E.db["movers"]["ElvUF_TargetMover"] = "BOTTOM,ElvUIParent,BOTTOM,253,320"
		E.db["movers"]["ElvUF_TargetTargetMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-530,320"
		E.db["movers"]["ElvUIBagMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-1,173"
		E.db["movers"]["ElvUIBankMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,1,173"
		E.db["movers"]["EventToastMover"] = "TOP,ElvUIParent,TOP,0,-139"
		E.db["movers"]["ExperienceBarMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,416,1"
		E.db["movers"]["GhostFrameMover"] = "TOP,ElvUIParent,TOP,0,-161"
		E.db["movers"]["GMMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-503,-1"
		E.db["movers"]["HonorBarMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-427,1"
		E.db["movers"]["LeftChatMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,1,1"
		E.db["movers"]["LootFrameMover"] = "TOP,ElvUIParent,TOP,0,-160"
		E.db["movers"]["LossControlMover"] = "TOP,ElvUIParent,TOP,0,-492"
		E.db["movers"]["MawBuffsBelowMinimapMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-15,-380"
		E.db["movers"]["MicrobarMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,157,-1"
		E.db["movers"]["MinimapMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-1,-1"
		E.db["movers"]["MirrorTimer1Mover"] = "TOP,ElvUIParent,TOP,0,-78"
		E.db["movers"]["MirrorTimer2Mover"] = "TOP,ElvUIParent,TOP,0,-97"
		E.db["movers"]["MirrorTimer3Mover"] = "TOP,ElvUIParent,TOP,0,-116"
		E.db["movers"]["ObjectiveFrameMover"] = "TOPRIGHT,UIParent,TOPRIGHT,-95,-214"
		E.db["movers"]["PetAB"] = "BOTTOM,ElvUIParent,BOTTOM,0,128"
		E.db["movers"]["PlayerChoiceToggle"] = "BOTTOM,UIParent,BOTTOM,0,182"
		E.db["movers"]["RaidUtility_Mover"] = "TOPLEFT,ElvUIParent,TOPLEFT,405,-1"
		E.db["movers"]["ReputationBarMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-416,1"
		E.db["movers"]["RightChatMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-1,1"
		E.db["movers"]["ShiftAB"] = "TOPLEFT,ElvUIParent,TOPLEFT,1,-1"
		E.db["movers"]["SocialMenuMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,4,196"
		E.db["movers"]["TalkingHeadFrameMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-2,173"
		E.db["movers"]["TargetPowerBarMover"] = "BOTTOM,ElvUIParent,BOTTOM,242,348"
		E.db["movers"]["ThreatBarMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-438,1"
		E.db["movers"]["TooltipMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,0,135"
		E.db["movers"]["TopCenterContainerMover"] = "TOP,ElvUIParent,TOP,0,-57"
		E.db["movers"]["TorghastBuffsMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,4,-51"
		E.db["movers"]["TotemBarMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,428,1"
		E.db["movers"]["UIErrorsFrameMover"] = "TOP,ElvUIParent,TOP,0,-78"
		E.db["movers"]["VehicleLeaveButton"] = "BOTTOM,ElvUIParent,BOTTOM,0,182"
		E.db["movers"]["VehicleSeatMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,486,1"
		E.db["movers"]["VOICECHAT"] = "TOPLEFT,ElvUIParent,TOPLEFT,1,-30"
		E.db["movers"]["ZoneAbility"] = "BOTTOM,ElvUIParent,BOTTOM,168,128"

		-- Classic and TBC movers
		if not E.Retail then
			E.db["movers"]["PetExperienceBarMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,427,1"
			E.db["movers"]["QuestTimerFrameMover"] = "TOP,ElvUIParent,TOP,0,-1"
			E.db["movers"]["QuestWatchFrameMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-115,-214"
		end

		-- UnitFrames DPS/TANK
		E.db["unitframe"]["colors"]["castbar_backdrop"]["a"] = 0.75
		E.db["unitframe"]["colors"]["castbar_backdrop"]["b"] = 0.058823529411765
		E.db["unitframe"]["colors"]["castbar_backdrop"]["g"] = 0.058823529411765
		E.db["unitframe"]["colors"]["castbar_backdrop"]["r"] = 0.058823529411765
		E.db["unitframe"]["colors"]["castColor"]["b"] = 0
		E.db["unitframe"]["colors"]["castColor"]["g"] = 1
		E.db["unitframe"]["colors"]["castColor"]["r"] = 0.023529411764706
		E.db["unitframe"]["colors"]["castInterruptedColor"]["b"] = 0.30196078431373
		E.db["unitframe"]["colors"]["castInterruptedColor"]["g"] = 0.30196078431373
		E.db["unitframe"]["colors"]["castInterruptedColor"]["r"] = 0.30196078431373
		E.db["unitframe"]["colors"]["castNoInterrupt"]["b"] = 0.007843137254902
		E.db["unitframe"]["colors"]["castNoInterrupt"]["g"] = 0
		E.db["unitframe"]["colors"]["castNoInterrupt"]["r"] = 1
		E.db["unitframe"]["colors"]["colorhealthbyvalue"] = false
		E.db["unitframe"]["colors"]["customcastbarbackdrop"] = true
		E.db["unitframe"]["colors"]["customhealthbackdrop"] = true
		E.db["unitframe"]["colors"]["frameGlow"]["mouseoverGlow"]["texture"] = "Minimalist"
		E.db["unitframe"]["colors"]["healPrediction"]["overabsorbs"]["b"] = 1
		E.db["unitframe"]["colors"]["healPrediction"]["overabsorbs"]["r"] = 0
		E.db["unitframe"]["colors"]["health_backdrop_dead"]["b"] = 0.098039215686275
		E.db["unitframe"]["colors"]["health_backdrop_dead"]["g"] = 0.12549019607843
		E.db["unitframe"]["colors"]["health_backdrop_dead"]["r"] = 0.61176470588235
		E.db["unitframe"]["colors"]["health_backdrop"]["b"] = 0.61176470588235
		E.db["unitframe"]["colors"]["health_backdrop"]["g"] = 0.56862745098039
		E.db["unitframe"]["colors"]["health_backdrop"]["r"] = 0.54901960784314
		E.db["unitframe"]["colors"]["health"]["b"] = 0.058823529411765
		E.db["unitframe"]["colors"]["health"]["g"] = 0.058823529411765
		E.db["unitframe"]["colors"]["health"]["r"] = 0.058823529411765
		E.db["unitframe"]["colors"]["healthMultiplier"] = 0.75
		E.db["unitframe"]["colors"]["power_backdrop"]["b"] = 0.50196078431373
		E.db["unitframe"]["colors"]["power_backdrop"]["g"] = 0.50196078431373
		E.db["unitframe"]["colors"]["power_backdrop"]["r"] = 0.50196078431373
		E.db["unitframe"]["colors"]["selection"][0]["b"] = 0.17254901960784
		E.db["unitframe"]["colors"]["selection"][0]["g"] = 0.17254901960784
		E.db["unitframe"]["colors"]["tapped"]["b"] = 0.61176470588235
		E.db["unitframe"]["colors"]["tapped"]["g"] = 0.56862745098039
		E.db["unitframe"]["colors"]["tapped"]["r"] = 0.54901960784314
		E.db["unitframe"]["colors"]["transparentAurabars"] = true
		E.db["unitframe"]["colors"]["transparentHealth"] = true
		E.db["unitframe"]["colors"]["transparentPower"] = true
		E.db["unitframe"]["colors"]["useDeadBackdrop"] = true
		E.db["unitframe"]["cooldown"]["daysIndicator"]["g"] = 0.4
		E.db["unitframe"]["cooldown"]["daysIndicator"]["r"] = 0.4
		E.db["unitframe"]["cooldown"]["expireIndicator"]["b"] = 0
		E.db["unitframe"]["cooldown"]["expireIndicator"]["g"] = 0
		E.db["unitframe"]["cooldown"]["hoursIndicator"]["r"] = 0.4
		E.db["unitframe"]["cooldown"]["override"] = false
		E.db["unitframe"]["cooldown"]["threshold"] = 4
		E.db["unitframe"]["font"] = "Expressway"
		E.db["unitframe"]["fontOutline"] = "OUTLINE"
		E.db["unitframe"]["fontSize"] = 12
		E.db["unitframe"]["statusbar"] = "Minimalist"
		E.db["unitframe"]["units"]["arena"]["buffs"]["anchorPoint"] = "TOPRIGHT"
		E.db["unitframe"]["units"]["arena"]["buffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["arena"]["buffs"]["countFontSize"] = 10
		E.db["unitframe"]["units"]["arena"]["buffs"]["countXOffset"] = 1
		E.db["unitframe"]["units"]["arena"]["buffs"]["maxDuration"] = 0
		E.db["unitframe"]["units"]["arena"]["buffs"]["numrows"] = 2
		E.db["unitframe"]["units"]["arena"]["buffs"]["priority"] = "Blacklist,Dispellable,RaidBuffsElvUI"
		E.db["unitframe"]["units"]["arena"]["buffs"]["sizeOverride"] = 22
		E.db["unitframe"]["units"]["arena"]["buffs"]["xOffset"] = 23
		E.db["unitframe"]["units"]["arena"]["buffs"]["yOffset"] = -46
		E.db["unitframe"]["units"]["arena"]["castbar"]["customTextFont"]["enable"] = true
		E.db["unitframe"]["units"]["arena"]["castbar"]["customTextFont"]["font"] = "Expressway"
		E.db["unitframe"]["units"]["arena"]["castbar"]["customTextFont"]["fontSize"] = 11
		E.db["unitframe"]["units"]["arena"]["castbar"]["customTimeFont"]["enable"] = true
		E.db["unitframe"]["units"]["arena"]["castbar"]["customTimeFont"]["font"] = "Expressway"
		E.db["unitframe"]["units"]["arena"]["castbar"]["customTimeFont"]["fontSize"] = 11
		E.db["unitframe"]["units"]["arena"]["castbar"]["spark"] = false
		E.db["unitframe"]["units"]["arena"]["castbar"]["textColor"]["b"] = 1
		E.db["unitframe"]["units"]["arena"]["castbar"]["textColor"]["g"] = 1
		E.db["unitframe"]["units"]["arena"]["castbar"]["textColor"]["r"] = 1
		E.db["unitframe"]["units"]["arena"]["castbar"]["width"] = 240
		E.db["unitframe"]["units"]["arena"]["castbar"]["xOffsetText"] = 2
		E.db["unitframe"]["units"]["arena"]["castbar"]["xOffsetTime"] = -2
		E.db["unitframe"]["units"]["arena"]["debuffs"]["anchorPoint"] = "TOPLEFT"
		E.db["unitframe"]["units"]["arena"]["debuffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["arena"]["debuffs"]["countFontSize"] = 10
		E.db["unitframe"]["units"]["arena"]["debuffs"]["countXOffset"] = 1
		E.db["unitframe"]["units"]["arena"]["debuffs"]["desaturate"] = true
		E.db["unitframe"]["units"]["arena"]["debuffs"]["growthX"] = "LEFT"
		E.db["unitframe"]["units"]["arena"]["debuffs"]["growthY"] = "DOWN"
		E.db["unitframe"]["units"]["arena"]["debuffs"]["maxDuration"] = 0
		E.db["unitframe"]["units"]["arena"]["debuffs"]["numrows"] = 2
		E.db["unitframe"]["units"]["arena"]["debuffs"]["priority"] = "Blacklist,Personal,CCDebuffs"
		E.db["unitframe"]["units"]["arena"]["debuffs"]["sizeOverride"] = 22
		E.db["unitframe"]["units"]["arena"]["debuffs"]["spacing"] = 0
		E.db["unitframe"]["units"]["arena"]["debuffs"]["xOffset"] = -69
		E.db["unitframe"]["units"]["arena"]["debuffs"]["yOffset"] = -21
		E.db["unitframe"]["units"]["arena"]["disableTargetGlow"] = true
		E.db["unitframe"]["units"]["arena"]["healPrediction"]["absorbStyle"] = "WRAPPED"
		E.db["unitframe"]["units"]["arena"]["health"]["text_format"] = ""
		E.db["unitframe"]["units"]["arena"]["health"]["xOffset"] = 0
		E.db["unitframe"]["units"]["arena"]["height"] = 45
		E.db["unitframe"]["units"]["arena"]["infoPanel"]["height"] = 16
		E.db["unitframe"]["units"]["arena"]["name"]["text_format"] = ""
		E.db["unitframe"]["units"]["arena"]["power"]["height"] = 6
		E.db["unitframe"]["units"]["arena"]["power"]["text_format"] = ""
		E.db["unitframe"]["units"]["arena"]["pvpclassificationindicator"]["size"] = 25
		E.db["unitframe"]["units"]["arena"]["pvpclassificationindicator"]["xOffset"] = -20
		E.db["unitframe"]["units"]["arena"]["pvpTrinket"]["position"] = "LEFT"
		E.db["unitframe"]["units"]["arena"]["pvpTrinket"]["size"] = 45
		E.db["unitframe"]["units"]["arena"]["pvpTrinket"]["xOffset"] = -1
		E.db["unitframe"]["units"]["arena"]["spacing"] = 20
		E.db["unitframe"]["units"]["arena"]["width"] = 240
		E.db["unitframe"]["units"]["assist"]["enable"] = false
		E.db["unitframe"]["units"]["boss"]["buffs"]["anchorPoint"] = "TOPRIGHT"
		E.db["unitframe"]["units"]["boss"]["buffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["boss"]["buffs"]["countFontSize"] = 10
		E.db["unitframe"]["units"]["boss"]["buffs"]["countXOffset"] = 1
		E.db["unitframe"]["units"]["boss"]["buffs"]["growthY"] = "DOWN"
		E.db["unitframe"]["units"]["boss"]["buffs"]["numrows"] = 2
		E.db["unitframe"]["units"]["boss"]["buffs"]["priority"] = "Blacklist,Dispellable,RaidBuffsElvUI"
		E.db["unitframe"]["units"]["boss"]["buffs"]["xOffset"] = 23
		E.db["unitframe"]["units"]["boss"]["buffs"]["yOffset"] = -21
		E.db["unitframe"]["units"]["boss"]["castbar"]["customTextFont"]["enable"] = true
		E.db["unitframe"]["units"]["boss"]["castbar"]["customTextFont"]["font"] = "Expressway"
		E.db["unitframe"]["units"]["boss"]["castbar"]["customTextFont"]["fontSize"] = 11
		E.db["unitframe"]["units"]["boss"]["castbar"]["customTimeFont"]["enable"] = true
		E.db["unitframe"]["units"]["boss"]["castbar"]["customTimeFont"]["font"] = "Expressway"
		E.db["unitframe"]["units"]["boss"]["castbar"]["customTimeFont"]["fontSize"] = 11
		E.db["unitframe"]["units"]["boss"]["castbar"]["spark"] = false
		E.db["unitframe"]["units"]["boss"]["castbar"]["textColor"]["b"] = 1
		E.db["unitframe"]["units"]["boss"]["castbar"]["textColor"]["g"] = 1
		E.db["unitframe"]["units"]["boss"]["castbar"]["textColor"]["r"] = 1
		E.db["unitframe"]["units"]["boss"]["castbar"]["width"] = 200
		E.db["unitframe"]["units"]["boss"]["castbar"]["xOffsetText"] = 2
		E.db["unitframe"]["units"]["boss"]["castbar"]["xOffsetTime"] = -2
		E.db["unitframe"]["units"]["boss"]["debuffs"]["anchorPoint"] = "TOPLEFT"
		E.db["unitframe"]["units"]["boss"]["debuffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["boss"]["debuffs"]["countFontSize"] = 10
		E.db["unitframe"]["units"]["boss"]["debuffs"]["countXOffset"] = 1
		E.db["unitframe"]["units"]["boss"]["debuffs"]["growthX"] = "LEFT"
		E.db["unitframe"]["units"]["boss"]["debuffs"]["growthY"] = "DOWN"
		E.db["unitframe"]["units"]["boss"]["debuffs"]["numrows"] = 2
		E.db["unitframe"]["units"]["boss"]["debuffs"]["priority"] = "Blacklist,Personal,CCDebuffs"
		E.db["unitframe"]["units"]["boss"]["debuffs"]["spacing"] = 0
		E.db["unitframe"]["units"]["boss"]["debuffs"]["xOffset"] = -23
		E.db["unitframe"]["units"]["boss"]["debuffs"]["yOffset"] = -21
		E.db["unitframe"]["units"]["boss"]["disableTargetGlow"] = true
		E.db["unitframe"]["units"]["boss"]["health"]["text_format"] = ""
		E.db["unitframe"]["units"]["boss"]["health"]["xOffset"] = 0
		E.db["unitframe"]["units"]["boss"]["height"] = 45
		E.db["unitframe"]["units"]["boss"]["name"]["text_format"] = ""
		E.db["unitframe"]["units"]["boss"]["power"]["height"] = 6
		E.db["unitframe"]["units"]["boss"]["power"]["text_format"] = ""
		E.db["unitframe"]["units"]["boss"]["spacing"] = 20
		E.db["unitframe"]["units"]["boss"]["width"] = 200
		E.db["unitframe"]["units"]["focus"]["buffs"]["anchorPoint"] = "TOPRIGHT"
		E.db["unitframe"]["units"]["focus"]["buffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["focus"]["buffs"]["countFontSize"] = 13
		E.db["unitframe"]["units"]["focus"]["buffs"]["countPosition"] = "TOP"
		E.db["unitframe"]["units"]["focus"]["buffs"]["countYOffset"] = 14
		E.db["unitframe"]["units"]["focus"]["buffs"]["enable"] = true
		E.db["unitframe"]["units"]["focus"]["buffs"]["growthX"] = "LEFT"
		E.db["unitframe"]["units"]["focus"]["buffs"]["maxDuration"] = 0
		E.db["unitframe"]["units"]["focus"]["buffs"]["perrow"] = 2
		E.db["unitframe"]["units"]["focus"]["buffs"]["priority"] = "Blacklist,Dispellable,RaidBuffsElvUI"
		E.db["unitframe"]["units"]["focus"]["buffs"]["sizeOverride"] = 23
		E.db["unitframe"]["units"]["focus"]["castbar"]["customTextFont"]["enable"] = true
		E.db["unitframe"]["units"]["focus"]["castbar"]["customTextFont"]["font"] = "Expressway"
		E.db["unitframe"]["units"]["focus"]["castbar"]["customTextFont"]["fontSize"] = 11
		E.db["unitframe"]["units"]["focus"]["castbar"]["customTimeFont"]["enable"] = true
		E.db["unitframe"]["units"]["focus"]["castbar"]["customTimeFont"]["font"] = "Expressway"
		E.db["unitframe"]["units"]["focus"]["castbar"]["customTimeFont"]["fontSize"] = 11
		E.db["unitframe"]["units"]["focus"]["castbar"]["spark"] = false
		E.db["unitframe"]["units"]["focus"]["castbar"]["textColor"]["b"] = 1
		E.db["unitframe"]["units"]["focus"]["castbar"]["textColor"]["g"] = 1
		E.db["unitframe"]["units"]["focus"]["castbar"]["textColor"]["r"] = 1
		E.db["unitframe"]["units"]["focus"]["castbar"]["timeToHold"] = 2
		E.db["unitframe"]["units"]["focus"]["castbar"]["xOffsetText"] = 2
		E.db["unitframe"]["units"]["focus"]["castbar"]["xOffsetTime"] = -2
		E.db["unitframe"]["units"]["focus"]["CombatIcon"]["enable"] = false
		E.db["unitframe"]["units"]["focus"]["debuffs"]["anchorPoint"] = "TOPLEFT"
		E.db["unitframe"]["units"]["focus"]["debuffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["focus"]["debuffs"]["countFontSize"] = 13
		E.db["unitframe"]["units"]["focus"]["debuffs"]["countPosition"] = "TOP"
		E.db["unitframe"]["units"]["focus"]["debuffs"]["countYOffset"] = 14
		E.db["unitframe"]["units"]["focus"]["debuffs"]["desaturate"] = false
		E.db["unitframe"]["units"]["focus"]["debuffs"]["growthX"] = "RIGHT"
		E.db["unitframe"]["units"]["focus"]["debuffs"]["maxDuration"] = 0
		E.db["unitframe"]["units"]["focus"]["debuffs"]["perrow"] = 8
		E.db["unitframe"]["units"]["focus"]["debuffs"]["priority"] = "Blacklist,Personal,CCDebuffs"
		E.db["unitframe"]["units"]["focus"]["disableMouseoverGlow"] = true
		E.db["unitframe"]["units"]["focus"]["disableTargetGlow"] = true
		E.db["unitframe"]["units"]["focus"]["healPrediction"]["absorbStyle"] = "WRAPPED"
		E.db["unitframe"]["units"]["focus"]["health"]["position"] = "CENTER"
		E.db["unitframe"]["units"]["focus"]["health"]["xOffset"] = 0
		E.db["unitframe"]["units"]["focus"]["height"] = 30
		E.db["unitframe"]["units"]["focus"]["infoPanel"]["enable"] = true
		E.db["unitframe"]["units"]["focus"]["infoPanel"]["height"] = 17
		E.db["unitframe"]["units"]["focus"]["infoPanel"]["transparent"] = true
		E.db["unitframe"]["units"]["focus"]["name"]["position"] = "TOPLEFT"
		E.db["unitframe"]["units"]["focus"]["name"]["text_format"] = ""
		E.db["unitframe"]["units"]["focus"]["name"]["yOffset"] = 20
		E.db["unitframe"]["units"]["focus"]["orientation"] = "LEFT"
		E.db["unitframe"]["units"]["focus"]["power"]["detachedWidth"] = 189
		E.db["unitframe"]["units"]["focus"]["power"]["height"] = 6
		E.db["unitframe"]["units"]["focus"]["power"]["position"] = "RIGHT"
		E.db["unitframe"]["units"]["focus"]["power"]["powerPrediction"] = true
		E.db["unitframe"]["units"]["focus"]["power"]["xOffset"] = -2
		E.db["unitframe"]["units"]["focus"]["raidicon"]["attachTo"] = "RIGHT"
		E.db["unitframe"]["units"]["focus"]["raidicon"]["attachToObject"] = "Health"
		E.db["unitframe"]["units"]["focus"]["raidicon"]["xOffset"] = -2
		E.db["unitframe"]["units"]["focus"]["raidicon"]["yOffset"] = 0
		E.db["unitframe"]["units"]["focus"]["threatStyle"] = "NONE"
		E.db["unitframe"]["units"]["focustarget"]["buffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["focustarget"]["buffs"]["priority"] = "Blacklist,Personal,PlayerBuffs,Dispellable"
		E.db["unitframe"]["units"]["focustarget"]["debuffs"]["attachTo"] = "BUFFS"
		E.db["unitframe"]["units"]["focustarget"]["debuffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["focustarget"]["debuffs"]["maxDuration"] = 0
		E.db["unitframe"]["units"]["focustarget"]["disableMouseoverGlow"] = true
		E.db["unitframe"]["units"]["focustarget"]["disableTargetGlow"] = true
		E.db["unitframe"]["units"]["focustarget"]["enable"] = true
		E.db["unitframe"]["units"]["focustarget"]["health"]["position"] = "CENTER"
		E.db["unitframe"]["units"]["focustarget"]["health"]["xOffset"] = 0
		E.db["unitframe"]["units"]["focustarget"]["height"] = 30
		E.db["unitframe"]["units"]["focustarget"]["infoPanel"]["enable"] = true
		E.db["unitframe"]["units"]["focustarget"]["infoPanel"]["height"] = 17
		E.db["unitframe"]["units"]["focustarget"]["infoPanel"]["transparent"] = true
		E.db["unitframe"]["units"]["focustarget"]["name"]["text_format"] = ""
		E.db["unitframe"]["units"]["focustarget"]["power"]["height"] = 6
		E.db["unitframe"]["units"]["focustarget"]["power"]["powerPrediction"] = true
		E.db["unitframe"]["units"]["focustarget"]["raidicon"]["attachTo"] = "RIGHT"
		E.db["unitframe"]["units"]["focustarget"]["raidicon"]["attachToObject"] = "Health"
		E.db["unitframe"]["units"]["focustarget"]["raidicon"]["xOffset"] = -2
		E.db["unitframe"]["units"]["focustarget"]["raidicon"]["yOffset"] = 0
		E.db["unitframe"]["units"]["focustarget"]["width"] = 80
		E.db["unitframe"]["units"]["party"]["buffIndicator"]["size"] = 12
		E.db["unitframe"]["units"]["party"]["classbar"]["fill"] = "spaced"
		E.db["unitframe"]["units"]["party"]["classbar"]["height"] = 6
		E.db["unitframe"]["units"]["party"]["debuffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["party"]["debuffs"]["countFontSize"] = 13
		E.db["unitframe"]["units"]["party"]["debuffs"]["countXOffset"] = 1
		E.db["unitframe"]["units"]["party"]["debuffs"]["maxDuration"] = 0
		E.db["unitframe"]["units"]["party"]["debuffs"]["perrow"] = 2
		E.db["unitframe"]["units"]["party"]["debuffs"]["priority"] = "Blacklist,RaidDebuffs,Dispellable"
		E.db["unitframe"]["units"]["party"]["debuffs"]["sizeOverride"] = 40
		E.db["unitframe"]["units"]["party"]["debuffs"]["xOffset"] = 1
		E.db["unitframe"]["units"]["party"]["debuffs"]["yOffset"] = -1
		E.db["unitframe"]["units"]["party"]["disableMouseoverGlow"] = true
		E.db["unitframe"]["units"]["party"]["disableTargetGlow"] = true
		E.db["unitframe"]["units"]["party"]["healPrediction"]["absorbStyle"] = "WRAPPED"
		E.db["unitframe"]["units"]["party"]["healPrediction"]["enable"] = true
		E.db["unitframe"]["units"]["party"]["health"]["position"] = "BOTTOM"
		E.db["unitframe"]["units"]["party"]["health"]["text_format"] = ""
		E.db["unitframe"]["units"]["party"]["health"]["xOffset"] = 0
		E.db["unitframe"]["units"]["party"]["health"]["yOffset"] = 2
		E.db["unitframe"]["units"]["party"]["height"] = 40
		E.db["unitframe"]["units"]["party"]["horizontalSpacing"] = 1
		E.db["unitframe"]["units"]["party"]["infoPanel"]["height"] = 17
		E.db["unitframe"]["units"]["party"]["name"]["attachTextTo"] = "Frame"
		E.db["unitframe"]["units"]["party"]["name"]["text_format"] = ""
		E.db["unitframe"]["units"]["party"]["orientation"] = "MIDDLE"
		E.db["unitframe"]["units"]["party"]["petsGroup"]["anchorPoint"] = "LEFT"
		E.db["unitframe"]["units"]["party"]["petsGroup"]["height"] = 20
		E.db["unitframe"]["units"]["party"]["phaseIndicator"]["scale"] = 0.5
		E.db["unitframe"]["units"]["party"]["phaseIndicator"]["xOffset"] = -50
		E.db["unitframe"]["units"]["party"]["power"]["enable"] = false
		E.db["unitframe"]["units"]["party"]["power"]["height"] = 3
		E.db["unitframe"]["units"]["party"]["power"]["position"] = "BOTTOMRIGHT"
		E.db["unitframe"]["units"]["party"]["power"]["text_format"] = ""
		E.db["unitframe"]["units"]["party"]["power"]["yOffset"] = 2
		E.db["unitframe"]["units"]["party"]["raidicon"]["attachTo"] = "CENTER"
		E.db["unitframe"]["units"]["party"]["raidicon"]["attachToObject"] = "Health"
		E.db["unitframe"]["units"]["party"]["raidicon"]["size"] = 14
		E.db["unitframe"]["units"]["party"]["raidicon"]["yOffset"] = 12
		E.db["unitframe"]["units"]["party"]["raidRoleIcons"]["yOffset"] = 1
		E.db["unitframe"]["units"]["party"]["rdebuffs"]["enable"] = false
		E.db["unitframe"]["units"]["party"]["roleIcon"]["position"] = "LEFT"
		E.db["unitframe"]["units"]["party"]["roleIcon"]["size"] = 16
		E.db["unitframe"]["units"]["party"]["roleIcon"]["xOffset"] = 0
		E.db["unitframe"]["units"]["party"]["roleIcon"]["yOffset"] = 0
		E.db["unitframe"]["units"]["party"]["summonIcon"]["size"] = 25
		E.db["unitframe"]["units"]["party"]["summonIcon"]["xOffset"] = 50
		E.db["unitframe"]["units"]["party"]["targetsGroup"]["height"] = 10
		E.db["unitframe"]["units"]["party"]["threatStyle"] = "NONE"
		E.db["unitframe"]["units"]["party"]["verticalSpacing"] = 2
		E.db["unitframe"]["units"]["party"]["width"] = 150
		E.db["unitframe"]["units"]["pet"]["buffIndicator"]["enable"] = false

		if not E.Retail then
			-- Pet Buffs
			E.db["unitframe"]["units"]["pet"]["buffs"]["countFont"] = "Expressway"
			E.db["unitframe"]["units"]["pet"]["buffs"]["countFontSize"] = 11
			E.db["unitframe"]["units"]["pet"]["buffs"]["countYOffset"] = 1
			E.db["unitframe"]["units"]["pet"]["buffs"]["enable"] = true
			E.db["unitframe"]["units"]["pet"]["buffs"]["maxDuration"] = 0
			E.db["unitframe"]["units"]["pet"]["buffs"]["numrows"] = 2
			E.db["unitframe"]["units"]["pet"]["buffs"]["perrow"] = 4
			E.db["unitframe"]["units"]["pet"]["buffs"]["priority"] = "Blacklist,blockNoDuration,Personal,MyPet"
			E.db["unitframe"]["units"]["pet"]["buffs"]["sizeOverride"] = 20
			E.db["unitframe"]["units"]["pet"]["buffs"]["spacing"] = 0
			E.db["unitframe"]["units"]["pet"]["buffs"]["yOffset"] = -2
			-- Pet Debuffs
			E.db["unitframe"]["units"]["pet"]["debuffs"]["anchorPoint"] = "TOPLEFT"
			E.db["unitframe"]["units"]["pet"]["debuffs"]["countFont"] = "Expressway"
			E.db["unitframe"]["units"]["pet"]["debuffs"]["enable"] = true
			E.db["unitframe"]["units"]["pet"]["debuffs"]["growthX"] = "RIGHT"
			E.db["unitframe"]["units"]["pet"]["debuffs"]["maxDuration"] = 0
			E.db["unitframe"]["units"]["pet"]["debuffs"]["numrows"] = 2
			E.db["unitframe"]["units"]["pet"]["debuffs"]["perrow"] = 4
			E.db["unitframe"]["units"]["pet"]["debuffs"]["priority"] = "Blacklist,Personal,nonPersonal"
			E.db["unitframe"]["units"]["pet"]["debuffs"]["sizeOverride"] = 20
			E.db["unitframe"]["units"]["pet"]["debuffs"]["spacing"] = 0
		end

		E.db["unitframe"]["units"]["pet"]["castbar"]["enable"] = false
		E.db["unitframe"]["units"]["pet"]["debuffs"]["attachTo"] = "BUFFS"
		E.db["unitframe"]["units"]["pet"]["debuffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["pet"]["debuffs"]["priority"] = "Blacklist,Personal,nonPersonal"
		E.db["unitframe"]["units"]["pet"]["disableMouseoverGlow"] = true
		E.db["unitframe"]["units"]["pet"]["healPrediction"]["absorbStyle"] = "WRAPPED"
		E.db["unitframe"]["units"]["pet"]["health"]["position"] = "CENTER"
		E.db["unitframe"]["units"]["pet"]["health"]["xOffset"] = 0
		E.db["unitframe"]["units"]["pet"]["height"] = 30
		E.db["unitframe"]["units"]["pet"]["infoPanel"]["enable"] = true
		E.db["unitframe"]["units"]["pet"]["infoPanel"]["height"] = 17
		E.db["unitframe"]["units"]["pet"]["infoPanel"]["transparent"] = true
		E.db["unitframe"]["units"]["pet"]["name"]["text_format"] = ""
		E.db["unitframe"]["units"]["pet"]["power"]["height"] = 6
		E.db["unitframe"]["units"]["pet"]["power"]["powerPrediction"] = true
		E.db["unitframe"]["units"]["pet"]["raidicon"]["attachTo"] = "LEFT"
		E.db["unitframe"]["units"]["pet"]["raidicon"]["attachToObject"] = "Health"
		E.db["unitframe"]["units"]["pet"]["raidicon"]["xOffset"] = 2
		E.db["unitframe"]["units"]["pet"]["raidicon"]["yOffset"] = 0
		E.db["unitframe"]["units"]["pet"]["threatStyle"] = "NONE"
		E.db["unitframe"]["units"]["pet"]["width"] = 80
		E.db["unitframe"]["units"]["player"]["aurabar"]["enable"] = false
		E.db["unitframe"]["units"]["player"]["buffs"]["attachTo"] = "FRAME"
		E.db["unitframe"]["units"]["player"]["buffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["player"]["buffs"]["priority"] = "Blacklist,Personal,nonPersonal"
		E.db["unitframe"]["units"]["player"]["buffs"]["yOffset"] = 1
		E.db["unitframe"]["units"]["player"]["castbar"]["customTextFont"]["enable"] = true
		E.db["unitframe"]["units"]["player"]["castbar"]["customTextFont"]["font"] = "Expressway"
		E.db["unitframe"]["units"]["player"]["castbar"]["customTextFont"]["fontSize"] = 11
		E.db["unitframe"]["units"]["player"]["castbar"]["customTimeFont"]["enable"] = true
		E.db["unitframe"]["units"]["player"]["castbar"]["customTimeFont"]["font"] = "Expressway"
		E.db["unitframe"]["units"]["player"]["castbar"]["customTimeFont"]["fontSize"] = 11
		E.db["unitframe"]["units"]["player"]["castbar"]["height"] = 20
		E.db["unitframe"]["units"]["player"]["castbar"]["latency"] = false
		E.db["unitframe"]["units"]["player"]["castbar"]["spark"] = false
		E.db["unitframe"]["units"]["player"]["castbar"]["textColor"]["b"] = 1
		E.db["unitframe"]["units"]["player"]["castbar"]["textColor"]["g"] = 1
		E.db["unitframe"]["units"]["player"]["castbar"]["textColor"]["r"] = 1
		E.db["unitframe"]["units"]["player"]["castbar"]["timeToHold"] = 2
		E.db["unitframe"]["units"]["player"]["castbar"]["width"] = 359
		E.db["unitframe"]["units"]["player"]["castbar"]["xOffsetText"] = 2
		E.db["unitframe"]["units"]["player"]["castbar"]["xOffsetTime"] = -2
		E.db["unitframe"]["units"]["player"]["classbar"]["enable"] = false
		E.db["unitframe"]["units"]["player"]["CombatIcon"]["enable"] = false
		E.db["unitframe"]["units"]["player"]["debuffs"]["anchorPoint"] = "TOPRIGHT"
		E.db["unitframe"]["units"]["player"]["debuffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["player"]["debuffs"]["countFontSize"] = 13
		E.db["unitframe"]["units"]["player"]["debuffs"]["countPosition"] = "TOP"
		E.db["unitframe"]["units"]["player"]["debuffs"]["countYOffset"] = 14
		E.db["unitframe"]["units"]["player"]["debuffs"]["desaturate"] = false
		E.db["unitframe"]["units"]["player"]["debuffs"]["growthX"] = "LEFT"
		E.db["unitframe"]["units"]["player"]["disableMouseoverGlow"] = true
		E.db["unitframe"]["units"]["player"]["healPrediction"]["absorbStyle"] = "WRAPPED"
		E.db["unitframe"]["units"]["player"]["health"]["position"] = "CENTER"
		E.db["unitframe"]["units"]["player"]["health"]["text_format"] = ""
		E.db["unitframe"]["units"]["player"]["health"]["xOffset"] = 0
		E.db["unitframe"]["units"]["player"]["height"] = 30
		E.db["unitframe"]["units"]["player"]["infoPanel"]["enable"] = true
		E.db["unitframe"]["units"]["player"]["infoPanel"]["height"] = 17
		E.db["unitframe"]["units"]["player"]["infoPanel"]["transparent"] = true
		E.db["unitframe"]["units"]["player"]["name"]["position"] = "TOPRIGHT"
		E.db["unitframe"]["units"]["player"]["name"]["yOffset"] = 20
		E.db["unitframe"]["units"]["player"]["partyIndicator"]["enable"] = false
		E.db["unitframe"]["units"]["player"]["power"]["height"] = 6
		E.db["unitframe"]["units"]["player"]["power"]["position"] = "LEFT"
		E.db["unitframe"]["units"]["player"]["power"]["powerPrediction"] = true
		E.db["unitframe"]["units"]["player"]["power"]["text_format"] = ""
		E.db["unitframe"]["units"]["player"]["power"]["xOffset"] = 2
		E.db["unitframe"]["units"]["player"]["pvp"]["position"] = "CENTER"
		E.db["unitframe"]["units"]["player"]["pvp"]["text_format"] = ""
		E.db["unitframe"]["units"]["player"]["pvpIcon"]["scale"] = 0.85
		E.db["unitframe"]["units"]["player"]["raidicon"]["attachTo"] = "LEFT"
		E.db["unitframe"]["units"]["player"]["raidicon"]["attachToObject"] = "Health"
		E.db["unitframe"]["units"]["player"]["raidicon"]["xOffset"] = 2
		E.db["unitframe"]["units"]["player"]["raidicon"]["yOffset"] = 0
		E.db["unitframe"]["units"]["player"]["raidRoleIcons"]["yOffset"] = 1
		E.db["unitframe"]["units"]["player"]["RestIcon"]["enable"] = false
		E.db["unitframe"]["units"]["player"]["threatStyle"] = "NONE"
		E.db["unitframe"]["units"]["player"]["width"] = 190
		E.db["unitframe"]["units"]["raid"]["classbar"]["fill"] = "spaced"
		E.db["unitframe"]["units"]["raid"]["classbar"]["height"] = 6
		E.db["unitframe"]["units"]["raid"]["debuffs"]["anchorPoint"] = "BOTTOM"
		E.db["unitframe"]["units"]["raid"]["debuffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["raid"]["debuffs"]["countFontSize"] = 14
		E.db["unitframe"]["units"]["raid"]["debuffs"]["desaturate"] = false
		E.db["unitframe"]["units"]["raid"]["debuffs"]["maxDuration"] = 0
		E.db["unitframe"]["units"]["raid"]["debuffs"]["priority"] = "Blacklist,RaidDebuffs,Dispellable"
		E.db["unitframe"]["units"]["raid"]["debuffs"]["sizeOverride"] = 16
		E.db["unitframe"]["units"]["raid"]["debuffs"]["spacing"] = 0
		E.db["unitframe"]["units"]["raid"]["debuffs"]["yOffset"] = 16
		E.db["unitframe"]["units"]["raid"]["disableMouseoverGlow"] = true
		E.db["unitframe"]["units"]["raid"]["disableTargetGlow"] = true
		E.db["unitframe"]["units"]["raid"]["healPrediction"]["absorbStyle"] = "WRAPPED"
		E.db["unitframe"]["units"]["raid"]["healPrediction"]["enable"] = true
		E.db["unitframe"]["units"]["raid"]["health"]["text_format"] = ""
		E.db["unitframe"]["units"]["raid"]["height"] = 40
		E.db["unitframe"]["units"]["raid"]["horizontalSpacing"] = 1
		E.db["unitframe"]["units"]["raid"]["name"]["attachTextTo"] = "Frame"
		E.db["unitframe"]["units"]["raid"]["name"]["position"] = "LEFT"
		E.db["unitframe"]["units"]["raid"]["name"]["text_format"] = ""
		E.db["unitframe"]["units"]["raid"]["numGroups"] = 4
		E.db["unitframe"]["units"]["raid"]["phaseIndicator"]["anchorPoint"] = "BOTTOM"
		E.db["unitframe"]["units"]["raid"]["phaseIndicator"]["scale"] = 0.5
		E.db["unitframe"]["units"]["raid"]["power"]["enable"] = false
		E.db["unitframe"]["units"]["raid"]["raidicon"]["attachTo"] = "BOTTOM"
		E.db["unitframe"]["units"]["raid"]["raidicon"]["attachToObject"] = "Health"
		E.db["unitframe"]["units"]["raid"]["raidicon"]["size"] = 12
		E.db["unitframe"]["units"]["raid"]["raidicon"]["yOffset"] = 1
		E.db["unitframe"]["units"]["raid"]["raidRoleIcons"]["yOffset"] = 1
		E.db["unitframe"]["units"]["raid"]["rdebuffs"]["duration"]["color"]["b"] = 0.098039215686274
		E.db["unitframe"]["units"]["raid"]["rdebuffs"]["duration"]["color"]["g"] = 0.070588235294118
		E.db["unitframe"]["units"]["raid"]["rdebuffs"]["font"] = "Expressway"
		E.db["unitframe"]["units"]["raid"]["rdebuffs"]["fontOutline"] = "OUTLINE"
		E.db["unitframe"]["units"]["raid"]["rdebuffs"]["size"] = 18
		E.db["unitframe"]["units"]["raid"]["rdebuffs"]["stack"]["position"] = "CENTER"
		E.db["unitframe"]["units"]["raid"]["rdebuffs"]["stack"]["yOffset"] = 0
		E.db["unitframe"]["units"]["raid"]["readycheckIcon"]["attachTo"] = "Frame"
		E.db["unitframe"]["units"]["raid"]["readycheckIcon"]["xOffset"] = 1
		E.db["unitframe"]["units"]["raid"]["resurrectIcon"]["size"] = 25
		E.db["unitframe"]["units"]["raid"]["roleIcon"]["attachTo"] = "Frame"
		E.db["unitframe"]["units"]["raid"]["roleIcon"]["damager"] = false
		E.db["unitframe"]["units"]["raid"]["roleIcon"]["position"] = "TOP"
		E.db["unitframe"]["units"]["raid"]["roleIcon"]["size"] = 12
		E.db["unitframe"]["units"]["raid"]["roleIcon"]["xOffset"] = 0
		E.db["unitframe"]["units"]["raid"]["roleIcon"]["yOffset"] = 0
		E.db["unitframe"]["units"]["raid"]["summonIcon"]["attachTo"] = "BOTTOM"
		E.db["unitframe"]["units"]["raid"]["summonIcon"]["size"] = 25
		E.db["unitframe"]["units"]["raid"]["threatStyle"] = "NONE"
		E.db["unitframe"]["units"]["raid"]["verticalSpacing"] = 1
		E.db["unitframe"]["units"]["raid"]["visibility"] = "[@raid6,noexists][@raid31,exists] hide;show"
		E.db["unitframe"]["units"]["raid"]["width"] = 82
		E.db["unitframe"]["units"]["raid40"]["classbar"]["fill"] = "spaced"
		E.db["unitframe"]["units"]["raid40"]["classbar"]["height"] = 6
		E.db["unitframe"]["units"]["raid40"]["debuffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["raid40"]["debuffs"]["desaturate"] = false
		E.db["unitframe"]["units"]["raid40"]["debuffs"]["maxDuration"] = 0
		E.db["unitframe"]["units"]["raid40"]["debuffs"]["priority"] = "Blacklist,RaidDebuffs,Dispellable"
		E.db["unitframe"]["units"]["raid40"]["disableMouseoverGlow"] = true
		E.db["unitframe"]["units"]["raid40"]["disableTargetGlow"] = true
		E.db["unitframe"]["units"]["raid40"]["healPrediction"]["absorbStyle"] = "WRAPPED"
		E.db["unitframe"]["units"]["raid40"]["healPrediction"]["enable"] = true
		E.db["unitframe"]["units"]["raid40"]["health"]["text_format"] = ""
		E.db["unitframe"]["units"]["raid40"]["height"] = 26
		E.db["unitframe"]["units"]["raid40"]["horizontalSpacing"] = 1
		E.db["unitframe"]["units"]["raid40"]["name"]["text_format"] = "[classcolor][name:veryshort]"
		E.db["unitframe"]["units"]["raid40"]["phaseIndicator"]["anchorPoint"] = "RIGHT"
		E.db["unitframe"]["units"]["raid40"]["phaseIndicator"]["scale"] = 0.5
		E.db["unitframe"]["units"]["raid40"]["raidicon"]["attachTo"] = "LEFT"
		E.db["unitframe"]["units"]["raid40"]["raidicon"]["attachToObject"] = "Health"
		E.db["unitframe"]["units"]["raid40"]["raidicon"]["size"] = 14
		E.db["unitframe"]["units"]["raid40"]["raidicon"]["xOffset"] = 2
		E.db["unitframe"]["units"]["raid40"]["raidicon"]["yOffset"] = 0
		E.db["unitframe"]["units"]["raid40"]["raidRoleIcons"]["yOffset"] = 1
		E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["enable"] = true
		E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["font"] = "Expressway"
		E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["fontOutline"] = "OUTLINE"
		E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["size"] = 18
		E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["stack"]["position"] = "CENTER"
		E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["stack"]["yOffset"] = 0
		E.db["unitframe"]["units"]["raid40"]["summonIcon"]["attachTo"] = "LEFT"
		E.db["unitframe"]["units"]["raid40"]["threatStyle"] = "NONE"
		E.db["unitframe"]["units"]["raid40"]["verticalSpacing"] = 1
		E.db["unitframe"]["units"]["raid40"]["visibility"] = "[@raid31,noexists] hide;show"
		E.db["unitframe"]["units"]["raid40"]["width"] = 82
		E.db["unitframe"]["units"]["tank"]["enable"] = false
		E.db["unitframe"]["units"]["target"]["aurabar"]["enable"] = false
		E.db["unitframe"]["units"]["target"]["buffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["target"]["buffs"]["countFontSize"] = 13
		E.db["unitframe"]["units"]["target"]["buffs"]["countPosition"] = "TOP"
		E.db["unitframe"]["units"]["target"]["buffs"]["countYOffset"] = 14
		E.db["unitframe"]["units"]["target"]["buffs"]["perrow"] = 2
		E.db["unitframe"]["units"]["target"]["buffs"]["priority"] = "Blacklist,Dispellable,RaidBuffsElvUI"
		E.db["unitframe"]["units"]["target"]["buffs"]["sizeOverride"] = 23
		E.db["unitframe"]["units"]["target"]["castbar"]["customTextFont"]["enable"] = true
		E.db["unitframe"]["units"]["target"]["castbar"]["customTextFont"]["font"] = "Expressway"
		E.db["unitframe"]["units"]["target"]["castbar"]["customTextFont"]["fontSize"] = 11
		E.db["unitframe"]["units"]["target"]["castbar"]["customTimeFont"]["enable"] = true
		E.db["unitframe"]["units"]["target"]["castbar"]["customTimeFont"]["font"] = "Expressway"
		E.db["unitframe"]["units"]["target"]["castbar"]["customTimeFont"]["fontSize"] = 11
		E.db["unitframe"]["units"]["target"]["castbar"]["spark"] = false
		E.db["unitframe"]["units"]["target"]["castbar"]["textColor"]["b"] = 1
		E.db["unitframe"]["units"]["target"]["castbar"]["textColor"]["g"] = 1
		E.db["unitframe"]["units"]["target"]["castbar"]["textColor"]["r"] = 1
		E.db["unitframe"]["units"]["target"]["castbar"]["timeToHold"] = 2
		E.db["unitframe"]["units"]["target"]["castbar"]["width"] = 190
		E.db["unitframe"]["units"]["target"]["castbar"]["xOffsetText"] = 2
		E.db["unitframe"]["units"]["target"]["castbar"]["xOffsetTime"] = -2
		E.db["unitframe"]["units"]["target"]["CombatIcon"]["enable"] = false
		E.db["unitframe"]["units"]["target"]["debuffs"]["anchorPoint"] = "TOPLEFT"
		E.db["unitframe"]["units"]["target"]["debuffs"]["attachTo"] = "FRAME"
		E.db["unitframe"]["units"]["target"]["debuffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["target"]["debuffs"]["countFontSize"] = 13
		E.db["unitframe"]["units"]["target"]["debuffs"]["countPosition"] = "TOP"
		E.db["unitframe"]["units"]["target"]["debuffs"]["countYOffset"] = 14
		E.db["unitframe"]["units"]["target"]["debuffs"]["desaturate"] = false
		E.db["unitframe"]["units"]["target"]["debuffs"]["growthX"] = "RIGHT"
		E.db["unitframe"]["units"]["target"]["debuffs"]["maxDuration"] = 0
		E.db["unitframe"]["units"]["target"]["debuffs"]["priority"] = "Blacklist,Personal,CCDebuffs"
		E.db["unitframe"]["units"]["target"]["disableMouseoverGlow"] = true
		E.db["unitframe"]["units"]["target"]["healPrediction"]["absorbStyle"] = "WRAPPED"
		E.db["unitframe"]["units"]["target"]["health"]["position"] = "CENTER"
		E.db["unitframe"]["units"]["target"]["health"]["text_format"] = ""
		E.db["unitframe"]["units"]["target"]["health"]["xOffset"] = 0
		E.db["unitframe"]["units"]["target"]["height"] = 30
		E.db["unitframe"]["units"]["target"]["infoPanel"]["enable"] = true
		E.db["unitframe"]["units"]["target"]["infoPanel"]["height"] = 17
		E.db["unitframe"]["units"]["target"]["infoPanel"]["transparent"] = true
		E.db["unitframe"]["units"]["target"]["middleClickFocus"] = false
		E.db["unitframe"]["units"]["target"]["name"]["position"] = "TOPLEFT"
		E.db["unitframe"]["units"]["target"]["name"]["text_format"] = ""
		E.db["unitframe"]["units"]["target"]["name"]["yOffset"] = 20
		E.db["unitframe"]["units"]["target"]["orientation"] = "LEFT"
		E.db["unitframe"]["units"]["target"]["phaseIndicator"]["anchorPoint"] = "LEFT"
		E.db["unitframe"]["units"]["target"]["phaseIndicator"]["scale"] = 0.5
		E.db["unitframe"]["units"]["target"]["phaseIndicator"]["xOffset"] = 5
		E.db["unitframe"]["units"]["target"]["power"]["detachedWidth"] = 189
		E.db["unitframe"]["units"]["target"]["power"]["height"] = 6
		E.db["unitframe"]["units"]["target"]["power"]["position"] = "RIGHT"
		E.db["unitframe"]["units"]["target"]["power"]["powerPrediction"] = true
		E.db["unitframe"]["units"]["target"]["power"]["text_format"] = ""
		E.db["unitframe"]["units"]["target"]["power"]["xOffset"] = -2
		E.db["unitframe"]["units"]["target"]["raidicon"]["attachTo"] = "RIGHT"
		E.db["unitframe"]["units"]["target"]["raidicon"]["attachToObject"] = "Health"
		E.db["unitframe"]["units"]["target"]["raidicon"]["xOffset"] = -2
		E.db["unitframe"]["units"]["target"]["raidicon"]["yOffset"] = 0
		E.db["unitframe"]["units"]["target"]["raidRoleIcons"]["position"] = "TOPRIGHT"
		E.db["unitframe"]["units"]["target"]["raidRoleIcons"]["yOffset"] = 1
		E.db["unitframe"]["units"]["target"]["threatStyle"] = "NONE"
		E.db["unitframe"]["units"]["target"]["width"] = 190
		E.db["unitframe"]["units"]["targettarget"]["buffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["targettarget"]["debuffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["targettarget"]["debuffs"]["enable"] = false
		E.db["unitframe"]["units"]["targettarget"]["debuffs"]["maxDuration"] = 0
		E.db["unitframe"]["units"]["targettarget"]["disableMouseoverGlow"] = true
		E.db["unitframe"]["units"]["targettarget"]["health"]["position"] = "CENTER"
		E.db["unitframe"]["units"]["targettarget"]["health"]["xOffset"] = 0
		E.db["unitframe"]["units"]["targettarget"]["height"] = 30
		E.db["unitframe"]["units"]["targettarget"]["infoPanel"]["enable"] = true
		E.db["unitframe"]["units"]["targettarget"]["infoPanel"]["height"] = 17
		E.db["unitframe"]["units"]["targettarget"]["infoPanel"]["transparent"] = true
		E.db["unitframe"]["units"]["targettarget"]["name"]["text_format"] = ""
		E.db["unitframe"]["units"]["targettarget"]["power"]["height"] = 6
		E.db["unitframe"]["units"]["targettarget"]["power"]["powerPrediction"] = true
		E.db["unitframe"]["units"]["targettarget"]["raidicon"]["attachTo"] = "RIGHT"
		E.db["unitframe"]["units"]["targettarget"]["raidicon"]["attachToObject"] = "Health"
		E.db["unitframe"]["units"]["targettarget"]["raidicon"]["xOffset"] = -2
		E.db["unitframe"]["units"]["targettarget"]["raidicon"]["yOffset"] = 0
		E.db["unitframe"]["units"]["targettarget"]["width"] = 80
		E.db["unitframe"]["units"]["targettargettarget"]["disableMouseoverGlow"] = true

		-- Classic and TBC stuff
		if not E.Retail then
			E.db["unitframe"]["units"]["player"]["power"]["EnergyManaRegen"] = true
		end

	elseif layout == 'healer' then

		if not E.db.movers then E.db.movers = {} end

		-- Growth Directions Healing
		E.db["unitframe"]["units"]["party"]["growthDirection"] = "RIGHT_DOWN"
		E.db["unitframe"]["units"]["raid"]["growthDirection"] = "RIGHT_DOWN"
		E.db["unitframe"]["units"]["raid40"]["growthDirection"] = "RIGHT_DOWN"

		-- Movers Healing
		E.db["movers"]["AlertFrameMover"] = "TOP,ElvUIParent,TOP,0,-139"
		E.db["movers"]["AltPowerBarMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,368"
		E.db["movers"]["ArenaHeaderMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-271,-235"
		E.db["movers"]["ArtifactBarMover"] = "BOTTOM,ElvUIParent,BOTTOM,1,16"
		E.db["movers"]["AzeriteBarMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,427,1"
		E.db["movers"]["BelowMinimapContainerMover"] = "TOP,ElvUIParent,TOP,0,-67"
		E.db["movers"]["BNETMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,1,173"
		E.db["movers"]["BossBannerMover"] = "TOP,ElvUIParent,TOP,0,-57"
		E.db["movers"]["BossButton"] = "BOTTOM,ElvUIParent,BOTTOM,-168,128"
		E.db["movers"]["BossHeaderMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-271,-235"
		E.db["movers"]["BuffsMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-166,-1"
		E.db["movers"]["ClassBarMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,153"
		E.db["movers"]["DebuffsMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-166,-128"
		E.db["movers"]["DigSiteProgressBarMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,157"
		E.db["movers"]["DTPanelLuckyone_ActionBars_DTMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,1"
		E.db["movers"]["DurabilityFrameMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-1,-214"
		E.db["movers"]["ElvAB_1"] = "BOTTOM,ElvUIParent,BOTTOM,0,16"
		E.db["movers"]["ElvAB_10"] = "BOTTOM,ElvUIParent,BOTTOM,0,255"
		E.db["movers"]["ElvAB_2"] = "BOTTOM,ElvUIParent,BOTTOM,0,76"
		E.db["movers"]["ElvAB_3"] = "BOTTOM,ElvUIParent,BOTTOM,0,46"
		E.db["movers"]["ElvAB_4"] = E.Retail and "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-1,203" or "BOTTOM,ElvUIParent,BOTTOM,-270,1"
		E.db["movers"]["ElvAB_5"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-1,-343"
		E.db["movers"]["ElvAB_6"] = E.Retail and "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-1,173" or "BOTTOM,ElvUIParent,BOTTOM,270,1"
		E.db["movers"]["ElvAB_7"] = "BOTTOM,ElvUIParent,BOTTOM,0,168"
		E.db["movers"]["ElvAB_8"] = "BOTTOM,ElvUIParent,BOTTOM,0,197"
		E.db["movers"]["ElvAB_9"] = "BOTTOM,ElvUIParent,BOTTOM,0,226"
		E.db["movers"]["ElvNP_PlayerMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,421"
		E.db["movers"]["ElvUF_AssistMover"] = "TOPLEFT,ElvUIParent,BOTTOMLEFT,0,1048"
		E.db["movers"]["ElvUF_FocusMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-542,470"
		E.db["movers"]["ElvUF_FocusTargetMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-460,470"
		E.db["movers"]["ElvUF_PartyMover"] = "BOTTOM,UIParent,BOTTOM,0,320"
		E.db["movers"]["ElvUF_PetMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,461,320"
		E.db["movers"]["ElvUF_PlayerCastbarMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,106"
		E.db["movers"]["ElvUF_PlayerMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,542,320"
		E.db["movers"]["ElvUF_Raid40Mover"] = "BOTTOM,UIParent,BOTTOM,0,136"
		E.db["movers"]["ElvUF_RaidMover"] = "BOTTOM,UIParent,BOTTOM,0,134"
		E.db["movers"]["ElvUF_TargetCastbarMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-542,301"
		E.db["movers"]["ElvUF_TargetMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-542,320"
		E.db["movers"]["ElvUF_TargetTargetMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-460,320"
		E.db["movers"]["ElvUIBagMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-1,173"
		E.db["movers"]["ElvUIBankMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,1,173"
		E.db["movers"]["ExperienceBarMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,416,1"
		E.db["movers"]["GhostFrameMover"] = "TOP,ElvUIParent,TOP,0,-161"
		E.db["movers"]["GMMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-503,-1"
		E.db["movers"]["HonorBarMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-427,1"
		E.db["movers"]["LeftChatMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,1,1"
		E.db["movers"]["LootFrameMover"] = "TOP,ElvUIParent,TOP,0,-161"
		E.db["movers"]["LossControlMover"] = "TOP,ElvUIParent,TOP,0,-492"
		E.db["movers"]["MawBuffsBelowMinimapMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-15,-380"
		E.db["movers"]["MicrobarMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,174,-1"
		E.db["movers"]["MinimapMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-1,-1"
		E.db["movers"]["MirrorTimer1Mover"] = "TOP,ElvUIParent,TOP,0,-78"
		E.db["movers"]["MirrorTimer2Mover"] = "TOP,ElvUIParent,TOP,0,-97"
		E.db["movers"]["MirrorTimer3Mover"] = "TOP,ElvUIParent,TOP,0,-116"
		E.db["movers"]["ObjectiveFrameMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-86,-214"
		E.db["movers"]["PetAB"] = "BOTTOM,ElvUIParent,BOTTOM,0,128"
		E.db["movers"]["PlayerChoiceToggle"] = "BOTTOM,UIParent,BOTTOM,0,158"
		E.db["movers"]["RaidUtility_Mover"] = "TOPLEFT,ElvUIParent,TOPLEFT,405,-1"
		E.db["movers"]["ReputationBarMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-416,1"
		E.db["movers"]["RightChatMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-1,1"
		E.db["movers"]["ShiftAB"] = "TOPLEFT,ElvUIParent,TOPLEFT,1,-1"
		E.db["movers"]["SLEGhostFrameMover"] = "TOP,ElvUIParent,TOP,0,-161"
		E.db["movers"]["SocialMenuMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,4,196"
		E.db["movers"]["SquareMinimapButtonBarMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-2,-187"
		E.db["movers"]["TalkingHeadFrameMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-2,174"
		E.db["movers"]["TargetPowerBarMover"] = "BOTTOM,ElvUIParent,BOTTOM,242,348"
		E.db["movers"]["ThreatBarMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-438,1"
		E.db["movers"]["TooltipMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,0,135"
		E.db["movers"]["TopCenterContainerMover"] = "TOP,ElvUIParent,TOP,0,-57"
		E.db["movers"]["TotemBarMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,428,1"
		E.db["movers"]["UIErrorsFrameMover"] = "TOP,ElvUIParent,TOP,0,-78"
		E.db["movers"]["VehicleLeaveButton"] = "BOTTOM,ElvUIParent,BOTTOM,0,368"
		E.db["movers"]["VehicleSeatMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,438,1"
		E.db["movers"]["VOICECHAT"] = "TOPLEFT,ElvUIParent,TOPLEFT,1,-30"
		E.db["movers"]["ZoneAbility"] = "BOTTOM,ElvUIParent,BOTTOM,168,128"

		-- Classic and TBC movers
		if not E.Retail then
			E.db["movers"]["PetExperienceBarMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,427,1"
			E.db["movers"]["QuestTimerFrameMover"] = "TOP,ElvUIParent,TOP,0,-1"
			E.db["movers"]["QuestWatchFrameMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-115,-214"
		end

		-- UnitFrames Healing
		E.db["unitframe"]["colors"]["castbar_backdrop"]["a"] = 0.75
		E.db["unitframe"]["colors"]["castbar_backdrop"]["b"] = 0.058823529411765
		E.db["unitframe"]["colors"]["castbar_backdrop"]["g"] = 0.058823529411765
		E.db["unitframe"]["colors"]["castbar_backdrop"]["r"] = 0.058823529411765
		E.db["unitframe"]["colors"]["castColor"]["b"] = 0
		E.db["unitframe"]["colors"]["castColor"]["g"] = 1
		E.db["unitframe"]["colors"]["castColor"]["r"] = 0.023529411764706
		E.db["unitframe"]["colors"]["castInterruptedColor"]["b"] = 0.30196078431373
		E.db["unitframe"]["colors"]["castInterruptedColor"]["g"] = 0.30196078431373
		E.db["unitframe"]["colors"]["castInterruptedColor"]["r"] = 0.30196078431373
		E.db["unitframe"]["colors"]["castNoInterrupt"]["b"] = 0.007843137254902
		E.db["unitframe"]["colors"]["castNoInterrupt"]["g"] = 0
		E.db["unitframe"]["colors"]["castNoInterrupt"]["r"] = 1
		E.db["unitframe"]["colors"]["colorhealthbyvalue"] = false
		E.db["unitframe"]["colors"]["customcastbarbackdrop"] = true
		E.db["unitframe"]["colors"]["customhealthbackdrop"] = true
		E.db["unitframe"]["colors"]["frameGlow"]["mouseoverGlow"]["texture"] = "Minimalist"
		E.db["unitframe"]["colors"]["healPrediction"]["overabsorbs"]["b"] = 1
		E.db["unitframe"]["colors"]["healPrediction"]["overabsorbs"]["r"] = 0
		E.db["unitframe"]["colors"]["health_backdrop_dead"]["b"] = 0.61176470588235
		E.db["unitframe"]["colors"]["health_backdrop_dead"]["g"] = 0.56862745098039
		E.db["unitframe"]["colors"]["health_backdrop_dead"]["r"] = 0.54901960784314
		E.db["unitframe"]["colors"]["health_backdrop"]["b"] = 0.61176470588235
		E.db["unitframe"]["colors"]["health_backdrop"]["g"] = 0.56862745098039
		E.db["unitframe"]["colors"]["health_backdrop"]["r"] = 0.54901960784314
		E.db["unitframe"]["colors"]["health"]["b"] = 0.058823529411765
		E.db["unitframe"]["colors"]["health"]["g"] = 0.058823529411765
		E.db["unitframe"]["colors"]["health"]["r"] = 0.058823529411765
		E.db["unitframe"]["colors"]["healthMultiplier"] = 0.75
		E.db["unitframe"]["colors"]["power_backdrop"]["b"] = 0.50196078431373
		E.db["unitframe"]["colors"]["power_backdrop"]["g"] = 0.50196078431373
		E.db["unitframe"]["colors"]["power_backdrop"]["r"] = 0.50196078431373
		E.db["unitframe"]["colors"]["selection"][0]["b"] = 0.17254901960784
		E.db["unitframe"]["colors"]["selection"][0]["g"] = 0.17254901960784
		E.db["unitframe"]["colors"]["tapped"]["b"] = 0.61176470588235
		E.db["unitframe"]["colors"]["tapped"]["g"] = 0.56862745098039
		E.db["unitframe"]["colors"]["tapped"]["r"] = 0.54901960784314
		E.db["unitframe"]["colors"]["transparentAurabars"] = true
		E.db["unitframe"]["colors"]["transparentHealth"] = true
		E.db["unitframe"]["colors"]["transparentPower"] = true
		E.db["unitframe"]["colors"]["useDeadBackdrop"] = true
		E.db["unitframe"]["cooldown"]["daysIndicator"]["g"] = 0.4
		E.db["unitframe"]["cooldown"]["daysIndicator"]["r"] = 0.4
		E.db["unitframe"]["cooldown"]["expireIndicator"]["b"] = 0
		E.db["unitframe"]["cooldown"]["expireIndicator"]["g"] = 0
		E.db["unitframe"]["cooldown"]["hoursIndicator"]["r"] = 0.4
		E.db["unitframe"]["cooldown"]["override"] = false
		E.db["unitframe"]["cooldown"]["threshold"] = 4
		E.db["unitframe"]["font"] = "Expressway"
		E.db["unitframe"]["fontOutline"] = "OUTLINE"
		E.db["unitframe"]["fontSize"] = 12
		E.db["unitframe"]["statusbar"] = "Minimalist"
		E.db["unitframe"]["units"]["arena"]["buffs"]["anchorPoint"] = "TOPRIGHT"
		E.db["unitframe"]["units"]["arena"]["buffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["arena"]["buffs"]["countFontSize"] = 10
		E.db["unitframe"]["units"]["arena"]["buffs"]["countXOffset"] = 1
		E.db["unitframe"]["units"]["arena"]["buffs"]["maxDuration"] = 0
		E.db["unitframe"]["units"]["arena"]["buffs"]["numrows"] = 2
		E.db["unitframe"]["units"]["arena"]["buffs"]["priority"] = "Blacklist,Dispellable,RaidBuffsElvUI"
		E.db["unitframe"]["units"]["arena"]["buffs"]["sizeOverride"] = 22
		E.db["unitframe"]["units"]["arena"]["buffs"]["xOffset"] = 23
		E.db["unitframe"]["units"]["arena"]["buffs"]["yOffset"] = -46
		E.db["unitframe"]["units"]["arena"]["castbar"]["customTextFont"]["enable"] = true
		E.db["unitframe"]["units"]["arena"]["castbar"]["customTextFont"]["font"] = "Expressway"
		E.db["unitframe"]["units"]["arena"]["castbar"]["customTextFont"]["fontSize"] = 11
		E.db["unitframe"]["units"]["arena"]["castbar"]["customTimeFont"]["enable"] = true
		E.db["unitframe"]["units"]["arena"]["castbar"]["customTimeFont"]["font"] = "Expressway"
		E.db["unitframe"]["units"]["arena"]["castbar"]["customTimeFont"]["fontSize"] = 11
		E.db["unitframe"]["units"]["arena"]["castbar"]["spark"] = false
		E.db["unitframe"]["units"]["arena"]["castbar"]["textColor"]["b"] = 1
		E.db["unitframe"]["units"]["arena"]["castbar"]["textColor"]["g"] = 1
		E.db["unitframe"]["units"]["arena"]["castbar"]["textColor"]["r"] = 1
		E.db["unitframe"]["units"]["arena"]["castbar"]["width"] = 240
		E.db["unitframe"]["units"]["arena"]["castbar"]["xOffsetText"] = 2
		E.db["unitframe"]["units"]["arena"]["castbar"]["xOffsetTime"] = -2
		E.db["unitframe"]["units"]["arena"]["debuffs"]["anchorPoint"] = "TOPLEFT"
		E.db["unitframe"]["units"]["arena"]["debuffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["arena"]["debuffs"]["countFontSize"] = 10
		E.db["unitframe"]["units"]["arena"]["debuffs"]["countXOffset"] = 1
		E.db["unitframe"]["units"]["arena"]["debuffs"]["desaturate"] = true
		E.db["unitframe"]["units"]["arena"]["debuffs"]["growthX"] = "LEFT"
		E.db["unitframe"]["units"]["arena"]["debuffs"]["growthY"] = "DOWN"
		E.db["unitframe"]["units"]["arena"]["debuffs"]["maxDuration"] = 0
		E.db["unitframe"]["units"]["arena"]["debuffs"]["numrows"] = 2
		E.db["unitframe"]["units"]["arena"]["debuffs"]["priority"] = "Blacklist,Personal,CCDebuffs"
		E.db["unitframe"]["units"]["arena"]["debuffs"]["sizeOverride"] = 22
		E.db["unitframe"]["units"]["arena"]["debuffs"]["spacing"] = 0
		E.db["unitframe"]["units"]["arena"]["debuffs"]["xOffset"] = -69
		E.db["unitframe"]["units"]["arena"]["debuffs"]["yOffset"] = -21
		E.db["unitframe"]["units"]["arena"]["disableTargetGlow"] = true
		E.db["unitframe"]["units"]["arena"]["healPrediction"]["absorbStyle"] = "WRAPPED"
		E.db["unitframe"]["units"]["arena"]["health"]["text_format"] = ""
		E.db["unitframe"]["units"]["arena"]["health"]["xOffset"] = 0
		E.db["unitframe"]["units"]["arena"]["height"] = 45
		E.db["unitframe"]["units"]["arena"]["infoPanel"]["height"] = 16
		E.db["unitframe"]["units"]["arena"]["name"]["text_format"] = ""
		E.db["unitframe"]["units"]["arena"]["power"]["height"] = 6
		E.db["unitframe"]["units"]["arena"]["power"]["text_format"] = ""
		E.db["unitframe"]["units"]["arena"]["pvpclassificationindicator"]["size"] = 25
		E.db["unitframe"]["units"]["arena"]["pvpclassificationindicator"]["xOffset"] = -20
		E.db["unitframe"]["units"]["arena"]["pvpTrinket"]["position"] = "LEFT"
		E.db["unitframe"]["units"]["arena"]["pvpTrinket"]["size"] = 45
		E.db["unitframe"]["units"]["arena"]["pvpTrinket"]["xOffset"] = -1
		E.db["unitframe"]["units"]["arena"]["spacing"] = 20
		E.db["unitframe"]["units"]["arena"]["width"] = 240
		E.db["unitframe"]["units"]["assist"]["enable"] = false
		E.db["unitframe"]["units"]["boss"]["buffs"]["anchorPoint"] = "TOPRIGHT"
		E.db["unitframe"]["units"]["boss"]["buffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["boss"]["buffs"]["countFontSize"] = 10
		E.db["unitframe"]["units"]["boss"]["buffs"]["countXOffset"] = 1
		E.db["unitframe"]["units"]["boss"]["buffs"]["numrows"] = 2
		E.db["unitframe"]["units"]["boss"]["buffs"]["priority"] = "Blacklist,Dispellable,RaidBuffsElvUI"
		E.db["unitframe"]["units"]["boss"]["buffs"]["xOffset"] = 23
		E.db["unitframe"]["units"]["boss"]["buffs"]["yOffset"] = -46
		E.db["unitframe"]["units"]["boss"]["castbar"]["customTextFont"]["enable"] = true
		E.db["unitframe"]["units"]["boss"]["castbar"]["customTextFont"]["font"] = "Expressway"
		E.db["unitframe"]["units"]["boss"]["castbar"]["customTextFont"]["fontSize"] = 11
		E.db["unitframe"]["units"]["boss"]["castbar"]["customTimeFont"]["enable"] = true
		E.db["unitframe"]["units"]["boss"]["castbar"]["customTimeFont"]["font"] = "Expressway"
		E.db["unitframe"]["units"]["boss"]["castbar"]["customTimeFont"]["fontSize"] = 11
		E.db["unitframe"]["units"]["boss"]["castbar"]["spark"] = false
		E.db["unitframe"]["units"]["boss"]["castbar"]["textColor"]["b"] = 1
		E.db["unitframe"]["units"]["boss"]["castbar"]["textColor"]["g"] = 1
		E.db["unitframe"]["units"]["boss"]["castbar"]["textColor"]["r"] = 1
		E.db["unitframe"]["units"]["boss"]["castbar"]["width"] = 200
		E.db["unitframe"]["units"]["boss"]["castbar"]["xOffsetText"] = 2
		E.db["unitframe"]["units"]["boss"]["castbar"]["xOffsetTime"] = -2
		E.db["unitframe"]["units"]["boss"]["debuffs"]["anchorPoint"] = "TOPLEFT"
		E.db["unitframe"]["units"]["boss"]["debuffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["boss"]["debuffs"]["countFontSize"] = 10
		E.db["unitframe"]["units"]["boss"]["debuffs"]["countXOffset"] = 1
		E.db["unitframe"]["units"]["boss"]["debuffs"]["growthX"] = "LEFT"
		E.db["unitframe"]["units"]["boss"]["debuffs"]["growthY"] = "DOWN"
		E.db["unitframe"]["units"]["boss"]["debuffs"]["numrows"] = 2
		E.db["unitframe"]["units"]["boss"]["debuffs"]["priority"] = "Blacklist,Personal,CCDebuffs"
		E.db["unitframe"]["units"]["boss"]["debuffs"]["spacing"] = 0
		E.db["unitframe"]["units"]["boss"]["debuffs"]["xOffset"] = -23
		E.db["unitframe"]["units"]["boss"]["debuffs"]["yOffset"] = -21
		E.db["unitframe"]["units"]["boss"]["disableTargetGlow"] = true
		E.db["unitframe"]["units"]["boss"]["health"]["text_format"] = ""
		E.db["unitframe"]["units"]["boss"]["health"]["xOffset"] = 0
		E.db["unitframe"]["units"]["boss"]["height"] = 45
		E.db["unitframe"]["units"]["boss"]["name"]["text_format"] = ""
		E.db["unitframe"]["units"]["boss"]["power"]["height"] = 6
		E.db["unitframe"]["units"]["boss"]["power"]["text_format"] = ""
		E.db["unitframe"]["units"]["boss"]["spacing"] = 20
		E.db["unitframe"]["units"]["boss"]["width"] = 200
		E.db["unitframe"]["units"]["focus"]["buffs"]["anchorPoint"] = "TOPRIGHT"
		E.db["unitframe"]["units"]["focus"]["buffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["focus"]["buffs"]["countFontSize"] = 13
		E.db["unitframe"]["units"]["focus"]["buffs"]["countPosition"] = "TOP"
		E.db["unitframe"]["units"]["focus"]["buffs"]["countYOffset"] = 14
		E.db["unitframe"]["units"]["focus"]["buffs"]["enable"] = true
		E.db["unitframe"]["units"]["focus"]["buffs"]["growthX"] = "LEFT"
		E.db["unitframe"]["units"]["focus"]["buffs"]["maxDuration"] = 0
		E.db["unitframe"]["units"]["focus"]["buffs"]["perrow"] = 2
		E.db["unitframe"]["units"]["focus"]["buffs"]["priority"] = "Blacklist,Dispellable,RaidBuffsElvUI"
		E.db["unitframe"]["units"]["focus"]["buffs"]["sizeOverride"] = 23
		E.db["unitframe"]["units"]["focus"]["castbar"]["customTextFont"]["enable"] = true
		E.db["unitframe"]["units"]["focus"]["castbar"]["customTextFont"]["font"] = "Expressway"
		E.db["unitframe"]["units"]["focus"]["castbar"]["customTextFont"]["fontSize"] = 11
		E.db["unitframe"]["units"]["focus"]["castbar"]["customTimeFont"]["enable"] = true
		E.db["unitframe"]["units"]["focus"]["castbar"]["customTimeFont"]["font"] = "Expressway"
		E.db["unitframe"]["units"]["focus"]["castbar"]["customTimeFont"]["fontSize"] = 11
		E.db["unitframe"]["units"]["focus"]["castbar"]["spark"] = false
		E.db["unitframe"]["units"]["focus"]["castbar"]["textColor"]["b"] = 1
		E.db["unitframe"]["units"]["focus"]["castbar"]["textColor"]["g"] = 1
		E.db["unitframe"]["units"]["focus"]["castbar"]["textColor"]["r"] = 1
		E.db["unitframe"]["units"]["focus"]["castbar"]["timeToHold"] = 2
		E.db["unitframe"]["units"]["focus"]["castbar"]["xOffsetText"] = 2
		E.db["unitframe"]["units"]["focus"]["castbar"]["xOffsetTime"] = -2
		E.db["unitframe"]["units"]["focus"]["CombatIcon"]["enable"] = false
		E.db["unitframe"]["units"]["focus"]["debuffs"]["anchorPoint"] = "TOPLEFT"
		E.db["unitframe"]["units"]["focus"]["debuffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["focus"]["debuffs"]["countFontSize"] = 13
		E.db["unitframe"]["units"]["focus"]["debuffs"]["countPosition"] = "TOP"
		E.db["unitframe"]["units"]["focus"]["debuffs"]["countYOffset"] = 14
		E.db["unitframe"]["units"]["focus"]["debuffs"]["desaturate"] = false
		E.db["unitframe"]["units"]["focus"]["debuffs"]["growthX"] = "RIGHT"
		E.db["unitframe"]["units"]["focus"]["debuffs"]["maxDuration"] = 0
		E.db["unitframe"]["units"]["focus"]["debuffs"]["perrow"] = 8
		E.db["unitframe"]["units"]["focus"]["debuffs"]["priority"] = "Blacklist,Personal,CCDebuffs"
		E.db["unitframe"]["units"]["focus"]["disableMouseoverGlow"] = true
		E.db["unitframe"]["units"]["focus"]["disableTargetGlow"] = true
		E.db["unitframe"]["units"]["focus"]["healPrediction"]["absorbStyle"] = "WRAPPED"
		E.db["unitframe"]["units"]["focus"]["health"]["position"] = "CENTER"
		E.db["unitframe"]["units"]["focus"]["health"]["xOffset"] = 0
		E.db["unitframe"]["units"]["focus"]["height"] = 30
		E.db["unitframe"]["units"]["focus"]["infoPanel"]["enable"] = true
		E.db["unitframe"]["units"]["focus"]["infoPanel"]["height"] = 17
		E.db["unitframe"]["units"]["focus"]["infoPanel"]["transparent"] = true
		E.db["unitframe"]["units"]["focus"]["name"]["position"] = "TOPLEFT"
		E.db["unitframe"]["units"]["focus"]["name"]["text_format"] = ""
		E.db["unitframe"]["units"]["focus"]["name"]["yOffset"] = 20
		E.db["unitframe"]["units"]["focus"]["orientation"] = "LEFT"
		E.db["unitframe"]["units"]["focus"]["power"]["detachedWidth"] = 189
		E.db["unitframe"]["units"]["focus"]["power"]["height"] = 6
		E.db["unitframe"]["units"]["focus"]["power"]["position"] = "RIGHT"
		E.db["unitframe"]["units"]["focus"]["power"]["powerPrediction"] = true
		E.db["unitframe"]["units"]["focus"]["power"]["xOffset"] = -2
		E.db["unitframe"]["units"]["focus"]["raidicon"]["attachTo"] = "RIGHT"
		E.db["unitframe"]["units"]["focus"]["raidicon"]["attachToObject"] = "Health"
		E.db["unitframe"]["units"]["focus"]["raidicon"]["xOffset"] = -2
		E.db["unitframe"]["units"]["focus"]["raidicon"]["yOffset"] = 0
		E.db["unitframe"]["units"]["focus"]["threatStyle"] = "NONE"
		E.db["unitframe"]["units"]["focustarget"]["buffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["focustarget"]["buffs"]["priority"] = "Blacklist,Personal,PlayerBuffs,Dispellable"
		E.db["unitframe"]["units"]["focustarget"]["debuffs"]["attachTo"] = "BUFFS"
		E.db["unitframe"]["units"]["focustarget"]["debuffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["focustarget"]["debuffs"]["maxDuration"] = 0
		E.db["unitframe"]["units"]["focustarget"]["disableMouseoverGlow"] = true
		E.db["unitframe"]["units"]["focustarget"]["disableTargetGlow"] = true
		E.db["unitframe"]["units"]["focustarget"]["enable"] = true
		E.db["unitframe"]["units"]["focustarget"]["health"]["position"] = "CENTER"
		E.db["unitframe"]["units"]["focustarget"]["health"]["xOffset"] = 0
		E.db["unitframe"]["units"]["focustarget"]["height"] = 30
		E.db["unitframe"]["units"]["focustarget"]["infoPanel"]["enable"] = true
		E.db["unitframe"]["units"]["focustarget"]["infoPanel"]["height"] = 17
		E.db["unitframe"]["units"]["focustarget"]["infoPanel"]["transparent"] = true
		E.db["unitframe"]["units"]["focustarget"]["name"]["text_format"] = ""
		E.db["unitframe"]["units"]["focustarget"]["power"]["height"] = 6
		E.db["unitframe"]["units"]["focustarget"]["power"]["powerPrediction"] = true
		E.db["unitframe"]["units"]["focustarget"]["raidicon"]["attachTo"] = "RIGHT"
		E.db["unitframe"]["units"]["focustarget"]["raidicon"]["attachToObject"] = "Health"
		E.db["unitframe"]["units"]["focustarget"]["raidicon"]["xOffset"] = -2
		E.db["unitframe"]["units"]["focustarget"]["raidicon"]["yOffset"] = 0
		E.db["unitframe"]["units"]["focustarget"]["width"] = 80
		E.db["unitframe"]["units"]["party"]["classbar"]["fill"] = "spaced"
		E.db["unitframe"]["units"]["party"]["classbar"]["height"] = 6
		E.db["unitframe"]["units"]["party"]["debuffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["party"]["debuffs"]["desaturate"] = false
		E.db["unitframe"]["units"]["party"]["debuffs"]["enable"] = false
		E.db["unitframe"]["units"]["party"]["debuffs"]["maxDuration"] = 0
		E.db["unitframe"]["units"]["party"]["debuffs"]["perrow"] = 3
		E.db["unitframe"]["units"]["party"]["debuffs"]["priority"] = "Blacklist,RaidDebuffs,Dispellable"
		E.db["unitframe"]["units"]["party"]["debuffs"]["sizeOverride"] = 0
		E.db["unitframe"]["units"]["party"]["disableMouseoverGlow"] = true
		E.db["unitframe"]["units"]["party"]["disableTargetGlow"] = true
		E.db["unitframe"]["units"]["party"]["groupBy"] = "GROUP"
		E.db["unitframe"]["units"]["party"]["healPrediction"]["absorbStyle"] = "WRAPPED"
		E.db["unitframe"]["units"]["party"]["healPrediction"]["enable"] = true
		E.db["unitframe"]["units"]["party"]["health"]["position"] = "BOTTOM"
		E.db["unitframe"]["units"]["party"]["health"]["text_format"] = ""
		E.db["unitframe"]["units"]["party"]["health"]["yOffset"] = 2
		E.db["unitframe"]["units"]["party"]["height"] = 47
		E.db["unitframe"]["units"]["party"]["horizontalSpacing"] = 1
		E.db["unitframe"]["units"]["party"]["infoPanel"]["height"] = 12
		E.db["unitframe"]["units"]["party"]["name"]["text_format"] = ""
		E.db["unitframe"]["units"]["party"]["orientation"] = "MIDDLE"
		E.db["unitframe"]["units"]["party"]["petsGroup"]["anchorPoint"] = "LEFT"
		E.db["unitframe"]["units"]["party"]["petsGroup"]["height"] = 20
		E.db["unitframe"]["units"]["party"]["phaseIndicator"]["anchorPoint"] = "LEFT"
		E.db["unitframe"]["units"]["party"]["phaseIndicator"]["scale"] = 0.5
		E.db["unitframe"]["units"]["party"]["power"]["enable"] = false
		E.db["unitframe"]["units"]["party"]["power"]["position"] = "BOTTOMRIGHT"
		E.db["unitframe"]["units"]["party"]["power"]["text_format"] = ""
		E.db["unitframe"]["units"]["party"]["power"]["yOffset"] = 2
		E.db["unitframe"]["units"]["party"]["raidicon"]["attachTo"] = "BOTTOM"
		E.db["unitframe"]["units"]["party"]["raidicon"]["size"] = 12
		E.db["unitframe"]["units"]["party"]["raidicon"]["yOffset"] = 0
		E.db["unitframe"]["units"]["party"]["raidRoleIcons"]["yOffset"] = 1
		E.db["unitframe"]["units"]["party"]["rdebuffs"]["font"] = "Expressway"
		E.db["unitframe"]["units"]["party"]["rdebuffs"]["fontOutline"] = "OUTLINE"
		E.db["unitframe"]["units"]["party"]["rdebuffs"]["size"] = 18
		E.db["unitframe"]["units"]["party"]["roleIcon"]["damager"] = false
		E.db["unitframe"]["units"]["party"]["roleIcon"]["position"] = "TOP"
		E.db["unitframe"]["units"]["party"]["roleIcon"]["size"] = 14
		E.db["unitframe"]["units"]["party"]["summonIcon"]["attachTo"] = "LEFT"
		E.db["unitframe"]["units"]["party"]["summonIcon"]["size"] = 22
		E.db["unitframe"]["units"]["party"]["targetsGroup"]["height"] = 10
		E.db["unitframe"]["units"]["party"]["threatStyle"] = "NONE"
		E.db["unitframe"]["units"]["party"]["verticalSpacing"] = 1
		E.db["unitframe"]["units"]["party"]["width"] = 90
		E.db["unitframe"]["units"]["pet"]["buffIndicator"]["enable"] = false

		if not E.Retail then
			-- Pet Buffs
			E.db["unitframe"]["units"]["pet"]["buffs"]["countFont"] = "Expressway"
			E.db["unitframe"]["units"]["pet"]["buffs"]["countFontSize"] = 11
			E.db["unitframe"]["units"]["pet"]["buffs"]["countYOffset"] = 1
			E.db["unitframe"]["units"]["pet"]["buffs"]["enable"] = true
			E.db["unitframe"]["units"]["pet"]["buffs"]["maxDuration"] = 0
			E.db["unitframe"]["units"]["pet"]["buffs"]["numrows"] = 2
			E.db["unitframe"]["units"]["pet"]["buffs"]["perrow"] = 4
			E.db["unitframe"]["units"]["pet"]["buffs"]["priority"] = "Blacklist,blockNoDuration,Personal,MyPet"
			E.db["unitframe"]["units"]["pet"]["buffs"]["sizeOverride"] = 20
			E.db["unitframe"]["units"]["pet"]["buffs"]["spacing"] = 0
			E.db["unitframe"]["units"]["pet"]["buffs"]["yOffset"] = -2
			-- Pet Debuffs
			E.db["unitframe"]["units"]["pet"]["debuffs"]["anchorPoint"] = "TOPLEFT"
			E.db["unitframe"]["units"]["pet"]["debuffs"]["countFont"] = "Expressway"
			E.db["unitframe"]["units"]["pet"]["debuffs"]["enable"] = true
			E.db["unitframe"]["units"]["pet"]["debuffs"]["growthX"] = "RIGHT"
			E.db["unitframe"]["units"]["pet"]["debuffs"]["maxDuration"] = 0
			E.db["unitframe"]["units"]["pet"]["debuffs"]["numrows"] = 2
			E.db["unitframe"]["units"]["pet"]["debuffs"]["perrow"] = 4
			E.db["unitframe"]["units"]["pet"]["debuffs"]["priority"] = "Blacklist,Personal,nonPersonal"
			E.db["unitframe"]["units"]["pet"]["debuffs"]["sizeOverride"] = 20
			E.db["unitframe"]["units"]["pet"]["debuffs"]["spacing"] = 0
		end

		E.db["unitframe"]["units"]["pet"]["castbar"]["enable"] = false
		E.db["unitframe"]["units"]["pet"]["debuffs"]["attachTo"] = "BUFFS"
		E.db["unitframe"]["units"]["pet"]["debuffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["pet"]["debuffs"]["priority"] = "Blacklist,Personal,nonPersonal"
		E.db["unitframe"]["units"]["pet"]["disableMouseoverGlow"] = true
		E.db["unitframe"]["units"]["pet"]["healPrediction"]["absorbStyle"] = "WRAPPED"
		E.db["unitframe"]["units"]["pet"]["health"]["position"] = "CENTER"
		E.db["unitframe"]["units"]["pet"]["health"]["xOffset"] = 0
		E.db["unitframe"]["units"]["pet"]["height"] = 30
		E.db["unitframe"]["units"]["pet"]["infoPanel"]["enable"] = true
		E.db["unitframe"]["units"]["pet"]["infoPanel"]["height"] = 17
		E.db["unitframe"]["units"]["pet"]["infoPanel"]["transparent"] = true
		E.db["unitframe"]["units"]["pet"]["name"]["text_format"] = ""
		E.db["unitframe"]["units"]["pet"]["power"]["height"] = 6
		E.db["unitframe"]["units"]["pet"]["power"]["powerPrediction"] = true
		E.db["unitframe"]["units"]["pet"]["raidicon"]["attachTo"] = "LEFT"
		E.db["unitframe"]["units"]["pet"]["raidicon"]["attachToObject"] = "Health"
		E.db["unitframe"]["units"]["pet"]["raidicon"]["xOffset"] = 2
		E.db["unitframe"]["units"]["pet"]["raidicon"]["yOffset"] = 0
		E.db["unitframe"]["units"]["pet"]["threatStyle"] = "NONE"
		E.db["unitframe"]["units"]["pet"]["width"] = 80
		E.db["unitframe"]["units"]["player"]["aurabar"]["enable"] = false
		E.db["unitframe"]["units"]["player"]["buffs"]["attachTo"] = "FRAME"
		E.db["unitframe"]["units"]["player"]["buffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["player"]["buffs"]["priority"] = "Blacklist,Personal,nonPersonal"
		E.db["unitframe"]["units"]["player"]["buffs"]["yOffset"] = 1
		E.db["unitframe"]["units"]["player"]["castbar"]["customTextFont"]["enable"] = true
		E.db["unitframe"]["units"]["player"]["castbar"]["customTextFont"]["font"] = "Expressway"
		E.db["unitframe"]["units"]["player"]["castbar"]["customTextFont"]["fontSize"] = 11
		E.db["unitframe"]["units"]["player"]["castbar"]["customTimeFont"]["enable"] = true
		E.db["unitframe"]["units"]["player"]["castbar"]["customTimeFont"]["font"] = "Expressway"
		E.db["unitframe"]["units"]["player"]["castbar"]["customTimeFont"]["fontSize"] = 11
		E.db["unitframe"]["units"]["player"]["castbar"]["height"] = 20
		E.db["unitframe"]["units"]["player"]["castbar"]["latency"] = false
		E.db["unitframe"]["units"]["player"]["castbar"]["spark"] = false
		E.db["unitframe"]["units"]["player"]["castbar"]["textColor"]["b"] = 1
		E.db["unitframe"]["units"]["player"]["castbar"]["textColor"]["g"] = 1
		E.db["unitframe"]["units"]["player"]["castbar"]["textColor"]["r"] = 1
		E.db["unitframe"]["units"]["player"]["castbar"]["timeToHold"] = 2
		E.db["unitframe"]["units"]["player"]["castbar"]["width"] = 359
		E.db["unitframe"]["units"]["player"]["castbar"]["xOffsetText"] = 2
		E.db["unitframe"]["units"]["player"]["castbar"]["xOffsetTime"] = -2
		E.db["unitframe"]["units"]["player"]["classbar"]["enable"] = false
		E.db["unitframe"]["units"]["player"]["CombatIcon"]["enable"] = false
		E.db["unitframe"]["units"]["player"]["debuffs"]["anchorPoint"] = "TOPRIGHT"
		E.db["unitframe"]["units"]["player"]["debuffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["player"]["debuffs"]["countFontSize"] = 13
		E.db["unitframe"]["units"]["player"]["debuffs"]["countPosition"] = "TOP"
		E.db["unitframe"]["units"]["player"]["debuffs"]["countYOffset"] = 14
		E.db["unitframe"]["units"]["player"]["debuffs"]["desaturate"] = false
		E.db["unitframe"]["units"]["player"]["debuffs"]["growthX"] = "LEFT"
		E.db["unitframe"]["units"]["player"]["disableMouseoverGlow"] = true
		E.db["unitframe"]["units"]["player"]["healPrediction"]["absorbStyle"] = "WRAPPED"
		E.db["unitframe"]["units"]["player"]["health"]["position"] = "CENTER"
		E.db["unitframe"]["units"]["player"]["health"]["text_format"] = ""
		E.db["unitframe"]["units"]["player"]["health"]["xOffset"] = 0
		E.db["unitframe"]["units"]["player"]["height"] = 30
		E.db["unitframe"]["units"]["player"]["infoPanel"]["enable"] = true
		E.db["unitframe"]["units"]["player"]["infoPanel"]["height"] = 17
		E.db["unitframe"]["units"]["player"]["infoPanel"]["transparent"] = true
		E.db["unitframe"]["units"]["player"]["name"]["position"] = "TOPRIGHT"
		E.db["unitframe"]["units"]["player"]["name"]["yOffset"] = 20
		E.db["unitframe"]["units"]["player"]["partyIndicator"]["enable"] = false
		E.db["unitframe"]["units"]["player"]["power"]["height"] = 6
		E.db["unitframe"]["units"]["player"]["power"]["position"] = "LEFT"
		E.db["unitframe"]["units"]["player"]["power"]["powerPrediction"] = true
		E.db["unitframe"]["units"]["player"]["power"]["text_format"] = ""
		E.db["unitframe"]["units"]["player"]["power"]["xOffset"] = 2
		E.db["unitframe"]["units"]["player"]["pvp"]["position"] = "CENTER"
		E.db["unitframe"]["units"]["player"]["pvp"]["text_format"] = ""
		E.db["unitframe"]["units"]["player"]["pvpIcon"]["scale"] = 0.85
		E.db["unitframe"]["units"]["player"]["raidicon"]["attachTo"] = "LEFT"
		E.db["unitframe"]["units"]["player"]["raidicon"]["attachToObject"] = "Health"
		E.db["unitframe"]["units"]["player"]["raidicon"]["xOffset"] = 2
		E.db["unitframe"]["units"]["player"]["raidicon"]["yOffset"] = 0
		E.db["unitframe"]["units"]["player"]["raidRoleIcons"]["yOffset"] = 1
		E.db["unitframe"]["units"]["player"]["RestIcon"]["enable"] = false
		E.db["unitframe"]["units"]["player"]["threatStyle"] = "NONE"
		E.db["unitframe"]["units"]["player"]["width"] = 190
		E.db["unitframe"]["units"]["raid"]["classbar"]["fill"] = "spaced"
		E.db["unitframe"]["units"]["raid"]["classbar"]["height"] = 6
		E.db["unitframe"]["units"]["raid"]["debuffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["raid"]["debuffs"]["desaturate"] = false
		E.db["unitframe"]["units"]["raid"]["debuffs"]["maxDuration"] = 0
		E.db["unitframe"]["units"]["raid"]["debuffs"]["priority"] = "Blacklist,RaidDebuffs,Dispellable"
		E.db["unitframe"]["units"]["raid"]["disableMouseoverGlow"] = true
		E.db["unitframe"]["units"]["raid"]["disableTargetGlow"] = true
		E.db["unitframe"]["units"]["raid"]["healPrediction"]["absorbStyle"] = "WRAPPED"
		E.db["unitframe"]["units"]["raid"]["healPrediction"]["enable"] = true
		E.db["unitframe"]["units"]["raid"]["health"]["text_format"] = ""
		E.db["unitframe"]["units"]["raid"]["height"] = 38
		E.db["unitframe"]["units"]["raid"]["horizontalSpacing"] = 1
		E.db["unitframe"]["units"]["raid"]["name"]["text_format"] = ""
		E.db["unitframe"]["units"]["raid"]["numGroups"] = 6
		E.db["unitframe"]["units"]["raid"]["phaseIndicator"]["anchorPoint"] = "LEFT"
		E.db["unitframe"]["units"]["raid"]["phaseIndicator"]["scale"] = 0.5
		E.db["unitframe"]["units"]["raid"]["power"]["enable"] = false
		E.db["unitframe"]["units"]["raid"]["raidicon"]["attachTo"] = "BOTTOM"
		E.db["unitframe"]["units"]["raid"]["raidicon"]["size"] = 12
		E.db["unitframe"]["units"]["raid"]["raidicon"]["yOffset"] = 0
		E.db["unitframe"]["units"]["raid"]["raidRoleIcons"]["yOffset"] = 1
		E.db["unitframe"]["units"]["raid"]["rdebuffs"]["font"] = "Expressway"
		E.db["unitframe"]["units"]["raid"]["rdebuffs"]["fontOutline"] = "OUTLINE"
		E.db["unitframe"]["units"]["raid"]["rdebuffs"]["size"] = 18
		E.db["unitframe"]["units"]["raid"]["roleIcon"]["damager"] = false
		E.db["unitframe"]["units"]["raid"]["roleIcon"]["position"] = "TOP"
		E.db["unitframe"]["units"]["raid"]["roleIcon"]["size"] = 12
		E.db["unitframe"]["units"]["raid"]["summonIcon"]["attachTo"] = "LEFT"
		E.db["unitframe"]["units"]["raid"]["summonIcon"]["size"] = 22
		E.db["unitframe"]["units"]["raid"]["threatStyle"] = "NONE"
		E.db["unitframe"]["units"]["raid"]["verticalSpacing"] = 1
		E.db["unitframe"]["units"]["raid"]["visibility"] = "[@raid6,noexists][@raid31,exists] hide;show"
		E.db["unitframe"]["units"]["raid"]["width"] = 90
		E.db["unitframe"]["units"]["raid40"]["classbar"]["fill"] = "spaced"
		E.db["unitframe"]["units"]["raid40"]["classbar"]["height"] = 6
		E.db["unitframe"]["units"]["raid40"]["debuffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["raid40"]["debuffs"]["desaturate"] = false
		E.db["unitframe"]["units"]["raid40"]["debuffs"]["maxDuration"] = 0
		E.db["unitframe"]["units"]["raid40"]["debuffs"]["priority"] = "Blacklist,RaidDebuffs,Dispellable"
		E.db["unitframe"]["units"]["raid40"]["disableMouseoverGlow"] = true
		E.db["unitframe"]["units"]["raid40"]["disableTargetGlow"] = true
		E.db["unitframe"]["units"]["raid40"]["healPrediction"]["absorbStyle"] = "WRAPPED"
		E.db["unitframe"]["units"]["raid40"]["healPrediction"]["enable"] = true
		E.db["unitframe"]["units"]["raid40"]["health"]["text_format"] = ""
		E.db["unitframe"]["units"]["raid40"]["height"] = 28
		E.db["unitframe"]["units"]["raid40"]["horizontalSpacing"] = 1
		E.db["unitframe"]["units"]["raid40"]["name"]["text_format"] = "[classcolor][name:veryshort]"
		E.db["unitframe"]["units"]["raid40"]["phaseIndicator"]["anchorPoint"] = "RIGHT"
		E.db["unitframe"]["units"]["raid40"]["phaseIndicator"]["scale"] = 0.5
		E.db["unitframe"]["units"]["raid40"]["raidicon"]["attachTo"] = "LEFT"
		E.db["unitframe"]["units"]["raid40"]["raidicon"]["attachToObject"] = "Health"
		E.db["unitframe"]["units"]["raid40"]["raidicon"]["size"] = 14
		E.db["unitframe"]["units"]["raid40"]["raidicon"]["xOffset"] = 2
		E.db["unitframe"]["units"]["raid40"]["raidicon"]["yOffset"] = 0
		E.db["unitframe"]["units"]["raid40"]["raidRoleIcons"]["yOffset"] = 1
		E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["enable"] = true
		E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["font"] = "Expressway"
		E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["fontOutline"] = "OUTLINE"
		E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["size"] = 18
		E.db["unitframe"]["units"]["raid40"]["summonIcon"]["attachTo"] = "LEFT"
		E.db["unitframe"]["units"]["raid40"]["threatStyle"] = "NONE"
		E.db["unitframe"]["units"]["raid40"]["verticalSpacing"] = 1
		E.db["unitframe"]["units"]["raid40"]["visibility"] = "[@raid31,noexists] hide;show"
		E.db["unitframe"]["units"]["raid40"]["width"] = 90
		E.db["unitframe"]["units"]["tank"]["enable"] = false
		E.db["unitframe"]["units"]["target"]["aurabar"]["enable"] = false
		E.db["unitframe"]["units"]["target"]["buffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["target"]["buffs"]["countFontSize"] = 13
		E.db["unitframe"]["units"]["target"]["buffs"]["countPosition"] = "TOP"
		E.db["unitframe"]["units"]["target"]["buffs"]["countYOffset"] = 14
		E.db["unitframe"]["units"]["target"]["buffs"]["perrow"] = 2
		E.db["unitframe"]["units"]["target"]["buffs"]["priority"] = "Blacklist,Dispellable,RaidBuffsElvUI"
		E.db["unitframe"]["units"]["target"]["buffs"]["sizeOverride"] = 23
		E.db["unitframe"]["units"]["target"]["castbar"]["customTextFont"]["enable"] = true
		E.db["unitframe"]["units"]["target"]["castbar"]["customTextFont"]["font"] = "Expressway"
		E.db["unitframe"]["units"]["target"]["castbar"]["customTextFont"]["fontSize"] = 11
		E.db["unitframe"]["units"]["target"]["castbar"]["customTimeFont"]["enable"] = true
		E.db["unitframe"]["units"]["target"]["castbar"]["customTimeFont"]["font"] = "Expressway"
		E.db["unitframe"]["units"]["target"]["castbar"]["customTimeFont"]["fontSize"] = 11
		E.db["unitframe"]["units"]["target"]["castbar"]["spark"] = false
		E.db["unitframe"]["units"]["target"]["castbar"]["textColor"]["b"] = 1
		E.db["unitframe"]["units"]["target"]["castbar"]["textColor"]["g"] = 1
		E.db["unitframe"]["units"]["target"]["castbar"]["textColor"]["r"] = 1
		E.db["unitframe"]["units"]["target"]["castbar"]["timeToHold"] = 2
		E.db["unitframe"]["units"]["target"]["castbar"]["width"] = 190
		E.db["unitframe"]["units"]["target"]["castbar"]["xOffsetText"] = 2
		E.db["unitframe"]["units"]["target"]["castbar"]["xOffsetTime"] = -2
		E.db["unitframe"]["units"]["target"]["CombatIcon"]["enable"] = false
		E.db["unitframe"]["units"]["target"]["debuffs"]["anchorPoint"] = "TOPLEFT"
		E.db["unitframe"]["units"]["target"]["debuffs"]["attachTo"] = "FRAME"
		E.db["unitframe"]["units"]["target"]["debuffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["target"]["debuffs"]["countFontSize"] = 13
		E.db["unitframe"]["units"]["target"]["debuffs"]["countPosition"] = "TOP"
		E.db["unitframe"]["units"]["target"]["debuffs"]["countYOffset"] = 14
		E.db["unitframe"]["units"]["target"]["debuffs"]["desaturate"] = false
		E.db["unitframe"]["units"]["target"]["debuffs"]["growthX"] = "RIGHT"
		E.db["unitframe"]["units"]["target"]["debuffs"]["maxDuration"] = 0
		E.db["unitframe"]["units"]["target"]["debuffs"]["priority"] = "Blacklist,Personal,CCDebuffs"
		E.db["unitframe"]["units"]["target"]["disableMouseoverGlow"] = true
		E.db["unitframe"]["units"]["target"]["healPrediction"]["absorbStyle"] = "WRAPPED"
		E.db["unitframe"]["units"]["target"]["health"]["position"] = "CENTER"
		E.db["unitframe"]["units"]["target"]["health"]["text_format"] = ""
		E.db["unitframe"]["units"]["target"]["health"]["xOffset"] = 0
		E.db["unitframe"]["units"]["target"]["height"] = 30
		E.db["unitframe"]["units"]["target"]["infoPanel"]["enable"] = true
		E.db["unitframe"]["units"]["target"]["infoPanel"]["height"] = 17
		E.db["unitframe"]["units"]["target"]["infoPanel"]["transparent"] = true
		E.db["unitframe"]["units"]["target"]["middleClickFocus"] = false
		E.db["unitframe"]["units"]["target"]["name"]["position"] = "TOPLEFT"
		E.db["unitframe"]["units"]["target"]["name"]["text_format"] = ""
		E.db["unitframe"]["units"]["target"]["name"]["yOffset"] = 20
		E.db["unitframe"]["units"]["target"]["orientation"] = "LEFT"
		E.db["unitframe"]["units"]["target"]["phaseIndicator"]["anchorPoint"] = "LEFT"
		E.db["unitframe"]["units"]["target"]["phaseIndicator"]["scale"] = 0.5
		E.db["unitframe"]["units"]["target"]["phaseIndicator"]["xOffset"] = 5
		E.db["unitframe"]["units"]["target"]["power"]["detachedWidth"] = 189
		E.db["unitframe"]["units"]["target"]["power"]["height"] = 6
		E.db["unitframe"]["units"]["target"]["power"]["position"] = "RIGHT"
		E.db["unitframe"]["units"]["target"]["power"]["powerPrediction"] = true
		E.db["unitframe"]["units"]["target"]["power"]["text_format"] = ""
		E.db["unitframe"]["units"]["target"]["power"]["xOffset"] = -2
		E.db["unitframe"]["units"]["target"]["raidicon"]["attachTo"] = "RIGHT"
		E.db["unitframe"]["units"]["target"]["raidicon"]["attachToObject"] = "Health"
		E.db["unitframe"]["units"]["target"]["raidicon"]["xOffset"] = -2
		E.db["unitframe"]["units"]["target"]["raidicon"]["yOffset"] = 0
		E.db["unitframe"]["units"]["target"]["raidRoleIcons"]["position"] = "TOPRIGHT"
		E.db["unitframe"]["units"]["target"]["raidRoleIcons"]["yOffset"] = 1
		E.db["unitframe"]["units"]["target"]["threatStyle"] = "NONE"
		E.db["unitframe"]["units"]["target"]["width"] = 190
		E.db["unitframe"]["units"]["targettarget"]["buffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["targettarget"]["debuffs"]["countFont"] = "Expressway"
		E.db["unitframe"]["units"]["targettarget"]["debuffs"]["enable"] = false
		E.db["unitframe"]["units"]["targettarget"]["debuffs"]["maxDuration"] = 0
		E.db["unitframe"]["units"]["targettarget"]["disableMouseoverGlow"] = true
		E.db["unitframe"]["units"]["targettarget"]["health"]["position"] = "CENTER"
		E.db["unitframe"]["units"]["targettarget"]["health"]["xOffset"] = 0
		E.db["unitframe"]["units"]["targettarget"]["height"] = 30
		E.db["unitframe"]["units"]["targettarget"]["infoPanel"]["enable"] = true
		E.db["unitframe"]["units"]["targettarget"]["infoPanel"]["height"] = 17
		E.db["unitframe"]["units"]["targettarget"]["infoPanel"]["transparent"] = true
		E.db["unitframe"]["units"]["targettarget"]["name"]["text_format"] = ""
		E.db["unitframe"]["units"]["targettarget"]["power"]["height"] = 6
		E.db["unitframe"]["units"]["targettarget"]["power"]["powerPrediction"] = true
		E.db["unitframe"]["units"]["targettarget"]["raidicon"]["attachTo"] = "RIGHT"
		E.db["unitframe"]["units"]["targettarget"]["raidicon"]["attachToObject"] = "Health"
		E.db["unitframe"]["units"]["targettarget"]["raidicon"]["xOffset"] = -2
		E.db["unitframe"]["units"]["targettarget"]["raidicon"]["yOffset"] = 0
		E.db["unitframe"]["units"]["targettarget"]["width"] = 80
		E.db["unitframe"]["units"]["targettargettarget"]["disableMouseoverGlow"] = true

		-- Classic and TBC db
		if not E.Retail then
			E.db["unitframe"]["units"]["player"]["power"]["EnergyManaRegen"] = true
		end
	end

	E:StaggeredUpdateAll()

	L1UI:Print('Layout has been set.')
end
