local L1UI, E, L, V, P, G = unpack(select(2, ...))

-- DBM Profile
function L1UI:Get_DBM_Profile()

	-- Profile Names
	local Retail, TBC, Classic = "Luckyone", "Luckyone", "Luckyone"
	local Retail_H, TBC_H, Classic_H = "Luckyone_H", "Luckyone_H", "Luckyone_H"

	if E.Retail then

		DBM:CreateProfile(Retail) -- DPS/TANK
		DBM:CreateProfile(Retail_H) -- Healing

		DBM_AllSavedOptions[Retail] = DBM_AllSavedOptions[Retail] or {}
		DBM_AllSavedOptions[Retail_H] = DBM_AllSavedOptions[Retail_H] or {}
		DBM_AllSavedOptions[Retail] = {
			["DontShowFarWarnings"] = true,
			["SpecialWarningFlashAlph2"] = 0.3,
			["DontShowHudMap2"] = true,
			["AlwaysPlayVoice"] = false,
			["ShowSWarningsInChat"] = false,
			["RangeFrameRadarY"] = 0.9996873736381531,
			["DontRestoreIcons"] = false,
			["DontShowNameplateIcons"] = true,
			["CoreSavedRevision"] = 20211102141310,
			["RangeFrameX"] = 416.0001525878906,
			["RangeFrameY"] = 15.99973392486572,
			["FilterInterruptNoteName"] = false,
			["EnableModels"] = false,
			["SpecialWarningFlashAlph3"] = 0.4,
			["ArrowPoint"] = "TOP",
			["SWarnNameInNote"] = true,
			["FakeBWVersion"] = true,
			["InfoFramePoint"] = "BOTTOMRIGHT",
			["EventSoundMusicCombined"] = false,
			["SpecialWarningFlashCol2"] = {
				1, -- [1]
				0.5, -- [2]
				0, -- [3]
			},
			["WarningAlphabetical"] = true,
			["WarningFont"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
			["CheckGear"] = false,
			["SpecialWarningX"] = 0,
			["WorldBossAlert"] = false,
			["DontShowPT2"] = false,
			["WorldBuffAlert"] = false,
			["MoviesSeen"] = {
			},
			["ShowQueuePop"] = true,
			["ShowAllVersions"] = true,
			["DebugMode"] = false,
			["DontShowTargetAnnouncements"] = true,
			["ShowWarningsInChat"] = false,
			["ShowReminders"] = true,
			["SpecialWarningFontCol"] = {
				1, -- [1]
				0.7, -- [2]
				0, -- [3]
			},
			["InfoFrameFontStyle"] = "OUTLINE",
			["WarningFontStyle"] = "OUTLINE",
			["EventSoundEngage2"] = "None",
			["InfoFrameY"] = 1.000015616416931,
			["ChatFrame"] = "DEFAULT_CHAT_FRAME",
			["WarningIconRight"] = true,
			["UseSoundChannel"] = "Master",
			["RangeFrameRadarX"] = 415.9999389648438,
			["ShowRespawn"] = true,
			["EventSoundWipe"] = "None",
			["InfoFrameCols"] = 0,
			["AlwaysShowSpeedKillTimer2"] = false,
			["FilterDispel"] = true,
			["ShowGuildMessagesPlus"] = false,
			["LFDEnhance"] = true,
			["BadTimerAlert"] = false,
			["DontShowPTNoID"] = true,
			["HideGarrisonToasts"] = false,
			["RangeFramePoint"] = "BOTTOMLEFT",
			["SpecialWarningFontShadow"] = true,
			["EventMusicMythicFilter"] = true,
			["HideBossEmoteFrame2"] = true,
			["NPAuraSize"] = 40,
			["HideObjectivesFrame"] = true,
			["SpecialWarningShortText"] = true,
			["SpecialWarningVibrate1"] = false,
			["DontShowPTText"] = false,
			["SpecialWarningFlashDura1"] = 0.4,
			["SpecialWarningVibrate4"] = true,
			["SpecialWarningFontSize2"] = 35,
			["SpecialWarningFlashCol5"] = {
				0.2, -- [1]
				1, -- [2]
				1, -- [3]
			},
			["UseNameplateHandoff"] = true,
			["InfoFrameLocked"] = false,
			["DebugLevel"] = 1,
			["DisableGuildStatus"] = false,
			["FilterInterrupt2"] = "TandFandBossCooldown",
			["GUIX"] = 39.00080490112305,
			["SpecialWarningFlashAlph4"] = 0.4,
			["EventSoundMusic"] = "None",
			["FilterTrashWarnings2"] = true,
			["SpecialWarningVibrate2"] = false,
			["SpecialWarningFlashCount2"] = 1,
			["RLReadyCheckSound"] = true,
			["EventSoundDungeonBGM"] = "None",
			["oRA3AnnounceConsumables"] = false,
			["CountdownVoice2"] = "Kolt",
			["AutoAcceptGuildInvite"] = false,
			["EnableWBSharing"] = false,
			["ArrowPosX"] = 0,
			["AutoReplySound"] = false,
			["AITimer"] = true,
			["SpecialWarningFlashDura3"] = 1,
			["WarningShortText"] = true,
			["SpecialWarningSound2"] = 15391,
			["SpecialWarningSound3"] = "Interface\\AddOns\\DBM-Core\\sounds\\AirHorn.ogg",
			["SpecialWarningFlash4"] = false,
			["SpecialWarningFlashCol1"] = {
				1, -- [1]
				1, -- [2]
				0, -- [3]
			},
			["DontPlayTrivialSpecialWarningSound"] = true,
			["DisableSFX"] = false,
			["AutologBosses"] = false,
			["SpecialWarningFlashDura4"] = 0.7,
			["WarningPoint"] = "TOP",
			["WarningY"] = -165.5003204345703,
			["SpecialWarningFlashCol3"] = {
				1, -- [1]
				0, -- [2]
				0, -- [3]
			},
			["WarningColors"] = {
				{
					["b"] = 0.9411764705882353,
					["g"] = 0.8,
					["r"] = 0.4117647058823529,
				}, -- [1]
				{
					["b"] = 0,
					["g"] = 0.9490196078431372,
					["r"] = 0.9490196078431372,
				}, -- [2]
				{
					["b"] = 0,
					["g"] = 0.5019607843137255,
					["r"] = 1,
				}, -- [3]
				{
					["b"] = 0.1019607843137255,
					["g"] = 0.1019607843137255,
					["r"] = 1,
				}, -- [4]
			},
			["SpecialWarningSound4"] = 9278,
			["SWarningAlphabetical"] = true,
			["GUIHeight"] = 600,
			["BlockNoteShare"] = true,
			["RangeFrameSound2"] = "none",
			["ShowPizzaMessage"] = false,
			["DontPlaySpecialWarningSound"] = true,
			["ModelSoundValue"] = "",
			["SpecialWarningFlashDura5"] = 1,
			["SpecialWarningY"] = -76.49984741210938,
			["InfoFrameX"] = -415.4991760253906,
			["RangeFrameRadarPoint"] = "BOTTOMLEFT",
			["DontShowInfoFrame"] = true,
			["SpecialWarningFlash5"] = false,
			["ShortTimerText"] = true,
			["RangeFrameUpdates"] = "Average",
			["MovieFilter2"] = "OnlyFight",
			["AdvancedAutologBosses"] = false,
			["RaidWarningSound"] = "",
			["CustomSounds"] = 0,
			["WarningX"] = -0.9999417662620544,
			["SpecialWarningFlashCount3"] = 3,
			["RoleSpecAlert"] = false,
			["WhisperStats"] = false,
			["VoiceOverSpecW2"] = "DefaultOnly",
			["LogOnlyNonTrivial"] = true,
			["DontPlayPTCountdown"] = false,
			["SpecialWarningFlashAlph5"] = 0.5,
			["SpecialWarningDuration2"] = 1.5,
			["WarningIconLeft"] = true,
			["DontShowBossAnnounces"] = false,
			["ShowEngageMessage"] = false,
			["RangeFrameLocked"] = false,
			["RangeFrameSound1"] = "none",
			["DontDoSpecialWarningVibrate"] = false,
			["EventSoundVictory2"] = "None",
			["SpecialWarningFlashDura2"] = 0.4,
			["LastRevision"] = 0,
			["GUIPoint"] = "TOPLEFT",
			["SettingsMessageShown"] = true,
			["DontShowRangeFrame"] = false,
			["WarningFontShadow"] = true,
			["SpecialWarningFlashCount5"] = 3,
			["SpecialWarningFlashCount4"] = 2,
			["DontSetIcons"] = true,
			["BigBrotherAnnounceToRaid"] = false,
			["InfoFrameFontSize"] = 12,
			["CountdownVoice"] = "Corsica",
			["SpecialWarningFlash1"] = false,
			["DontRestoreRange"] = false,
			["CountdownVoice3"] = "Smooth",
			["DontShowUserTimers"] = false,
			["AutoRespond"] = true,
			["DisableStatusWhisper"] = false,
			["EventDungMusicMythicFilter"] = true,
			["GUIY"] = -85.99999237060547,
			["RangeFrameFrames"] = "radar",
			["DontPlayCountdowns"] = false,
			["ShowBigBrotherOnCombatStart"] = false,
			["SpecialWarningIcon"] = true,
			["InfoFrameFont"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
			["SpecialWarningFlashAlph1"] = 0.3,
			["ShowDefeatMessage"] = true,
			["FilterTankSpec"] = true,
			["WarningDuration2"] = 1.5,
			["SpecialWarningFlashCol4"] = {
				1, -- [1]
				0, -- [2]
				1, -- [3]
			},
			["InfoFrameShowSelf"] = false,
			["SpecialWarningFont"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
			["RecordOnlyBosses"] = false,
			["WarningFontSize"] = 20,
			["DontShowBossTimers"] = false,
			["SpecialWarningFontStyle"] = "OUTLINE",
			["DontShowSpecialWarningFlash"] = true,
			["SWarnClassColor"] = true,
			["ArrowPosY"] = -150,
			["WorldBossNearAlert"] = false,
			["InfoFrameLines"] = 0,
			["BadIDAlert"] = false,
			["SilentMode"] = false,
			["AutoAcceptFriendInvite"] = false,
			["WarningIconChat"] = true,
			["SpecialWarningFlashCount1"] = 1,
			["HideGuildChallengeUpdates"] = false,
			["SpecialWarningSound5"] = 128466,
			["DontSendYells"] = false,
			["SpecialWarningVibrate5"] = true,
			["SpecialWarningFlash2"] = false,
			["HideTooltips"] = false,
			["SpecialWarningFlash3"] = false,
			["LatencyThreshold"] = 250,
			["Enabled"] = true,
			["ShowGuildMessages"] = false,
			["GUIWidth"] = 800,
			["FilterVoidFormSay"] = true,
			["DontShowSpecialWarningText"] = false,
			["SpecialWarningSound"] = 8174,
			["DontShowPTCountdownText"] = false,
			["NewsMessageShown2"] = 1,
			["StripServerName"] = true,
			["ChosenVoicePack"] = "None",
			["PTCountThreshold2"] = 5,
			["SpecialWarningVibrate3"] = true,
			["ForumsMessageShown"] = false,
			["AFKHealthWarning"] = false,
			["SpecialWarningPoint"] = "TOP",
			["HelpMessageVersion"] = 3,
		}
		DBM_AllSavedOptions[Retail_H] = {
			["DontShowFarWarnings"] = true,
			["SpecialWarningFlashAlph2"] = 0.3,
			["DontShowHudMap2"] = true,
			["AlwaysPlayVoice"] = false,
			["ShowSWarningsInChat"] = false,
			["RangeFrameRadarY"] = 0.9996873736381531,
			["DontRestoreIcons"] = false,
			["DontShowNameplateIcons"] = true,
			["CoreSavedRevision"] = 20211102141310,
			["RangeFrameX"] = 416.0001525878906,
			["RangeFrameY"] = 15.99973392486572,
			["FilterInterruptNoteName"] = false,
			["EnableModels"] = false,
			["SpecialWarningFlashAlph3"] = 0.4,
			["ArrowPoint"] = "TOP",
			["SWarnNameInNote"] = true,
			["FakeBWVersion"] = true,
			["InfoFramePoint"] = "BOTTOMRIGHT",
			["EventSoundMusicCombined"] = false,
			["SpecialWarningFlashCol2"] = {
				1, -- [1]
				0.5, -- [2]
				0, -- [3]
			},
			["WarningAlphabetical"] = true,
			["WarningFont"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
			["CheckGear"] = false,
			["SpecialWarningX"] = 0,
			["WorldBossAlert"] = false,
			["DontShowPT2"] = false,
			["WorldBuffAlert"] = false,
			["MoviesSeen"] = {
			},
			["ShowQueuePop"] = true,
			["ShowAllVersions"] = true,
			["DebugMode"] = false,
			["DontShowTargetAnnouncements"] = true,
			["ShowWarningsInChat"] = false,
			["ShowReminders"] = true,
			["SpecialWarningFontCol"] = {
				1, -- [1]
				0.7, -- [2]
				0, -- [3]
			},
			["InfoFrameFontStyle"] = "OUTLINE",
			["WarningFontStyle"] = "OUTLINE",
			["EventSoundEngage2"] = "None",
			["InfoFrameY"] = 1.000015616416931,
			["ChatFrame"] = "DEFAULT_CHAT_FRAME",
			["WarningIconRight"] = true,
			["UseSoundChannel"] = "Master",
			["RangeFrameRadarX"] = 415.9999389648438,
			["ShowRespawn"] = true,
			["EventSoundWipe"] = "None",
			["InfoFrameCols"] = 0,
			["AlwaysShowSpeedKillTimer2"] = false,
			["FilterDispel"] = true,
			["ShowGuildMessagesPlus"] = false,
			["LFDEnhance"] = true,
			["BadTimerAlert"] = false,
			["DontShowPTNoID"] = true,
			["HideGarrisonToasts"] = false,
			["RangeFramePoint"] = "BOTTOMLEFT",
			["SpecialWarningFontShadow"] = true,
			["EventMusicMythicFilter"] = true,
			["HideBossEmoteFrame2"] = true,
			["NPAuraSize"] = 40,
			["HideObjectivesFrame"] = true,
			["SpecialWarningShortText"] = true,
			["SpecialWarningVibrate1"] = false,
			["DontShowPTText"] = false,
			["SpecialWarningPoint"] = "TOP",
			["SpecialWarningVibrate4"] = true,
			["SpecialWarningFontSize2"] = 35,
			["SpecialWarningFlashCol5"] = {
				0.2, -- [1]
				1, -- [2]
				1, -- [3]
			},
			["UseNameplateHandoff"] = true,
			["AFKHealthWarning"] = false,
			["ForumsMessageShown"] = false,
			["SpecialWarningVibrate3"] = true,
			["PTCountThreshold2"] = 5,
			["ChosenVoicePack"] = "None",
			["SpecialWarningFlashAlph4"] = 0.4,
			["StripServerName"] = true,
			["NewsMessageShown2"] = 1,
			["SpecialWarningVibrate2"] = false,
			["SpecialWarningFlashCount2"] = 1,
			["DontShowPTCountdownText"] = false,
			["EventSoundDungeonBGM"] = "None",
			["oRA3AnnounceConsumables"] = false,
			["CountdownVoice2"] = "Kolt",
			["AutoAcceptGuildInvite"] = false,
			["EnableWBSharing"] = false,
			["ArrowPosX"] = 0,
			["SpecialWarningSound"] = 8174,
			["AITimer"] = true,
			["SpecialWarningFlashDura3"] = 1,
			["WarningShortText"] = true,
			["DontShowSpecialWarningText"] = false,
			["SpecialWarningFlashCol1"] = {
				1, -- [1]
				1, -- [2]
				0, -- [3]
			},
			["SpecialWarningFlash4"] = false,
			["DontPlayTrivialSpecialWarningSound"] = true,
			["ShowGuildMessages"] = false,
			["DisableSFX"] = false,
			["GUIX"] = 39.00080490112305,
			["SpecialWarningFlashDura4"] = 0.7,
			["WarningPoint"] = "TOP",
			["LatencyThreshold"] = 250,
			["SpecialWarningFlashCol3"] = {
				1, -- [1]
				0, -- [2]
				0, -- [3]
			},
			["WarningColors"] = {
				{
					["r"] = 0.4117647058823529,
					["g"] = 0.8,
					["b"] = 0.9411764705882353,
				}, -- [1]
				{
					["r"] = 0.9490196078431372,
					["g"] = 0.9490196078431372,
					["b"] = 0,
				}, -- [2]
				{
					["r"] = 1,
					["g"] = 0.5019607843137255,
					["b"] = 0,
				}, -- [3]
				{
					["r"] = 1,
					["g"] = 0.1019607843137255,
					["b"] = 0.1019607843137255,
				}, -- [4]
			},
			["SpecialWarningFlashDura5"] = 1,
			["SWarningAlphabetical"] = true,
			["HideTooltips"] = false,
			["BlockNoteShare"] = true,
			["SpecialWarningFlash2"] = false,
			["SpecialWarningVibrate5"] = true,
			["DontPlaySpecialWarningSound"] = true,
			["ModelSoundValue"] = "",
			["InfoFrameX"] = -415.4991760253906,
			["DontShowInfoFrame"] = true,
			["SpecialWarningFlash5"] = false,
			["RangeFrameRadarPoint"] = "BOTTOMLEFT",
			["SpecialWarningY"] = -76.49984741210938,
			["AdvancedAutologBosses"] = false,
			["RaidWarningSound"] = "",
			["RangeFrameUpdates"] = "Average",
			["MovieFilter2"] = "OnlyFight",
			["RoleSpecAlert"] = false,
			["WarningY"] = -165.5003204345703,
			["CustomSounds"] = 0,
			["SilentMode"] = false,
			["SpecialWarningFlashCount3"] = 3,
			["ShortTimerText"] = true,
			["WhisperStats"] = false,
			["VoiceOverSpecW2"] = "DefaultOnly",
			["LogOnlyNonTrivial"] = true,
			["DontPlayPTCountdown"] = false,
			["SpecialWarningFlashAlph5"] = 0.5,
			["SpecialWarningDuration2"] = 1.5,
			["ShowEngageMessage"] = false,
			["InfoFrameLines"] = 0,
			["WarningIconLeft"] = true,
			["RangeFrameLocked"] = false,
			["RangeFrameSound1"] = "none",
			["DontDoSpecialWarningVibrate"] = false,
			["EventSoundVictory2"] = "None",
			["SpecialWarningFlashDura2"] = 0.4,
			["LastRevision"] = 0,
			["GUIPoint"] = "TOPLEFT",
			["SettingsMessageShown"] = true,
			["ArrowPosY"] = -150,
			["SWarnClassColor"] = true,
			["InfoFrameFontSize"] = 12,
			["SpecialWarningFlash1"] = false,
			["DontSetIcons"] = true,
			["BigBrotherAnnounceToRaid"] = false,
			["DontRestoreRange"] = false,
			["CountdownVoice"] = "Corsica",
			["WarningFontSize"] = 20,
			["RecordOnlyBosses"] = false,
			["CountdownVoice3"] = "Smooth",
			["SpecialWarningFont"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
			["WarningDuration2"] = 1.5,
			["AutoRespond"] = true,
			["EventDungMusicMythicFilter"] = true,
			["GUIY"] = -85.99999237060547,
			["RangeFrameFrames"] = "radar",
			["DontPlayCountdowns"] = false,
			["ShowBigBrotherOnCombatStart"] = false,
			["SpecialWarningIcon"] = true,
			["InfoFrameFont"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
			["SpecialWarningFlashAlph1"] = 0.3,
			["ShowDefeatMessage"] = true,
			["FilterTankSpec"] = true,
			["DontShowRangeFrame"] = false,
			["SpecialWarningFlashCol4"] = {
				1, -- [1]
				0, -- [2]
				1, -- [3]
			},
			["InfoFrameShowSelf"] = false,
			["WarningFontShadow"] = true,
			["DisableStatusWhisper"] = false,
			["DontShowUserTimers"] = false,
			["DontShowBossTimers"] = false,
			["SpecialWarningFontStyle"] = "OUTLINE",
			["DontShowSpecialWarningFlash"] = true,
			["SpecialWarningFlashCount4"] = 2,
			["SpecialWarningFlashCount5"] = 3,
			["WorldBossNearAlert"] = false,
			["WarningX"] = -0.9999417662620544,
			["BadIDAlert"] = false,
			["DontShowBossAnnounces"] = false,
			["AutoAcceptFriendInvite"] = false,
			["WarningIconChat"] = true,
			["SpecialWarningFlashCount1"] = 1,
			["HideGuildChallengeUpdates"] = false,
			["SpecialWarningSound5"] = 128466,
			["DontSendYells"] = false,
			["ShowPizzaMessage"] = false,
			["RangeFrameSound2"] = "none",
			["GUIHeight"] = 600,
			["SpecialWarningFlash3"] = false,
			["SpecialWarningSound4"] = 9278,
			["Enabled"] = true,
			["AutologBosses"] = false,
			["GUIWidth"] = 800,
			["FilterVoidFormSay"] = true,
			["SpecialWarningSound3"] = "Interface\\AddOns\\DBM-Core\\sounds\\AirHorn.ogg",
			["SpecialWarningSound2"] = 15391,
			["AutoReplySound"] = false,
			["RLReadyCheckSound"] = true,
			["EventSoundMusic"] = "None",
			["FilterTrashWarnings2"] = true,
			["FilterInterrupt2"] = "TandFandBossCooldown",
			["DisableGuildStatus"] = false,
			["DebugLevel"] = 1,
			["InfoFrameLocked"] = false,
			["SpecialWarningFlashDura1"] = 0.4,
			["HelpMessageVersion"] = 3,
		}

		DBT_AllPersistentOptions[Retail] = DBT_AllPersistentOptions[Retail] or {}
		DBT_AllPersistentOptions[Retail_H] = DBT_AllPersistentOptions[Retail_H] or {}
		DBT_AllPersistentOptions[Retail] = {
			["DBM"] = {
				["StartColorPR"] = 1,
				["Scale"] = 1,
				["HugeBarsEnabled"] = true,
				["TimerY"] = -221.5001678466797,
				["EndColorPR"] = 0.5,
				["Sort"] = "Sort",
				["ExpandUpwardsLarge"] = false,
				["ExpandUpwards"] = false,
				["TimerPoint"] = "CENTER",
				["EndColorDG"] = 0,
				["Alpha"] = 0.800000011920929,
				["HugeTimerPoint"] = "CENTER",
				["StartColorIR"] = 0.47,
				["StartColorUIR"] = 1,
				["StartColorAG"] = 0.545,
				["EndColorDR"] = 1,
				["HugeBarXOffset"] = 0,
				["StartColorRR"] = 0.5,
				["StartColorUIG"] = 1,
				["FillUpLargeBars"] = true,
				["IconRight"] = false,
				["ClickThrough"] = true,
				["StartColorDG"] = 0.3,
				["StartColorAR"] = 0.375,
				["TextColorR"] = 1,
				["EndColorAER"] = 1,
				["StartColorIB"] = 1,
				["EndColorDB"] = 1,
				["Font"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
				["HugeScale"] = 1,
				["EndColorAEB"] = 0.247,
				["Height"] = 22,
				["HugeSort"] = "Sort",
				["BarXOffset"] = 0,
				["EndColorB"] = 0,
				["EndColorAR"] = 0.15,
				["EndColorG"] = 0,
				["StartColorIG"] = 0.97,
				["StartColorDB"] = 1,
				["TDecimal"] = 5,
				["FadeBars"] = true,
				["TextColorB"] = 1,
				["EndColorIB"] = 1,
				["Skin"] = "",
				["StartColorAER"] = 1,
				["EndColorRB"] = 0.3,
				["TimerX"] = -241.5000305175781,
				["EndColorIR"] = 0.047,
				["StartColorRB"] = 0.5,
				["EndColorRR"] = 0.11,
				["DynamicColor"] = true,
				["BarStyle"] = "NoAnim",
				["EnlargeBarTime"] = 10,
				["Spark"] = false,
				["StartColorDR"] = 0.9,
				["StartColorRG"] = 1,
				["FontFlag"] = "OUTLINE",
				["EndColorAB"] = 1,
				["Width"] = 167,
				["EndColorPG"] = 0.41,
				["StripCDText"] = true,
				["EndColorIG"] = 0.88,
				["EndColorAEG"] = 0.043,
				["StartColorPG"] = 0.776,
				["StartColorAEB"] = 0.459,
				["EndColorPB"] = 0.285,
				["HugeWidth"] = 291,
				["KeepBars"] = true,
				["HugeBarYOffset"] = 1,
				["HugeTimerY"] = -250.9998626708984,
				["Bar7ForceLarge"] = false,
				["FontSize"] = 12,
				["IconLeft"] = true,
				["IconLocked"] = true,
				["EndColorUIG"] = 0.92156862745098,
				["EndColorUIB"] = 0.0117647058823529,
				["StartColorAB"] = 1,
				["Bar7CustomInline"] = true,
				["FillUpBars"] = true,
				["ColorByType"] = true,
				["TextColorG"] = 1,
				["NoBarFade"] = false,
				["FlashBar"] = false,
				["EndColorUIR"] = 1,
				["EndColorRG"] = 1,
				["StartColorUIB"] = 0.0627450980392157,
				["StartColorG"] = 0.7,
				["HugeAlpha"] = 0.800000011920929,
				["Texture"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Textures\\Minimalist",
				["EndColorR"] = 1,
				["StartColorPB"] = 0.42,
				["StartColorAEG"] = 0.466,
				["InlineIcons"] = false,
				["EndColorAG"] = 0.385,
				["BarYOffset"] = 1,
				["StartColorB"] = 0,
				["StartColorR"] = 1,
				["HugeTimerX"] = 12.00061416625977,
				["HugeHeight"] = 22,
			},
			["AddOnSkins"] = {
				["StartColorPR"] = 1,
				["Scale"] = 1,
				["HugeBarsEnabled"] = true,
				["TimerY"] = -221.5001678466797,
				["EndColorPR"] = 0.5,
				["Sort"] = "Sort",
				["ExpandUpwardsLarge"] = false,
				["ExpandUpwards"] = false,
				["TimerPoint"] = "CENTER",
				["EndColorDG"] = 0,
				["Alpha"] = 0.800000011920929,
				["HugeTimerPoint"] = "CENTER",
				["StartColorIR"] = 0.47,
				["StartColorUIR"] = 1,
				["StartColorAG"] = 0.545,
				["EndColorDR"] = 1,
				["HugeBarXOffset"] = 0,
				["StartColorRR"] = 0.5,
				["StartColorUIG"] = 1,
				["FillUpLargeBars"] = true,
				["IconRight"] = false,
				["ClickThrough"] = true,
				["StartColorDG"] = 0.3,
				["StartColorAR"] = 0.375,
				["TextColorR"] = 1,
				["EndColorAER"] = 1,
				["StartColorIB"] = 1,
				["EndColorDB"] = 1,
				["Font"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
				["HugeScale"] = 1,
				["EndColorAEB"] = 0.247,
				["Height"] = 22,
				["HugeSort"] = "Sort",
				["BarXOffset"] = 0,
				["EndColorB"] = 0,
				["EndColorAR"] = 0.15,
				["EndColorG"] = 0,
				["StartColorIG"] = 0.97,
				["StartColorDB"] = 1,
				["TDecimal"] = 5,
				["FadeBars"] = true,
				["TextColorB"] = 1,
				["EndColorIB"] = 1,
				["Skin"] = "",
				["StartColorAER"] = 1,
				["EndColorRB"] = 0.3,
				["TimerX"] = -241.5000305175781,
				["EndColorIR"] = 0.047,
				["StartColorRB"] = 0.5,
				["EndColorRR"] = 0.11,
				["DynamicColor"] = true,
				["BarStyle"] = "NoAnim",
				["EnlargeBarTime"] = 10,
				["Spark"] = false,
				["StartColorDR"] = 0.9,
				["StartColorRG"] = 1,
				["FontFlag"] = "OUTLINE",
				["EndColorAB"] = 1,
				["Width"] = 167,
				["EndColorPG"] = 0.41,
				["StripCDText"] = true,
				["EndColorIG"] = 0.88,
				["EndColorAEG"] = 0.043,
				["StartColorPG"] = 0.776,
				["StartColorAEB"] = 0.459,
				["EndColorPB"] = 0.285,
				["HugeWidth"] = 291,
				["KeepBars"] = true,
				["HugeBarYOffset"] = 1,
				["HugeTimerY"] = -250.9998626708984,
				["Bar7ForceLarge"] = false,
				["FontSize"] = 12,
				["IconLeft"] = true,
				["IconLocked"] = true,
				["EndColorUIG"] = 0.92156862745098,
				["EndColorUIB"] = 0.0117647058823529,
				["StartColorAB"] = 1,
				["Bar7CustomInline"] = true,
				["FillUpBars"] = true,
				["ColorByType"] = true,
				["TextColorG"] = 1,
				["NoBarFade"] = false,
				["FlashBar"] = false,
				["EndColorUIR"] = 1,
				["EndColorRG"] = 1,
				["StartColorUIB"] = 0.0627450980392157,
				["StartColorG"] = 0.7,
				["HugeAlpha"] = 0.800000011920929,
				["Texture"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Textures\\Minimalist",
				["EndColorR"] = 1,
				["StartColorPB"] = 0.42,
				["StartColorAEG"] = 0.466,
				["InlineIcons"] = false,
				["EndColorAG"] = 0.385,
				["BarYOffset"] = 1,
				["StartColorB"] = 0,
				["StartColorR"] = 1,
				["HugeTimerX"] = 12.00061416625977,
				["HugeHeight"] = 22,
			},
		}
		DBT_AllPersistentOptions[Retail_H] = {
			["DBM"] = {
				["StartColorPR"] = 1,
				["Scale"] = 1,
				["HugeBarsEnabled"] = true,
				["TimerY"] = -221.5001678466797,
				["EndColorPR"] = 0.5,
				["Sort"] = "Sort",
				["ExpandUpwardsLarge"] = false,
				["ExpandUpwards"] = false,
				["TimerPoint"] = "CENTER",
				["EndColorDG"] = 0,
				["Alpha"] = 0.800000011920929,
				["HugeTimerPoint"] = "CENTER",
				["StartColorIR"] = 0.47,
				["StartColorUIR"] = 1,
				["StartColorAG"] = 0.545,
				["EndColorDR"] = 1,
				["HugeBarXOffset"] = 0,
				["StartColorRR"] = 0.5,
				["StartColorUIG"] = 1,
				["FillUpLargeBars"] = true,
				["IconRight"] = false,
				["ClickThrough"] = true,
				["StartColorDG"] = 0.3,
				["StartColorAR"] = 0.375,
				["TextColorR"] = 1,
				["EndColorAER"] = 1,
				["StartColorIB"] = 1,
				["HugeHeight"] = 22,
				["Font"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
				["HugeTimerX"] = 12.00061416625977,
				["EndColorAEB"] = 0.247,
				["Height"] = 22,
				["HugeSort"] = "Sort",
				["BarXOffset"] = 0,
				["EndColorB"] = 0,
				["EndColorDB"] = 1,
				["EndColorG"] = 0,
				["StartColorR"] = 1,
				["StartColorB"] = 0,
				["BarYOffset"] = 1,
				["FadeBars"] = true,
				["TextColorB"] = 1,
				["EndColorIB"] = 1,
				["Skin"] = "",
				["InlineIcons"] = false,
				["EndColorRB"] = 0.3,
				["TimerX"] = -241.5000305175781,
				["EndColorIR"] = 0.047,
				["StartColorAEG"] = 0.466,
				["EndColorRR"] = 0.11,
				["DynamicColor"] = true,
				["BarStyle"] = "NoAnim",
				["EnlargeBarTime"] = 10,
				["Spark"] = false,
				["StartColorDR"] = 0.9,
				["StartColorPB"] = 0.42,
				["FontFlag"] = "OUTLINE",
				["EndColorAB"] = 1,
				["Width"] = 167,
				["EndColorPG"] = 0.41,
				["StripCDText"] = true,
				["EndColorIG"] = 0.88,
				["EndColorAEG"] = 0.043,
				["Texture"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Textures\\Minimalist",
				["StartColorAEB"] = 0.459,
				["HugeAlpha"] = 0.800000011920929,
				["HugeWidth"] = 291,
				["KeepBars"] = true,
				["HugeBarYOffset"] = 1,
				["HugeTimerY"] = -250.9998626708984,
				["Bar7ForceLarge"] = false,
				["FontSize"] = 12,
				["IconLeft"] = true,
				["IconLocked"] = true,
				["NoBarFade"] = false,
				["TextColorG"] = 1,
				["StartColorAB"] = 1,
				["ColorByType"] = true,
				["FillUpBars"] = true,
				["Bar7CustomInline"] = true,
				["EndColorUIB"] = 0.0117647058823529,
				["EndColorUIG"] = 0.92156862745098,
				["FlashBar"] = false,
				["EndColorUIR"] = 1,
				["EndColorRG"] = 1,
				["StartColorUIB"] = 0.0627450980392157,
				["StartColorG"] = 0.7,
				["EndColorPB"] = 0.285,
				["StartColorPG"] = 0.776,
				["EndColorR"] = 1,
				["StartColorRG"] = 1,
				["StartColorRB"] = 0.5,
				["StartColorAER"] = 1,
				["EndColorAG"] = 0.385,
				["TDecimal"] = 5,
				["StartColorDB"] = 1,
				["StartColorIG"] = 0.97,
				["EndColorAR"] = 0.15,
				["HugeScale"] = 1,
			},
			["AddOnSkins"] = {
				["StartColorPR"] = 1,
				["Scale"] = 1,
				["HugeBarsEnabled"] = true,
				["TimerY"] = -221.5000305175781,
				["EndColorPR"] = 0.5,
				["Sort"] = "Sort",
				["ExpandUpwardsLarge"] = false,
				["ExpandUpwards"] = false,
				["TimerPoint"] = "CENTER",
				["EndColorDG"] = 0,
				["Alpha"] = 0.800000011920929,
				["HugeTimerPoint"] = "CENTER",
				["StartColorIR"] = 0.47,
				["StartColorUIR"] = 1,
				["StartColorAG"] = 0.545,
				["EndColorDR"] = 1,
				["HugeBarXOffset"] = 0,
				["StartColorRR"] = 0.5,
				["StartColorUIG"] = 1,
				["FillUpLargeBars"] = true,
				["IconRight"] = false,
				["ClickThrough"] = true,
				["StartColorDG"] = 0.3,
				["StartColorAR"] = 0.375,
				["TextColorR"] = 1,
				["EndColorAER"] = 1,
				["StartColorIB"] = 1,
				["HugeHeight"] = 22,
				["Font"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
				["HugeTimerX"] = 375.0011596679688,
				["EndColorAEB"] = 0.247,
				["Height"] = 22,
				["HugeSort"] = "Sort",
				["BarXOffset"] = 0,
				["EndColorB"] = 0,
				["EndColorDB"] = 1,
				["EndColorG"] = 0,
				["StartColorR"] = 1,
				["StartColorB"] = 0,
				["BarYOffset"] = 1,
				["FadeBars"] = true,
				["TextColorB"] = 1,
				["EndColorIB"] = 1,
				["Skin"] = "AddOnSkins",
				["InlineIcons"] = false,
				["EndColorRB"] = 0.3,
				["TimerX"] = -311.5000610351563,
				["EndColorIR"] = 0.047,
				["StartColorAEG"] = 0.466,
				["EndColorRR"] = 0.11,
				["DynamicColor"] = true,
				["BarStyle"] = "NoAnim",
				["EnlargeBarTime"] = 10,
				["Spark"] = false,
				["StartColorDR"] = 0.9,
				["StartColorPB"] = 0.42,
				["FontFlag"] = "OUTLINE",
				["EndColorAB"] = 1,
				["Width"] = 167,
				["EndColorPG"] = 0.41,
				["StripCDText"] = true,
				["EndColorIG"] = 0.88,
				["EndColorAEG"] = 0.043,
				["Texture"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Textures\\Minimalist",
				["StartColorAEB"] = 0.459,
				["HugeAlpha"] = 0.800000011920929,
				["HugeWidth"] = 248,
				["KeepBars"] = true,
				["HugeBarYOffset"] = 1,
				["HugeTimerY"] = -240.9997253417969,
				["Bar7ForceLarge"] = false,
				["FontSize"] = 12,
				["IconLeft"] = true,
				["IconLocked"] = true,
				["NoBarFade"] = false,
				["TextColorG"] = 1,
				["StartColorAB"] = 1,
				["ColorByType"] = true,
				["FillUpBars"] = true,
				["Bar7CustomInline"] = true,
				["EndColorUIB"] = 0.0117647058823529,
				["EndColorUIG"] = 0.92156862745098,
				["FlashBar"] = false,
				["EndColorUIR"] = 1,
				["EndColorRG"] = 1,
				["StartColorUIB"] = 0.0627450980392157,
				["StartColorG"] = 0.7,
				["EndColorPB"] = 0.285,
				["StartColorPG"] = 0.776,
				["EndColorR"] = 1,
				["StartColorRG"] = 1,
				["StartColorRB"] = 0.5,
				["StartColorAER"] = 1,
				["EndColorAG"] = 0.385,
				["TDecimal"] = 5,
				["StartColorDB"] = 1,
				["StartColorIG"] = 0.97,
				["EndColorAR"] = 0.15,
				["HugeScale"] = 1,
			},
		}

		DBM_MinimapIcon["hide"] = true

		DBM:ApplyProfile(Retail)

	elseif E.TBC then

		DBM:CreateProfile(TBC) -- DPS/TANK
		DBM:CreateProfile(TBC_H) -- Healing

		DBM_AllSavedOptions[TBC] = DBM_AllSavedOptions[TBC] or {}
		DBM_AllSavedOptions[TBC_H] = DBM_AllSavedOptions[TBC_H] or {}
		DBM_AllSavedOptions[TBC] = {
			["DontShowFarWarnings"] = true,
			["SpecialWarningFlashAlph2"] = 0.3,
			["DontShowHudMap2"] = true,
			["AlwaysPlayVoice"] = false,
			["ShowSWarningsInChat"] = false,
			["RangeFrameRadarY"] = 0.9996463656425476,
			["DontRestoreIcons"] = false,
			["DontShowNameplateIcons"] = true,
			["CoreSavedRevision"] = 20211102141310,
			["RangeFrameX"] = 416.0001525878906,
			["AlwaysShowSpeedKillTimer"] = true,
			["RangeFrameY"] = 15.99973392486572,
			["FilterInterruptNoteName"] = false,
			["EnableModels"] = false,
			["SpecialWarningFlashAlph3"] = 0.4,
			["ArrowPoint"] = "TOP",
			["SWarnNameInNote"] = true,
			["FakeBWVersion"] = true,
			["InfoFramePoint"] = "BOTTOMRIGHT",
			["EventSoundMusicCombined"] = false,
			["SpecialWarningFlashCol2"] = {
				1, -- [1]
				0.5, -- [2]
				0, -- [3]
			},
			["WarningAlphabetical"] = true,
			["WarningFont"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
			["CheckGear"] = false,
			["SpecialWarningX"] = 0,
			["WorldBossAlert"] = false,
			["DontShowPT2"] = false,
			["WorldBuffAlert"] = true,
			["MoviesSeen"] = {
			},
			["ShowQueuePop"] = true,
			["ShowAllVersions"] = true,
			["DebugMode"] = false,
			["DontShowTargetAnnouncements"] = true,
			["ShowWarningsInChat"] = false,
			["ShowReminders"] = true,
			["SpecialWarningFontCol"] = {
				1, -- [1]
				0.7, -- [2]
				0, -- [3]
			},
			["InfoFrameFontStyle"] = "OUTLINE",
			["WarningFontStyle"] = "OUTLINE",
			["EventSoundEngage2"] = "None",
			["InfoFrameY"] = 1.000015616416931,
			["ChatFrame"] = "DEFAULT_CHAT_FRAME",
			["WarningIconRight"] = true,
			["UseSoundChannel"] = "Master",
			["RangeFrameRadarX"] = 415.9999694824219,
			["ShowRespawn"] = true,
			["EventSoundWipe"] = "None",
			["InfoFrameCols"] = 0,
			["AlwaysShowSpeedKillTimer2"] = false,
			["FilterDispel"] = true,
			["ShowGuildMessagesPlus"] = false,
			["LFDEnhance"] = true,
			["BadTimerAlert"] = false,
			["DontShowPTNoID"] = true,
			["HideGarrisonToasts"] = false,
			["RangeFramePoint"] = "BOTTOMLEFT",
			["SpecialWarningFontShadow"] = true,
			["EventMusicMythicFilter"] = true,
			["HideBossEmoteFrame2"] = true,
			["SpecialWarningVibrate1"] = false,
			["NPAuraSize"] = 40,
			["HideObjectivesFrame"] = true,
			["SpecialWarningShortText"] = true,
			["ForumsMessageShown"] = false,
			["DontShowPTText"] = false,
			["AFKHealthWarning"] = false,
			["SpecialWarningVibrate4"] = true,
			["SpecialWarningFontSize2"] = 35,
			["SpecialWarningFlashCol5"] = {
				0.2, -- [1]
				1, -- [2]
				1, -- [3]
			},
			["NewsMessageShown2"] = 1,
			["SpecialWarningFlashCol1"] = {
				1, -- [1]
				1, -- [2]
				0, -- [3]
			},
			["DontShowPTCountdownText"] = false,
			["SpecialWarningSound"] = 8174,
			["DontShowSpecialWarningText"] = false,
			["StripServerName"] = true,
			["SpecialWarningFlashAlph4"] = 0.4,
			["SpecialWarningSound3"] = "Interface\\AddOns\\DBM-Core\\sounds\\AirHorn.ogg",
			["ShowGuildMessages"] = false,
			["SpecialWarningVibrate2"] = false,
			["SpecialWarningFlashCount2"] = 1,
			["WarningPoint"] = "TOP",
			["EventSoundDungeonBGM"] = "None",
			["oRA3AnnounceConsumables"] = false,
			["CountdownVoice2"] = "Kolt",
			["AutoAcceptGuildInvite"] = false,
			["EnableWBSharing"] = false,
			["ArrowPosX"] = 0,
			["LatencyThreshold"] = 250,
			["AITimer"] = true,
			["SpecialWarningFlashDura3"] = 1,
			["WarningShortText"] = true,
			["FilterTrashWarnings2"] = true,
			["SpecialWarningFlash5"] = false,
			["SpecialWarningFlash4"] = false,
			["AutoReplySound"] = false,
			["GUIX"] = 28.00080108642578,
			["DisableSFX"] = false,
			["AutologBosses"] = false,
			["SpecialWarningFlashDura4"] = 0.7,
			["DontPlayTrivialSpecialWarningSound"] = true,
			["SpecialWarningSound2"] = "Interface\\AddOns\\DBM-Core\\sounds\\ClassicSupport\\UR_Algalon_BHole01.ogg",
			["SpecialWarningFlashCol3"] = {
				1, -- [1]
				0, -- [2]
				0, -- [3]
			},
			["WarningColors"] = {
				{
					["r"] = 0.4117647058823529,
					["g"] = 0.8,
					["b"] = 0.9411764705882353,
				}, -- [1]
				{
					["r"] = 0.9490196078431372,
					["g"] = 0.9490196078431372,
					["b"] = 0,
				}, -- [2]
				{
					["r"] = 1,
					["g"] = 0.5019607843137255,
					["b"] = 0,
				}, -- [3]
				{
					["r"] = 1,
					["g"] = 0.1019607843137255,
					["b"] = 0.1019607843137255,
				}, -- [4]
			},
			["HideTooltips"] = false,
			["SWarningAlphabetical"] = true,
			["RangeFrameSound2"] = "none",
			["BlockNoteShare"] = true,
			["ShowPizzaMessage"] = false,
			["SpecialWarningFlashDura5"] = 1,
			["DontPlaySpecialWarningSound"] = true,
			["ModelSoundValue"] = "",
			["InfoFrameX"] = -415.4991760253906,
			["AdvancedAutologBosses"] = false,
			["SpecialWarningY"] = -76.49984741210938,
			["RangeFrameRadarPoint"] = "BOTTOMLEFT",
			["DontShowInfoFrame"] = true,
			["SpecialWarningFlashCount5"] = 3,
			["WarningY"] = -165.5003204345703,
			["RangeFrameUpdates"] = "Average",
			["MovieFilter2"] = "OnlyFight",
			["ShortTimerText"] = true,
			["RaidWarningSound"] = "",
			["CustomSounds"] = 0,
			["VoiceOverSpecW2"] = "DefaultOnly",
			["SpecialWarningFlashCount3"] = 3,
			["RoleSpecAlert"] = false,
			["WhisperStats"] = false,
			["SilentMode"] = false,
			["LogOnlyNonTrivial"] = true,
			["DontPlayPTCountdown"] = false,
			["SpecialWarningFlashAlph5"] = 0.5,
			["SpecialWarningDuration2"] = 1.5,
			["InfoFrameLines"] = 0,
			["WarningIconLeft"] = true,
			["ShowEngageMessage"] = false,
			["RangeFrameLocked"] = false,
			["InfoFrameFontSize"] = 12,
			["WarningFontSize"] = 20,
			["EventSoundVictory2"] = "None",
			["SpecialWarningFlashDura2"] = 0.4,
			["LastRevision"] = 0,
			["GUIPoint"] = "TOPLEFT",
			["SettingsMessageShown"] = true,
			["SpecialWarningFlashCount4"] = 2,
			["SpecialWarningPoint"] = "TOP",
			["RangeFrameSound1"] = "none",
			["DontRestoreRange"] = false,
			["DontSetIcons"] = true,
			["BigBrotherAnnounceToRaid"] = false,
			["SpecialWarningFlash1"] = false,
			["CountdownVoice"] = "Corsica",
			["CountdownVoice3"] = "Smooth",
			["WarningFontShadow"] = true,
			["RecordOnlyBosses"] = false,
			["DontShowUserTimers"] = false,
			["DisableStatusWhisper"] = false,
			["AutoRespond"] = true,
			["EventDungMusicMythicFilter"] = true,
			["GUIY"] = -49.00003814697266,
			["RangeFrameFrames"] = "radar",
			["DontPlayCountdowns"] = false,
			["ShowBigBrotherOnCombatStart"] = false,
			["SpecialWarningIcon"] = true,
			["InfoFrameFont"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
			["SpecialWarningFlashAlph1"] = 0.3,
			["ShowDefeatMessage"] = true,
			["FilterTankSpec"] = true,
			["DontShowRangeFrame"] = false,
			["WarningDuration2"] = 1.5,
			["InfoFrameShowSelf"] = false,
			["SpecialWarningFont"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
			["SpecialWarningFlashCol4"] = {
				1, -- [1]
				0, -- [2]
				1, -- [3]
			},
			["DontShowBossAnnounces"] = false,
			["DontShowBossTimers"] = false,
			["SpecialWarningFontStyle"] = "OUTLINE",
			["DontShowSpecialWarningFlash"] = true,
			["SWarnClassColor"] = true,
			["DontDoSpecialWarningVibrate"] = false,
			["WorldBossNearAlert"] = false,
			["WarningX"] = -0.9999417662620544,
			["BadIDAlert"] = false,
			["ArrowPosY"] = -150,
			["AutoAcceptFriendInvite"] = false,
			["WarningIconChat"] = true,
			["SpecialWarningFlashCount1"] = 1,
			["HideGuildChallengeUpdates"] = false,
			["SpecialWarningSound5"] = "Interface\\AddOns\\DBM-Core\\sounds\\ClassicSupport\\LOA_NAXX_AGGRO02.ogg",
			["DontSendYells"] = false,
			["SpecialWarningVibrate5"] = true,
			["SpecialWarningFlash2"] = false,
			["GUIHeight"] = 600,
			["SpecialWarningFlash3"] = false,
			["SpecialWarningSound4"] = "Interface\\AddOns\\DBM-Core\\sounds\\ClassicSupport\\HoodWolfTransformPlayer01.ogg",
			["Enabled"] = true,
			["RLReadyCheckSound"] = true,
			["GUIWidth"] = 800,
			["FilterVoidFormSay"] = true,
			["PTCountThreshold2"] = 5,
			["FilterInterrupt2"] = "TandFandBossCooldown",
			["DisableGuildStatus"] = false,
			["DebugLevel"] = 1,
			["EventSoundMusic"] = "None",
			["SpecialWarningFlashDura1"] = 0.4,
			["SpecialWarningVibrate3"] = true,
			["EventSoundTurle"] = "None",
			["ChosenVoicePack"] = "None",
			["InfoFrameLocked"] = false,
			["UseNameplateHandoff"] = true,
			["HelpMessageVersion"] = 3,
		}
		DBM_AllSavedOptions[TBC_H] = {
			["DontShowFarWarnings"] = true,
			["SpecialWarningFlashAlph2"] = 0.3,
			["DontShowHudMap2"] = true,
			["AlwaysPlayVoice"] = false,
			["ShowSWarningsInChat"] = false,
			["RangeFrameRadarY"] = 0.9996463656425476,
			["DontRestoreIcons"] = false,
			["DontShowNameplateIcons"] = true,
			["CoreSavedRevision"] = 20211102141310,
			["RangeFrameX"] = 416.0001525878906,
			["AlwaysShowSpeedKillTimer"] = true,
			["RangeFrameY"] = 15.99973392486572,
			["FilterInterruptNoteName"] = false,
			["EnableModels"] = false,
			["SpecialWarningFlashAlph3"] = 0.4,
			["ArrowPoint"] = "TOP",
			["SWarnNameInNote"] = true,
			["FakeBWVersion"] = true,
			["InfoFramePoint"] = "BOTTOMRIGHT",
			["EventSoundMusicCombined"] = false,
			["SpecialWarningFlashCol2"] = {
				1, -- [1]
				0.5, -- [2]
				0, -- [3]
			},
			["WarningAlphabetical"] = true,
			["WarningFont"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
			["CheckGear"] = false,
			["SpecialWarningX"] = 0,
			["WorldBossAlert"] = false,
			["DontShowPT2"] = false,
			["WorldBuffAlert"] = true,
			["MoviesSeen"] = {
			},
			["ShowQueuePop"] = true,
			["ShowAllVersions"] = true,
			["DebugMode"] = false,
			["DontShowTargetAnnouncements"] = true,
			["ShowWarningsInChat"] = false,
			["ShowReminders"] = true,
			["SpecialWarningFontCol"] = {
				1, -- [1]
				0.7, -- [2]
				0, -- [3]
			},
			["InfoFrameFontStyle"] = "OUTLINE",
			["WarningFontStyle"] = "OUTLINE",
			["EventSoundEngage2"] = "None",
			["InfoFrameY"] = 1.000015616416931,
			["ChatFrame"] = "DEFAULT_CHAT_FRAME",
			["WarningIconRight"] = true,
			["UseSoundChannel"] = "Master",
			["RangeFrameRadarX"] = 415.9999694824219,
			["ShowRespawn"] = true,
			["EventSoundWipe"] = "None",
			["InfoFrameCols"] = 0,
			["AlwaysShowSpeedKillTimer2"] = false,
			["FilterDispel"] = true,
			["ShowGuildMessagesPlus"] = false,
			["LFDEnhance"] = true,
			["BadTimerAlert"] = false,
			["DontShowPTNoID"] = true,
			["HideGarrisonToasts"] = false,
			["RangeFramePoint"] = "BOTTOMLEFT",
			["SpecialWarningFontShadow"] = true,
			["EventMusicMythicFilter"] = true,
			["HideBossEmoteFrame2"] = true,
			["SpecialWarningVibrate1"] = false,
			["NPAuraSize"] = 40,
			["HideObjectivesFrame"] = true,
			["SpecialWarningShortText"] = true,
			["NewsMessageShown2"] = 1,
			["DontShowPTText"] = false,
			["InfoFrameLocked"] = false,
			["SpecialWarningVibrate4"] = true,
			["SpecialWarningFontSize2"] = 35,
			["SpecialWarningFlashCol5"] = {
				0.2, -- [1]
				1, -- [2]
				1, -- [3]
			},
			["UseNameplateHandoff"] = true,
			["ChosenVoicePack"] = "None",
			["EventSoundTurle"] = "None",
			["SpecialWarningVibrate3"] = true,
			["SpecialWarningFlashDura1"] = 0.4,
			["EventSoundMusic"] = "None",
			["SpecialWarningFlashAlph4"] = 0.4,
			["DebugLevel"] = 1,
			["DisableGuildStatus"] = false,
			["SpecialWarningVibrate2"] = false,
			["SpecialWarningFlashCount2"] = 1,
			["FilterInterrupt2"] = "TandFandBossCooldown",
			["EventSoundDungeonBGM"] = "None",
			["oRA3AnnounceConsumables"] = false,
			["CountdownVoice2"] = "Kolt",
			["AutoAcceptGuildInvite"] = false,
			["EnableWBSharing"] = false,
			["ArrowPosX"] = 0,
			["PTCountThreshold2"] = 5,
			["AITimer"] = true,
			["SpecialWarningFlashDura3"] = 1,
			["WarningShortText"] = true,
			["FilterTrashWarnings2"] = true,
			["SpecialWarningFlash5"] = false,
			["SpecialWarningFlash4"] = false,
			["RLReadyCheckSound"] = true,
			["AutologBosses"] = false,
			["DisableSFX"] = false,
			["GUIX"] = 28.00080108642578,
			["SpecialWarningFlashDura4"] = 0.7,
			["SpecialWarningSound4"] = "Interface\\AddOns\\DBM-Core\\sounds\\ClassicSupport\\HoodWolfTransformPlayer01.ogg",
			["SpecialWarningSound2"] = "Interface\\AddOns\\DBM-Core\\sounds\\ClassicSupport\\UR_Algalon_BHole01.ogg",
			["SpecialWarningFlashCol3"] = {
				1, -- [1]
				0, -- [2]
				0, -- [3]
			},
			["WarningColors"] = {
				{
					["b"] = 0.9411764705882353,
					["g"] = 0.8,
					["r"] = 0.4117647058823529,
				}, -- [1]
				{
					["b"] = 0,
					["g"] = 0.9490196078431372,
					["r"] = 0.9490196078431372,
				}, -- [2]
				{
					["b"] = 0,
					["g"] = 0.5019607843137255,
					["r"] = 1,
				}, -- [3]
				{
					["b"] = 0.1019607843137255,
					["g"] = 0.1019607843137255,
					["r"] = 1,
				}, -- [4]
			},
			["GUIHeight"] = 600,
			["SWarningAlphabetical"] = true,
			["SpecialWarningFlash2"] = false,
			["BlockNoteShare"] = true,
			["SpecialWarningVibrate5"] = true,
			["SpecialWarningFlashDura5"] = 1,
			["DontPlaySpecialWarningSound"] = true,
			["ModelSoundValue"] = "",
			["InfoFrameX"] = -415.4991760253906,
			["AdvancedAutologBosses"] = false,
			["DontShowInfoFrame"] = true,
			["RangeFrameRadarPoint"] = "BOTTOMLEFT",
			["SpecialWarningY"] = -76.49984741210938,
			["SpecialWarningFlashCount5"] = 3,
			["ArrowPosY"] = -150,
			["RangeFrameUpdates"] = "Average",
			["MovieFilter2"] = "OnlyFight",
			["WarningY"] = -165.5003204345703,
			["RaidWarningSound"] = "",
			["CustomSounds"] = 0,
			["SilentMode"] = false,
			["SpecialWarningFlashCount3"] = 3,
			["RoleSpecAlert"] = false,
			["WhisperStats"] = false,
			["VoiceOverSpecW2"] = "DefaultOnly",
			["LogOnlyNonTrivial"] = true,
			["DontPlayPTCountdown"] = false,
			["SpecialWarningFlashAlph5"] = 0.5,
			["SpecialWarningDuration2"] = 1.5,
			["WarningX"] = -0.9999417662620544,
			["ShowEngageMessage"] = false,
			["WarningIconLeft"] = true,
			["RangeFrameLocked"] = false,
			["WarningFontSize"] = 20,
			["DontDoSpecialWarningVibrate"] = false,
			["EventSoundVictory2"] = "None",
			["SpecialWarningFlashDura2"] = 0.4,
			["LastRevision"] = 0,
			["GUIPoint"] = "TOPLEFT",
			["SettingsMessageShown"] = true,
			["SWarnClassColor"] = true,
			["SpecialWarningPoint"] = "TOP",
			["RangeFrameSound1"] = "none",
			["DontRestoreRange"] = false,
			["DontSetIcons"] = true,
			["BigBrotherAnnounceToRaid"] = false,
			["DontShowBossAnnounces"] = false,
			["CountdownVoice"] = "Corsica",
			["SpecialWarningFlashCol4"] = {
				1, -- [1]
				0, -- [2]
				1, -- [3]
			},
			["SpecialWarningFont"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
			["RecordOnlyBosses"] = false,
			["DontShowUserTimers"] = false,
			["DontShowRangeFrame"] = false,
			["AutoRespond"] = true,
			["EventDungMusicMythicFilter"] = true,
			["GUIY"] = -49.00003814697266,
			["RangeFrameFrames"] = "radar",
			["DontPlayCountdowns"] = false,
			["ShowBigBrotherOnCombatStart"] = false,
			["SpecialWarningIcon"] = true,
			["InfoFrameFont"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
			["SpecialWarningFlashAlph1"] = 0.3,
			["ShowDefeatMessage"] = true,
			["FilterTankSpec"] = true,
			["WarningDuration2"] = 1.5,
			["DisableStatusWhisper"] = false,
			["InfoFrameShowSelf"] = false,
			["WarningFontShadow"] = true,
			["CountdownVoice3"] = "Smooth",
			["SpecialWarningFlash1"] = false,
			["DontShowBossTimers"] = false,
			["SpecialWarningFontStyle"] = "OUTLINE",
			["DontShowSpecialWarningFlash"] = true,
			["SpecialWarningFlashCount4"] = 2,
			["InfoFrameFontSize"] = 12,
			["WorldBossNearAlert"] = false,
			["InfoFrameLines"] = 0,
			["BadIDAlert"] = false,
			["ShortTimerText"] = true,
			["AutoAcceptFriendInvite"] = false,
			["WarningIconChat"] = true,
			["SpecialWarningFlashCount1"] = 1,
			["HideGuildChallengeUpdates"] = false,
			["SpecialWarningSound5"] = "Interface\\AddOns\\DBM-Core\\sounds\\ClassicSupport\\LOA_NAXX_AGGRO02.ogg",
			["DontSendYells"] = false,
			["ShowPizzaMessage"] = false,
			["RangeFrameSound2"] = "none",
			["HideTooltips"] = false,
			["SpecialWarningFlash3"] = false,
			["DontPlayTrivialSpecialWarningSound"] = true,
			["Enabled"] = true,
			["AutoReplySound"] = false,
			["GUIWidth"] = 800,
			["FilterVoidFormSay"] = true,
			["LatencyThreshold"] = 250,
			["WarningPoint"] = "TOP",
			["ShowGuildMessages"] = false,
			["SpecialWarningSound3"] = "Interface\\AddOns\\DBM-Core\\sounds\\AirHorn.ogg",
			["StripServerName"] = true,
			["DontShowSpecialWarningText"] = false,
			["SpecialWarningSound"] = 8174,
			["DontShowPTCountdownText"] = false,
			["SpecialWarningFlashCol1"] = {
				1, -- [1]
				1, -- [2]
				0, -- [3]
			},
			["AFKHealthWarning"] = false,
			["ForumsMessageShown"] = false,
			["HelpMessageVersion"] = 3,
		}

		DBT_AllPersistentOptions[TBC] = DBT_AllPersistentOptions[TBC] or {}
		DBT_AllPersistentOptions[TBC_H] = DBT_AllPersistentOptions[TBC_H] or {}
		DBT_AllPersistentOptions[TBC] = {
			["DBM"] = {
				["StartColorPR"] = 1,
				["Scale"] = 1,
				["HugeBarsEnabled"] = true,
				["TimerY"] = -221.5001068115234,
				["EndColorPR"] = 0.5,
				["Sort"] = "Sort",
				["ExpandUpwardsLarge"] = false,
				["ExpandUpwards"] = false,
				["TimerPoint"] = "CENTER",
				["EndColorDG"] = 0,
				["Alpha"] = 0.800000011920929,
				["HugeTimerPoint"] = "BOTTOM",
				["StartColorIR"] = 0.47,
				["StartColorUIR"] = 1,
				["StartColorAG"] = 0.545,
				["EndColorDR"] = 1,
				["HugeBarXOffset"] = 0,
				["StartColorRR"] = 0.5,
				["StartColorUIG"] = 1,
				["FillUpLargeBars"] = true,
				["IconRight"] = false,
				["ClickThrough"] = true,
				["StartColorDG"] = 0.3,
				["StartColorAR"] = 0.375,
				["TextColorR"] = 1,
				["EndColorAER"] = 1,
				["StartColorIB"] = 1,
				["StartColorR"] = 1,
				["Font"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
				["HugeTimerX"] = 11.00027847290039,
				["EndColorAEB"] = 0.247,
				["Height"] = 22,
				["HugeSort"] = "Sort",
				["BarXOffset"] = 0,
				["EndColorB"] = 0,
				["EndColorDB"] = 1,
				["EndColorG"] = 0,
				["BarYOffset"] = 1,
				["StartColorB"] = 0,
				["Skin"] = "",
				["FadeBars"] = true,
				["TextColorB"] = 1,
				["EndColorIB"] = 1,
				["TDecimal"] = 5,
				["InlineIcons"] = false,
				["EndColorRB"] = 0.3,
				["TimerX"] = -241.5000457763672,
				["EndColorIR"] = 0.047,
				["StripCDText"] = true,
				["EndColorRR"] = 0.11,
				["DynamicColor"] = true,
				["BarStyle"] = "NoAnim",
				["EnlargeBarTime"] = 10,
				["Spark"] = false,
				["StartColorDR"] = 0.9,
				["StartColorPB"] = 0.42,
				["FontFlag"] = "OUTLINE",
				["EndColorAB"] = 1,
				["Width"] = 167,
				["EndColorPG"] = 0.41,
				["StartColorRB"] = 0.5,
				["EndColorIG"] = 0.88,
				["EndColorAEG"] = 0.043,
				["HugeAlpha"] = 0.800000011920929,
				["StartColorAEB"] = 0.459,
				["HugeWidth"] = 290,
				["EndColorPB"] = 0.285,
				["KeepBars"] = true,
				["HugeBarYOffset"] = 3,
				["HugeTimerY"] = 267.5002136230469,
				["Bar7ForceLarge"] = false,
				["FontSize"] = 12,
				["IconLeft"] = true,
				["IconLocked"] = true,
				["TextColorG"] = 1,
				["ColorByType"] = true,
				["StartColorAB"] = 1,
				["FillUpBars"] = true,
				["Bar7CustomInline"] = true,
				["EndColorUIB"] = 0.0117647058823529,
				["EndColorUIG"] = 0.92156862745098,
				["NoBarFade"] = false,
				["FlashBar"] = false,
				["EndColorUIR"] = 1,
				["EndColorRG"] = 1,
				["StartColorUIB"] = 0.0627450980392157,
				["StartColorG"] = 0.7,
				["StartColorPG"] = 0.776,
				["Texture"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Textures\\Minimalist",
				["EndColorR"] = 1,
				["StartColorRG"] = 1,
				["StartColorAER"] = 1,
				["StartColorAEG"] = 0.466,
				["EndColorAG"] = 0.385,
				["StartColorIG"] = 0.97,
				["StartColorDB"] = 1,
				["HugeScale"] = 1,
				["EndColorAR"] = 0.15,
				["HugeHeight"] = 22,
			},
			["AddOnSkins"] = {
				["StartColorPR"] = 1,
				["Scale"] = 1,
				["HugeBarsEnabled"] = true,
				["TimerY"] = -221.5001068115234,
				["EndColorPR"] = 0.5,
				["Sort"] = "Sort",
				["ExpandUpwardsLarge"] = false,
				["ExpandUpwards"] = false,
				["TimerPoint"] = "CENTER",
				["EndColorDG"] = 0,
				["Alpha"] = 0.800000011920929,
				["HugeTimerPoint"] = "BOTTOM",
				["StartColorIR"] = 0.47,
				["StartColorUIR"] = 1,
				["StartColorAG"] = 0.545,
				["EndColorDR"] = 1,
				["HugeBarXOffset"] = 0,
				["StartColorRR"] = 0.5,
				["StartColorUIG"] = 1,
				["FillUpLargeBars"] = true,
				["IconRight"] = false,
				["ClickThrough"] = true,
				["StartColorDG"] = 0.3,
				["StartColorAR"] = 0.375,
				["TextColorR"] = 1,
				["EndColorAER"] = 1,
				["StartColorIB"] = 1,
				["StartColorR"] = 1,
				["Font"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
				["HugeTimerX"] = 11.00027847290039,
				["EndColorAEB"] = 0.247,
				["Height"] = 22,
				["HugeSort"] = "Sort",
				["BarXOffset"] = 0,
				["EndColorB"] = 0,
				["EndColorDB"] = 1,
				["EndColorG"] = 0,
				["BarYOffset"] = 1,
				["StartColorB"] = 0,
				["Skin"] = "AddOnSkins",
				["FadeBars"] = true,
				["TextColorB"] = 1,
				["EndColorIB"] = 1,
				["TDecimal"] = 5,
				["InlineIcons"] = false,
				["EndColorRB"] = 0.3,
				["TimerX"] = -241.5000457763672,
				["EndColorIR"] = 0.047,
				["StripCDText"] = true,
				["EndColorRR"] = 0.11,
				["DynamicColor"] = true,
				["BarStyle"] = "NoAnim",
				["EnlargeBarTime"] = 10,
				["Spark"] = false,
				["StartColorDR"] = 0.9,
				["StartColorPB"] = 0.42,
				["FontFlag"] = "OUTLINE",
				["EndColorAB"] = 1,
				["Width"] = 167,
				["EndColorPG"] = 0.41,
				["StartColorRB"] = 0.5,
				["EndColorIG"] = 0.88,
				["EndColorAEG"] = 0.043,
				["HugeAlpha"] = 0.800000011920929,
				["StartColorAEB"] = 0.459,
				["HugeWidth"] = 290,
				["EndColorPB"] = 0.285,
				["KeepBars"] = true,
				["HugeBarYOffset"] = 3,
				["HugeTimerY"] = 267.5002136230469,
				["Bar7ForceLarge"] = false,
				["FontSize"] = 12,
				["IconLeft"] = true,
				["IconLocked"] = true,
				["TextColorG"] = 1,
				["ColorByType"] = true,
				["StartColorAB"] = 1,
				["FillUpBars"] = true,
				["Bar7CustomInline"] = true,
				["EndColorUIB"] = 0.0117647058823529,
				["EndColorUIG"] = 0.92156862745098,
				["NoBarFade"] = false,
				["FlashBar"] = false,
				["EndColorUIR"] = 1,
				["EndColorRG"] = 1,
				["StartColorUIB"] = 0.0627450980392157,
				["StartColorG"] = 0.7,
				["StartColorPG"] = 0.776,
				["Texture"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Textures\\Minimalist",
				["EndColorR"] = 1,
				["StartColorRG"] = 1,
				["StartColorAER"] = 1,
				["StartColorAEG"] = 0.466,
				["EndColorAG"] = 0.385,
				["StartColorIG"] = 0.97,
				["StartColorDB"] = 1,
				["HugeScale"] = 1,
				["EndColorAR"] = 0.15,
				["HugeHeight"] = 22,
			},
		}
		DBT_AllPersistentOptions[TBC_H] = {
			["DBM"] = {
				["StartColorPR"] = 1,
				["Scale"] = 1,
				["HugeBarsEnabled"] = true,
				["TimerY"] = -221.5001068115234,
				["EndColorPR"] = 0.5,
				["Sort"] = "Sort",
				["ExpandUpwardsLarge"] = false,
				["ExpandUpwards"] = false,
				["TimerPoint"] = "CENTER",
				["EndColorDG"] = 0,
				["Alpha"] = 0.800000011920929,
				["HugeTimerPoint"] = "BOTTOM",
				["StartColorIR"] = 0.47,
				["StartColorUIR"] = 1,
				["StartColorAG"] = 0.545,
				["EndColorDR"] = 1,
				["HugeBarXOffset"] = 0,
				["StartColorRR"] = 0.5,
				["StartColorUIG"] = 1,
				["FillUpLargeBars"] = true,
				["IconRight"] = false,
				["ClickThrough"] = true,
				["StartColorDG"] = 0.3,
				["StartColorAR"] = 0.375,
				["TextColorR"] = 1,
				["EndColorAER"] = 1,
				["StartColorIB"] = 1,
				["HugeHeight"] = 22,
				["Font"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
				["EndColorDB"] = 1,
				["EndColorAEB"] = 0.247,
				["Height"] = 22,
				["HugeSort"] = "Sort",
				["BarXOffset"] = 0,
				["EndColorB"] = 0,
				["EndColorAR"] = 0.15,
				["EndColorG"] = 0,
				["HugeScale"] = 1,
				["StartColorDB"] = 1,
				["StartColorIG"] = 0.97,
				["FadeBars"] = true,
				["TextColorB"] = 1,
				["EndColorIB"] = 1,
				["TDecimal"] = 5,
				["StartColorAEG"] = 0.466,
				["EndColorRB"] = 0.3,
				["TimerX"] = -241.5000457763672,
				["EndColorIR"] = 0.047,
				["StartColorAER"] = 1,
				["EndColorRR"] = 0.11,
				["DynamicColor"] = true,
				["BarStyle"] = "NoAnim",
				["EnlargeBarTime"] = 10,
				["Spark"] = false,
				["StartColorDR"] = 0.9,
				["StartColorRG"] = 1,
				["FontFlag"] = "OUTLINE",
				["EndColorAB"] = 1,
				["Width"] = 167,
				["EndColorPG"] = 0.41,
				["StartColorRB"] = 0.5,
				["EndColorIG"] = 0.88,
				["EndColorAEG"] = 0.043,
				["Texture"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Textures\\Minimalist",
				["StartColorAEB"] = 0.459,
				["StartColorPG"] = 0.776,
				["EndColorPB"] = 0.285,
				["KeepBars"] = true,
				["HugeBarYOffset"] = 3,
				["HugeTimerY"] = 267.5002136230469,
				["Bar7ForceLarge"] = false,
				["FontSize"] = 12,
				["IconLeft"] = true,
				["IconLocked"] = true,
				["NoBarFade"] = false,
				["EndColorUIG"] = 0.92156862745098,
				["StartColorAB"] = 1,
				["EndColorUIB"] = 0.0117647058823529,
				["Bar7CustomInline"] = true,
				["FillUpBars"] = true,
				["ColorByType"] = true,
				["TextColorG"] = 1,
				["FlashBar"] = false,
				["EndColorUIR"] = 1,
				["EndColorRG"] = 1,
				["StartColorUIB"] = 0.0627450980392157,
				["StartColorG"] = 0.7,
				["HugeWidth"] = 290,
				["HugeAlpha"] = 0.800000011920929,
				["EndColorR"] = 1,
				["StartColorPB"] = 0.42,
				["StripCDText"] = true,
				["InlineIcons"] = false,
				["EndColorAG"] = 0.385,
				["Skin"] = "",
				["StartColorB"] = 0,
				["BarYOffset"] = 1,
				["HugeTimerX"] = 11.00027847290039,
				["StartColorR"] = 1,
			},
			["AddOnSkins"] = {
				["StartColorPR"] = 1,
				["Scale"] = 1,
				["HugeBarsEnabled"] = true,
				["TimerY"] = -221.5001068115234,
				["EndColorPR"] = 0.5,
				["Sort"] = "Sort",
				["ExpandUpwardsLarge"] = false,
				["ExpandUpwards"] = false,
				["TimerPoint"] = "CENTER",
				["EndColorDG"] = 0,
				["Alpha"] = 0.800000011920929,
				["HugeTimerPoint"] = "CENTER",
				["StartColorIR"] = 0.47,
				["StartColorUIR"] = 1,
				["StartColorAG"] = 0.545,
				["EndColorDR"] = 1,
				["HugeBarXOffset"] = 0,
				["StartColorRR"] = 0.5,
				["StartColorUIG"] = 1,
				["FillUpLargeBars"] = true,
				["IconRight"] = false,
				["ClickThrough"] = true,
				["StartColorDG"] = 0.3,
				["StartColorAR"] = 0.375,
				["TextColorR"] = 1,
				["EndColorAER"] = 1,
				["StartColorIB"] = 1,
				["HugeHeight"] = 22,
				["Font"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
				["EndColorDB"] = 1,
				["EndColorAEB"] = 0.247,
				["Height"] = 22,
				["HugeSort"] = "Sort",
				["BarXOffset"] = 0,
				["EndColorB"] = 0,
				["EndColorAR"] = 0.15,
				["EndColorG"] = 0,
				["HugeScale"] = 1,
				["StartColorDB"] = 1,
				["StartColorIG"] = 0.97,
				["FadeBars"] = true,
				["TextColorB"] = 1,
				["EndColorIB"] = 1,
				["TDecimal"] = 5,
				["StartColorAEG"] = 0.466,
				["EndColorRB"] = 0.3,
				["TimerX"] = -311.5002136230469,
				["EndColorIR"] = 0.047,
				["StartColorAER"] = 1,
				["EndColorRR"] = 0.11,
				["DynamicColor"] = true,
				["BarStyle"] = "NoAnim",
				["EnlargeBarTime"] = 10,
				["Spark"] = false,
				["StartColorDR"] = 0.9,
				["StartColorRG"] = 1,
				["FontFlag"] = "OUTLINE",
				["EndColorAB"] = 1,
				["Width"] = 167,
				["EndColorPG"] = 0.41,
				["StartColorRB"] = 0.5,
				["EndColorIG"] = 0.88,
				["EndColorAEG"] = 0.043,
				["Texture"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Textures\\Minimalist",
				["StartColorAEB"] = 0.459,
				["StartColorPG"] = 0.776,
				["EndColorPB"] = 0.285,
				["KeepBars"] = true,
				["HugeBarYOffset"] = 3,
				["HugeTimerY"] = -240.9997863769531,
				["Bar7ForceLarge"] = false,
				["FontSize"] = 12,
				["IconLeft"] = true,
				["IconLocked"] = true,
				["NoBarFade"] = false,
				["EndColorUIG"] = 0.92156862745098,
				["StartColorAB"] = 1,
				["EndColorUIB"] = 0.0117647058823529,
				["Bar7CustomInline"] = true,
				["FillUpBars"] = true,
				["ColorByType"] = true,
				["TextColorG"] = 1,
				["FlashBar"] = false,
				["EndColorUIR"] = 1,
				["EndColorRG"] = 1,
				["StartColorUIB"] = 0.0627450980392157,
				["StartColorG"] = 0.7,
				["HugeWidth"] = 248,
				["HugeAlpha"] = 0.800000011920929,
				["EndColorR"] = 1,
				["StartColorPB"] = 0.42,
				["StripCDText"] = true,
				["InlineIcons"] = false,
				["EndColorAG"] = 0.385,
				["Skin"] = "AddOnSkins",
				["StartColorB"] = 0,
				["BarYOffset"] = 1,
				["HugeTimerX"] = 375.0002136230469,
				["StartColorR"] = 1,
			},
		}

		DBM_MinimapIcon["hide"] = true

		DBM:ApplyProfile(TBC)

	elseif E.Classic then

		DBM:CreateProfile(Classic) -- DPS/TANK
		DBM:CreateProfile(Classic_H) -- Healing

		DBM_AllSavedOptions[Classic] = DBM_AllSavedOptions[Classic] or {}
		DBM_AllSavedOptions[Classic_H] = DBM_AllSavedOptions[Classic_H] or {}
		DBM_AllSavedOptions[Classic] = {
			["DontShowFarWarnings"] = true,
			["SpecialWarningFlashAlph2"] = 0.3,
			["DontShowHudMap2"] = true,
			["AlwaysPlayVoice"] = false,
			["ShowSWarningsInChat"] = false,
			["RangeFrameRadarY"] = 0.9995806813240051,
			["DontRestoreIcons"] = false,
			["DontShowNameplateIcons"] = true,
			["CoreSavedRevision"] = 20211102141310,
			["RangeFrameX"] = 416.000152587891,
			["AlwaysShowSpeedKillTimer"] = true,
			["RangeFrameY"] = 15.9997339248657,
			["FilterInterruptNoteName"] = false,
			["EnableModels"] = false,
			["SpecialWarningFlashAlph3"] = 0.4,
			["ArrowPoint"] = "TOP",
			["SWarnNameInNote"] = true,
			["FakeBWVersion"] = true,
			["InfoFramePoint"] = "BOTTOMRIGHT",
			["EventSoundMusicCombined"] = false,
			["SpecialWarningFlashCol2"] = {
				1, -- [1]
				0.5, -- [2]
				0, -- [3]
			},
			["WarningAlphabetical"] = true,
			["WarningFont"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
			["CheckGear"] = false,
			["SpecialWarningX"] = 0,
			["WorldBossAlert"] = false,
			["DontShowPT2"] = false,
			["WorldBuffAlert"] = true,
			["MoviesSeen"] = {
			},
			["ShowQueuePop"] = true,
			["ShowAllVersions"] = true,
			["DebugMode"] = false,
			["DontShowTargetAnnouncements"] = true,
			["ShowWarningsInChat"] = false,
			["ShowReminders"] = true,
			["SpecialWarningFontCol"] = {
				1, -- [1]
				0.7, -- [2]
				0, -- [3]
			},
			["InfoFrameFontStyle"] = "OUTLINE",
			["WarningFontStyle"] = "OUTLINE",
			["EventSoundEngage2"] = "None",
			["InfoFrameY"] = 1.00001561641693,
			["ChatFrame"] = "DEFAULT_CHAT_FRAME",
			["WarningIconRight"] = true,
			["UseSoundChannel"] = "Master",
			["RangeFrameRadarX"] = 427.0000305175781,
			["ShowRespawn"] = true,
			["EventSoundWipe"] = "None",
			["InfoFrameCols"] = 0,
			["AlwaysShowSpeedKillTimer2"] = false,
			["FilterDispel"] = true,
			["ShowGuildMessagesPlus"] = false,
			["LFDEnhance"] = true,
			["BadTimerAlert"] = false,
			["DontShowPTNoID"] = true,
			["HideGarrisonToasts"] = false,
			["RangeFramePoint"] = "BOTTOMLEFT",
			["SpecialWarningFontShadow"] = true,
			["EventMusicMythicFilter"] = true,
			["HideBossEmoteFrame2"] = true,
			["SpecialWarningVibrate1"] = false,
			["NPAuraSize"] = 40,
			["HideObjectivesFrame"] = true,
			["SpecialWarningShortText"] = true,
			["NewsMessageShown2"] = 1,
			["DontShowPTText"] = false,
			["InfoFrameLocked"] = false,
			["SpecialWarningVibrate4"] = true,
			["SpecialWarningFontSize2"] = 35,
			["SpecialWarningFlashCol5"] = {
				0.2, -- [1]
				1, -- [2]
				1, -- [3]
			},
			["UseNameplateHandoff"] = true,
			["ChosenVoicePack"] = "None",
			["EventSoundTurle"] = "None",
			["SpecialWarningVibrate3"] = true,
			["SpecialWarningFlashDura1"] = 0.4,
			["EventSoundMusic"] = "None",
			["SpecialWarningFlashAlph4"] = 0.4,
			["DebugLevel"] = 1,
			["DisableGuildStatus"] = false,
			["SpecialWarningVibrate2"] = false,
			["SpecialWarningFlashCount2"] = 1,
			["FilterInterrupt2"] = "TandFandBossCooldown",
			["EventSoundDungeonBGM"] = "None",
			["oRA3AnnounceConsumables"] = false,
			["CountdownVoice2"] = "Kolt",
			["AutoAcceptGuildInvite"] = false,
			["EnableWBSharing"] = false,
			["ArrowPosX"] = 0,
			["PTCountThreshold2"] = 5,
			["AITimer"] = true,
			["SpecialWarningFlashDura3"] = 1,
			["WarningShortText"] = true,
			["FilterTrashWarnings2"] = true,
			["SpecialWarningFlash5"] = false,
			["SpecialWarningFlash4"] = false,
			["RLReadyCheckSound"] = true,
			["GUIX"] = 91.0008010864258,
			["DisableSFX"] = false,
			["AutologBosses"] = false,
			["SpecialWarningFlashDura4"] = 0.7,
			["SpecialWarningSound4"] = "Interface\\AddOns\\DBM-Core\\sounds\\ClassicSupport\\HoodWolfTransformPlayer01.ogg",
			["SpecialWarningSound2"] = "Interface\\AddOns\\DBM-Core\\sounds\\ClassicSupport\\UR_Algalon_BHole01.ogg",
			["SpecialWarningFlashCol3"] = {
				1, -- [1]
				0, -- [2]
				0, -- [3]
			},
			["WarningColors"] = {
				{
					["b"] = 0.9411764705882353,
					["g"] = 0.8,
					["r"] = 0.4117647058823529,
				}, -- [1]
				{
					["b"] = 0,
					["g"] = 0.9490196078431372,
					["r"] = 0.9490196078431372,
				}, -- [2]
				{
					["b"] = 0,
					["g"] = 0.5019607843137255,
					["r"] = 1,
				}, -- [3]
				{
					["b"] = 0.1019607843137255,
					["g"] = 0.1019607843137255,
					["r"] = 1,
				}, -- [4]
			},
			["GUIHeight"] = 600,
			["SWarningAlphabetical"] = true,
			["RangeFrameSound2"] = "none",
			["BlockNoteShare"] = true,
			["SpecialWarningVibrate5"] = true,
			["SpecialWarningFlashDura5"] = 1,
			["DontPlaySpecialWarningSound"] = true,
			["ModelSoundValue"] = "",
			["InfoFrameX"] = -416.499053955078,
			["SpecialWarningFlash2"] = false,
			["SpecialWarningY"] = -76.4998474121094,
			["RangeFrameRadarPoint"] = "BOTTOMLEFT",
			["DontShowInfoFrame"] = true,
			["SpecialWarningFlashCount5"] = 3,
			["RaidWarningSound"] = "",
			["RangeFrameUpdates"] = "Average",
			["MovieFilter2"] = "OnlyFight",
			["SilentMode"] = false,
			["WarningY"] = -165.50032043457,
			["CustomSounds"] = 0,
			["ArrowPosY"] = -150,
			["SpecialWarningFlashCount3"] = 3,
			["RoleSpecAlert"] = false,
			["WhisperStats"] = false,
			["VoiceOverSpecW2"] = "DefaultOnly",
			["LogOnlyNonTrivial"] = true,
			["DontPlayPTCountdown"] = false,
			["SpecialWarningFlashAlph5"] = 0.5,
			["SpecialWarningDuration2"] = 1.5,
			["WarningX"] = -0.999941766262055,
			["ShowEngageMessage"] = false,
			["WarningIconLeft"] = true,
			["RangeFrameLocked"] = false,
			["WarningFontSize"] = 20,
			["DontDoSpecialWarningVibrate"] = false,
			["EventSoundVictory2"] = "None",
			["SpecialWarningFlashDura2"] = 0.4,
			["LastRevision"] = 0,
			["GUIPoint"] = "TOPLEFT",
			["SettingsMessageShown"] = true,
			["SWarnClassColor"] = true,
			["SpecialWarningPoint"] = "TOP",
			["RangeFrameSound1"] = "none",
			["DontRestoreRange"] = false,
			["DontSetIcons"] = true,
			["BigBrotherAnnounceToRaid"] = false,
			["DontShowBossAnnounces"] = false,
			["CountdownVoice"] = "Corsica",
			["SpecialWarningFlashCol4"] = {
				1, -- [1]
				0, -- [2]
				1, -- [3]
			},
			["SpecialWarningFont"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
			["CountdownVoice3"] = "Smooth",
			["RecordOnlyBosses"] = false,
			["DontShowRangeFrame"] = false,
			["AutoRespond"] = true,
			["EventDungMusicMythicFilter"] = true,
			["GUIY"] = -60.0000495910645,
			["RangeFrameFrames"] = "radar",
			["DontPlayCountdowns"] = false,
			["ShowBigBrotherOnCombatStart"] = false,
			["SpecialWarningIcon"] = true,
			["InfoFrameFont"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
			["SpecialWarningFlashAlph1"] = 0.3,
			["ShowDefeatMessage"] = true,
			["FilterTankSpec"] = true,
			["WarningDuration2"] = 1.5,
			["DisableStatusWhisper"] = false,
			["InfoFrameShowSelf"] = false,
			["WarningFontShadow"] = true,
			["DontShowUserTimers"] = false,
			["SpecialWarningFlash1"] = false,
			["DontShowBossTimers"] = false,
			["SpecialWarningFontStyle"] = "OUTLINE",
			["DontShowSpecialWarningFlash"] = true,
			["SpecialWarningFlashCount4"] = 2,
			["InfoFrameFontSize"] = 12,
			["WorldBossNearAlert"] = false,
			["InfoFrameLines"] = 0,
			["BadIDAlert"] = false,
			["ShortTimerText"] = true,
			["AutoAcceptFriendInvite"] = false,
			["WarningIconChat"] = true,
			["SpecialWarningFlashCount1"] = 1,
			["HideGuildChallengeUpdates"] = false,
			["SpecialWarningSound5"] = "Interface\\AddOns\\DBM-Core\\sounds\\ClassicSupport\\LOA_NAXX_AGGRO02.ogg",
			["DontSendYells"] = false,
			["ShowPizzaMessage"] = false,
			["AdvancedAutologBosses"] = false,
			["HideTooltips"] = false,
			["SpecialWarningFlash3"] = false,
			["DontPlayTrivialSpecialWarningSound"] = true,
			["Enabled"] = true,
			["AutoReplySound"] = false,
			["GUIWidth"] = 800,
			["FilterVoidFormSay"] = true,
			["LatencyThreshold"] = 250,
			["WarningPoint"] = "TOP",
			["ShowGuildMessages"] = false,
			["SpecialWarningSound3"] = "Interface\\AddOns\\DBM-Core\\sounds\\AirHorn.ogg",
			["StripServerName"] = true,
			["DontShowSpecialWarningText"] = false,
			["SpecialWarningSound"] = 8174,
			["DontShowPTCountdownText"] = false,
			["SpecialWarningFlashCol1"] = {
				1, -- [1]
				1, -- [2]
				0, -- [3]
			},
			["AFKHealthWarning"] = false,
			["ForumsMessageShown"] = false,
			["HelpMessageVersion"] = 3,
		}
		DBM_AllSavedOptions[Classic_H] = {
			["DontShowFarWarnings"] = true,
			["SpecialWarningFlashAlph2"] = 0.3,
			["DontShowHudMap2"] = true,
			["AlwaysPlayVoice"] = false,
			["ShowSWarningsInChat"] = false,
			["RangeFrameRadarY"] = 0.9995806813240051,
			["DontRestoreIcons"] = false,
			["DontShowNameplateIcons"] = true,
			["CoreSavedRevision"] = 20211109213635,
			["RangeFrameX"] = 416.000152587891,
			["AlwaysShowSpeedKillTimer"] = true,
			["RangeFrameY"] = 15.9997339248657,
			["FilterInterruptNoteName"] = false,
			["EnableModels"] = false,
			["SpecialWarningFlashAlph3"] = 0.4,
			["ArrowPoint"] = "TOP",
			["SWarnNameInNote"] = true,
			["FakeBWVersion"] = true,
			["InfoFramePoint"] = "BOTTOMRIGHT",
			["EventSoundMusicCombined"] = false,
			["SpecialWarningFlashCol2"] = {
				1, -- [1]
				0.5, -- [2]
				0, -- [3]
			},
			["WarningAlphabetical"] = true,
			["WarningFont"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
			["CheckGear"] = false,
			["SpecialWarningX"] = 0,
			["WorldBossAlert"] = false,
			["DontShowPT2"] = false,
			["WorldBuffAlert"] = true,
			["MoviesSeen"] = {
			},
			["ShowQueuePop"] = true,
			["ShowAllVersions"] = true,
			["DebugMode"] = false,
			["DontShowTargetAnnouncements"] = true,
			["ShowWarningsInChat"] = false,
			["ShowReminders"] = true,
			["SpecialWarningFontCol"] = {
				1, -- [1]
				0.7, -- [2]
				0, -- [3]
			},
			["InfoFrameFontStyle"] = "OUTLINE",
			["WarningFontStyle"] = "OUTLINE",
			["EventSoundEngage2"] = "None",
			["InfoFrameY"] = 1.00001561641693,
			["ChatFrame"] = "DEFAULT_CHAT_FRAME",
			["WarningIconRight"] = true,
			["UseSoundChannel"] = "Master",
			["RangeFrameRadarX"] = 427.0000305175781,
			["ShowRespawn"] = true,
			["EventSoundWipe"] = "None",
			["InfoFrameCols"] = 0,
			["AlwaysShowSpeedKillTimer2"] = false,
			["FilterDispel"] = true,
			["ShowGuildMessagesPlus"] = false,
			["LFDEnhance"] = true,
			["BadTimerAlert"] = false,
			["DontShowPTNoID"] = true,
			["HideGarrisonToasts"] = false,
			["RangeFramePoint"] = "BOTTOMLEFT",
			["SpecialWarningFontShadow"] = true,
			["EventMusicMythicFilter"] = true,
			["HideBossEmoteFrame2"] = true,
			["SpecialWarningVibrate1"] = false,
			["NPAuraSize"] = 40,
			["HideObjectivesFrame"] = true,
			["SpecialWarningShortText"] = true,
			["UseNameplateHandoff"] = true,
			["DontShowPTText"] = false,
			["InfoFrameLocked"] = false,
			["SpecialWarningVibrate4"] = true,
			["SpecialWarningFontSize2"] = 35,
			["SpecialWarningFlashCol5"] = {
				0.2, -- [1]
				1, -- [2]
				1, -- [3]
			},
			["NewsMessageShown2"] = 1,
			["ChosenVoicePack"] = "None",
			["EventSoundTurle"] = "None",
			["SpecialWarningVibrate3"] = true,
			["SpecialWarningFlashDura1"] = 0.4,
			["EventSoundMusic"] = "None",
			["SpecialWarningFlashAlph4"] = 0.4,
			["DebugLevel"] = 1,
			["DisableGuildStatus"] = false,
			["SpecialWarningVibrate2"] = false,
			["SpecialWarningFlashCount2"] = 1,
			["FilterInterrupt2"] = "TandFandBossCooldown",
			["EventSoundDungeonBGM"] = "None",
			["oRA3AnnounceConsumables"] = false,
			["CountdownVoice2"] = "Kolt",
			["AutoAcceptGuildInvite"] = false,
			["EnableWBSharing"] = false,
			["ArrowPosX"] = 0,
			["PTCountThreshold2"] = 5,
			["AITimer"] = true,
			["SpecialWarningFlashDura3"] = 1,
			["WarningShortText"] = true,
			["FilterTrashWarnings2"] = true,
			["SpecialWarningFlash5"] = false,
			["SpecialWarningFlash4"] = false,
			["RLReadyCheckSound"] = true,
			["GUIX"] = 91.0008010864258,
			["DisableSFX"] = false,
			["AutologBosses"] = false,
			["SpecialWarningFlashDura4"] = 0.7,
			["SpecialWarningSound4"] = "Interface\\AddOns\\DBM-Core\\sounds\\ClassicSupport\\HoodWolfTransformPlayer01.ogg",
			["SpecialWarningSound2"] = "Interface\\AddOns\\DBM-Core\\sounds\\ClassicSupport\\UR_Algalon_BHole01.ogg",
			["SpecialWarningFlashCol3"] = {
				1, -- [1]
				0, -- [2]
				0, -- [3]
			},
			["WarningColors"] = {
				{
					["b"] = 0.9411764705882353,
					["g"] = 0.8,
					["r"] = 0.4117647058823529,
				}, -- [1]
				{
					["b"] = 0,
					["g"] = 0.9490196078431372,
					["r"] = 0.9490196078431372,
				}, -- [2]
				{
					["b"] = 0,
					["g"] = 0.5019607843137255,
					["r"] = 1,
				}, -- [3]
				{
					["b"] = 0.1019607843137255,
					["g"] = 0.1019607843137255,
					["r"] = 1,
				}, -- [4]
			},
			["GUIHeight"] = 600,
			["SWarningAlphabetical"] = true,
			["RangeFrameSound2"] = "none",
			["BlockNoteShare"] = true,
			["SpecialWarningVibrate5"] = true,
			["SpecialWarningFlashDura5"] = 1,
			["DontPlaySpecialWarningSound"] = true,
			["ModelSoundValue"] = "",
			["InfoFrameX"] = -416.499053955078,
			["SpecialWarningFlash2"] = false,
			["SpecialWarningY"] = -76.4998474121094,
			["RangeFrameRadarPoint"] = "BOTTOMLEFT",
			["DontShowInfoFrame"] = true,
			["SpecialWarningFlashCount5"] = 3,
			["ArrowPosY"] = -150,
			["RangeFrameUpdates"] = "Average",
			["MovieFilter2"] = "OnlyFight",
			["RaidWarningSound"] = "",
			["WarningY"] = -165.50032043457,
			["CustomSounds"] = 0,
			["SilentMode"] = false,
			["SpecialWarningFlashCount3"] = 3,
			["ShortTimerText"] = true,
			["WhisperStats"] = false,
			["VoiceOverSpecW2"] = "DefaultOnly",
			["LogOnlyNonTrivial"] = true,
			["DontPlayPTCountdown"] = false,
			["SpecialWarningFlashAlph5"] = 0.5,
			["SpecialWarningDuration2"] = 1.5,
			["WarningX"] = -0.999941766262055,
			["ShowEngageMessage"] = false,
			["WarningIconLeft"] = true,
			["RangeFrameLocked"] = false,
			["DontDoSpecialWarningVibrate"] = false,
			["WarningFontSize"] = 20,
			["EventSoundVictory2"] = "None",
			["SpecialWarningFlashDura2"] = 0.4,
			["LastRevision"] = 0,
			["GUIPoint"] = "TOPLEFT",
			["SettingsMessageShown"] = true,
			["SWarnClassColor"] = true,
			["SpecialWarningPoint"] = "TOP",
			["RangeFrameSound1"] = "none",
			["DontRestoreRange"] = false,
			["DontSetIcons"] = true,
			["BigBrotherAnnounceToRaid"] = false,
			["DontShowBossAnnounces"] = false,
			["CountdownVoice"] = "Corsica",
			["SpecialWarningFlashCol4"] = {
				1, -- [1]
				0, -- [2]
				1, -- [3]
			},
			["SpecialWarningFont"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
			["DontShowUserTimers"] = false,
			["RecordOnlyBosses"] = false,
			["WarningDuration2"] = 1.5,
			["DisableStatusWhisper"] = false,
			["EventDungMusicMythicFilter"] = true,
			["GUIY"] = -60.0000495910645,
			["RangeFrameFrames"] = "radar",
			["DontPlayCountdowns"] = false,
			["ShowBigBrotherOnCombatStart"] = false,
			["SpecialWarningIcon"] = true,
			["InfoFrameFont"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
			["SpecialWarningFlashAlph1"] = 0.3,
			["ShowDefeatMessage"] = true,
			["FilterTankSpec"] = true,
			["DontShowRangeFrame"] = false,
			["AutoRespond"] = true,
			["InfoFrameShowSelf"] = false,
			["WarningFontShadow"] = true,
			["CountdownVoice3"] = "Smooth",
			["SpecialWarningFlash1"] = false,
			["DontShowBossTimers"] = false,
			["SpecialWarningFontStyle"] = "OUTLINE",
			["DontShowSpecialWarningFlash"] = true,
			["SpecialWarningFlashCount4"] = 2,
			["InfoFrameFontSize"] = 12,
			["WorldBossNearAlert"] = false,
			["InfoFrameLines"] = 0,
			["BadIDAlert"] = false,
			["RoleSpecAlert"] = false,
			["AutoAcceptFriendInvite"] = false,
			["WarningIconChat"] = true,
			["SpecialWarningFlashCount1"] = 1,
			["HideGuildChallengeUpdates"] = false,
			["SpecialWarningSound5"] = "Interface\\AddOns\\DBM-Core\\sounds\\ClassicSupport\\LOA_NAXX_AGGRO02.ogg",
			["DontSendYells"] = false,
			["ShowPizzaMessage"] = false,
			["AdvancedAutologBosses"] = false,
			["HideTooltips"] = false,
			["SpecialWarningFlash3"] = false,
			["DontPlayTrivialSpecialWarningSound"] = true,
			["Enabled"] = true,
			["AutoReplySound"] = false,
			["GUIWidth"] = 800,
			["FilterVoidFormSay"] = true,
			["LatencyThreshold"] = 250,
			["WarningPoint"] = "TOP",
			["ShowGuildMessages"] = false,
			["SpecialWarningSound3"] = "Interface\\AddOns\\DBM-Core\\sounds\\AirHorn.ogg",
			["StripServerName"] = true,
			["DontShowSpecialWarningText"] = false,
			["SpecialWarningSound"] = 8174,
			["DontShowPTCountdownText"] = false,
			["SpecialWarningFlashCol1"] = {
				1, -- [1]
				1, -- [2]
				0, -- [3]
			},
			["AFKHealthWarning"] = false,
			["ForumsMessageShown"] = false,
			["HelpMessageVersion"] = 3,
		}

		DBT_AllPersistentOptions[Classic] = DBT_AllPersistentOptions[Classic] or {}
		DBT_AllPersistentOptions[Classic_H] = DBT_AllPersistentOptions[Classic_H] or {}
		DBT_AllPersistentOptions[Classic] = {
			["DBM"] = {
				["StartColorPR"] = 1,
				["Scale"] = 1,
				["HugeBarsEnabled"] = true,
				["TimerY"] = -221.5001068115234,
				["EndColorPR"] = 0.5,
				["Sort"] = "Sort",
				["ExpandUpwardsLarge"] = false,
				["ExpandUpwards"] = false,
				["TimerPoint"] = "CENTER",
				["EndColorDG"] = 0,
				["Alpha"] = 0.800000011920929,
				["HugeTimerPoint"] = "BOTTOM",
				["StartColorIR"] = 0.47,
				["StartColorUIR"] = 1,
				["StartColorAG"] = 0.545,
				["EndColorDR"] = 1,
				["HugeBarXOffset"] = 0,
				["StartColorRR"] = 0.5,
				["StartColorUIG"] = 1,
				["FillUpLargeBars"] = true,
				["IconRight"] = false,
				["ClickThrough"] = true,
				["StartColorDG"] = 0.3,
				["StartColorAR"] = 0.375,
				["TextColorR"] = 1,
				["EndColorAER"] = 1,
				["StartColorIB"] = 1,
				["HugeHeight"] = 22,
				["Font"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
				["EndColorAR"] = 0.15,
				["EndColorAEB"] = 0.247,
				["Height"] = 22,
				["HugeSort"] = "Sort",
				["BarXOffset"] = 0,
				["EndColorB"] = 0,
				["EndColorDB"] = 1,
				["EndColorG"] = 0,
				["HugeScale"] = 1,
				["StartColorDB"] = 1,
				["StartColorIG"] = 0.97,
				["FadeBars"] = true,
				["TextColorB"] = 1,
				["EndColorIB"] = 1,
				["TDecimal"] = 5,
				["InlineIcons"] = false,
				["EndColorRB"] = 0.3,
				["TimerX"] = -241.5000305175781,
				["EndColorIR"] = 0.047,
				["StartColorAEG"] = 0.466,
				["EndColorRR"] = 0.11,
				["DynamicColor"] = true,
				["BarStyle"] = "NoAnim",
				["EnlargeBarTime"] = 10,
				["Spark"] = false,
				["StartColorDR"] = 0.9,
				["StartColorRG"] = 1,
				["FontFlag"] = "OUTLINE",
				["EndColorAB"] = 1,
				["Width"] = 167,
				["EndColorPG"] = 0.41,
				["StartColorRB"] = 0.5,
				["EndColorIG"] = 0.88,
				["EndColorAEG"] = 0.043,
				["Texture"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Textures\\Minimalist",
				["StartColorAEB"] = 0.459,
				["StartColorPG"] = 0.776,
				["EndColorPB"] = 0.285,
				["KeepBars"] = true,
				["HugeBarYOffset"] = 1,
				["HugeTimerY"] = 267.5001525878906,
				["Bar7ForceLarge"] = false,
				["FontSize"] = 12,
				["IconLeft"] = true,
				["IconLocked"] = true,
				["NoBarFade"] = false,
				["EndColorUIG"] = 0.92156862745098,
				["StartColorAB"] = 1,
				["EndColorUIB"] = 0.0117647058823529,
				["Bar7CustomInline"] = true,
				["FillUpBars"] = true,
				["ColorByType"] = true,
				["TextColorG"] = 1,
				["FlashBar"] = false,
				["EndColorUIR"] = 1,
				["EndColorRG"] = 1,
				["StartColorUIB"] = 0.0627450980392157,
				["StartColorG"] = 0.7,
				["HugeWidth"] = 290,
				["HugeAlpha"] = 0.800000011920929,
				["EndColorR"] = 1,
				["StartColorPB"] = 0.42,
				["StripCDText"] = true,
				["StartColorAER"] = 1,
				["EndColorAG"] = 0.385,
				["Skin"] = "",
				["StartColorB"] = 0,
				["BarYOffset"] = 1,
				["HugeTimerX"] = 11.00008201599121,
				["StartColorR"] = 1,
			},
			["AddOnSkins"] = {
				["StartColorPR"] = 1,
				["Scale"] = 1,
				["HugeBarsEnabled"] = true,
				["TimerY"] = -221.5001068115234,
				["EndColorPR"] = 0.5,
				["Sort"] = "Sort",
				["ExpandUpwardsLarge"] = false,
				["ExpandUpwards"] = false,
				["TimerPoint"] = "CENTER",
				["EndColorDG"] = 0,
				["Alpha"] = 0.800000011920929,
				["HugeTimerPoint"] = "BOTTOM",
				["StartColorIR"] = 0.47,
				["StartColorUIR"] = 1,
				["StartColorAG"] = 0.545,
				["EndColorDR"] = 1,
				["HugeBarXOffset"] = 0,
				["StartColorRR"] = 0.5,
				["StartColorUIG"] = 1,
				["FillUpLargeBars"] = true,
				["IconRight"] = false,
				["ClickThrough"] = true,
				["StartColorDG"] = 0.3,
				["StartColorAR"] = 0.375,
				["TextColorR"] = 1,
				["EndColorAER"] = 1,
				["StartColorIB"] = 1,
				["HugeHeight"] = 22,
				["Font"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
				["EndColorAR"] = 0.15,
				["EndColorAEB"] = 0.247,
				["Height"] = 22,
				["HugeSort"] = "Sort",
				["BarXOffset"] = 0,
				["EndColorB"] = 0,
				["EndColorDB"] = 1,
				["EndColorG"] = 0,
				["HugeScale"] = 1,
				["StartColorDB"] = 1,
				["StartColorIG"] = 0.97,
				["FadeBars"] = true,
				["TextColorB"] = 1,
				["EndColorIB"] = 1,
				["TDecimal"] = 5,
				["InlineIcons"] = false,
				["EndColorRB"] = 0.3,
				["TimerX"] = -241.5000305175781,
				["EndColorIR"] = 0.047,
				["StartColorAEG"] = 0.466,
				["EndColorRR"] = 0.11,
				["DynamicColor"] = true,
				["BarStyle"] = "NoAnim",
				["EnlargeBarTime"] = 10,
				["Spark"] = false,
				["StartColorDR"] = 0.9,
				["StartColorRG"] = 1,
				["FontFlag"] = "OUTLINE",
				["EndColorAB"] = 1,
				["Width"] = 167,
				["EndColorPG"] = 0.41,
				["StartColorRB"] = 0.5,
				["EndColorIG"] = 0.88,
				["EndColorAEG"] = 0.043,
				["Texture"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Textures\\Minimalist",
				["StartColorAEB"] = 0.459,
				["StartColorPG"] = 0.776,
				["EndColorPB"] = 0.285,
				["KeepBars"] = true,
				["HugeBarYOffset"] = 1,
				["HugeTimerY"] = 267.5001525878906,
				["Bar7ForceLarge"] = false,
				["FontSize"] = 12,
				["IconLeft"] = true,
				["IconLocked"] = true,
				["NoBarFade"] = false,
				["EndColorUIG"] = 0.92156862745098,
				["StartColorAB"] = 1,
				["EndColorUIB"] = 0.0117647058823529,
				["Bar7CustomInline"] = true,
				["FillUpBars"] = true,
				["ColorByType"] = true,
				["TextColorG"] = 1,
				["FlashBar"] = false,
				["EndColorUIR"] = 1,
				["EndColorRG"] = 1,
				["StartColorUIB"] = 0.0627450980392157,
				["StartColorG"] = 0.7,
				["HugeWidth"] = 290,
				["HugeAlpha"] = 0.800000011920929,
				["EndColorR"] = 1,
				["StartColorPB"] = 0.42,
				["StripCDText"] = true,
				["StartColorAER"] = 1,
				["EndColorAG"] = 0.385,
				["Skin"] = "",
				["StartColorB"] = 0,
				["BarYOffset"] = 1,
				["HugeTimerX"] = 11.00008201599121,
				["StartColorR"] = 1,
			},
		}
		DBT_AllPersistentOptions[Classic_H] = {
			["DBM"] = {
				["StartColorPR"] = 1,
				["Scale"] = 1,
				["HugeBarsEnabled"] = true,
				["TimerY"] = -221.5001068115234,
				["EndColorPR"] = 0.5,
				["Sort"] = "Sort",
				["ExpandUpwardsLarge"] = false,
				["ExpandUpwards"] = false,
				["TimerPoint"] = "CENTER",
				["EndColorDG"] = 0,
				["Alpha"] = 0.800000011920929,
				["HugeTimerPoint"] = "BOTTOM",
				["StartColorIR"] = 0.47,
				["StartColorUIR"] = 1,
				["StartColorAG"] = 0.545,
				["EndColorDR"] = 1,
				["HugeBarXOffset"] = 0,
				["StartColorRR"] = 0.5,
				["StartColorUIG"] = 1,
				["FillUpLargeBars"] = true,
				["IconRight"] = false,
				["ClickThrough"] = true,
				["StartColorDG"] = 0.3,
				["StartColorAR"] = 0.375,
				["TextColorR"] = 1,
				["EndColorAER"] = 1,
				["StartColorIB"] = 1,
				["HugeHeight"] = 22,
				["Font"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
				["EndColorDB"] = 1,
				["EndColorAEB"] = 0.247,
				["HugeTimerX"] = 11.00008201599121,
				["HugeSort"] = "Sort",
				["BarXOffset"] = 0,
				["EndColorB"] = 0,
				["EndColorAR"] = 0.15,
				["EndColorG"] = 0,
				["HugeScale"] = 1,
				["StartColorDB"] = 1,
				["StartColorIG"] = 0.97,
				["FadeBars"] = true,
				["TextColorB"] = 1,
				["EndColorIB"] = 1,
				["TDecimal"] = 5,
				["InlineIcons"] = false,
				["EndColorRB"] = 0.3,
				["TimerX"] = -241.5000305175781,
				["EndColorIR"] = 0.047,
				["StartColorAEG"] = 0.466,
				["EndColorRR"] = 0.11,
				["DynamicColor"] = true,
				["BarStyle"] = "NoAnim",
				["EnlargeBarTime"] = 10,
				["Spark"] = false,
				["StartColorDR"] = 0.9,
				["StartColorRG"] = 1,
				["FontFlag"] = "OUTLINE",
				["EndColorAB"] = 1,
				["Width"] = 167,
				["EndColorPG"] = 0.41,
				["StartColorRB"] = 0.5,
				["EndColorIG"] = 0.88,
				["EndColorAEG"] = 0.043,
				["Texture"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Textures\\Minimalist",
				["StartColorAEB"] = 0.459,
				["StartColorPG"] = 0.776,
				["EndColorPB"] = 0.285,
				["KeepBars"] = true,
				["HugeBarYOffset"] = 1,
				["HugeTimerY"] = 267.5001525878906,
				["Bar7ForceLarge"] = false,
				["FontSize"] = 12,
				["IconLeft"] = true,
				["IconLocked"] = true,
				["NoBarFade"] = false,
				["EndColorUIG"] = 0.92156862745098,
				["StartColorAB"] = 1,
				["EndColorUIB"] = 0.0117647058823529,
				["Bar7CustomInline"] = true,
				["FillUpBars"] = true,
				["ColorByType"] = true,
				["TextColorG"] = 1,
				["FlashBar"] = false,
				["EndColorUIR"] = 1,
				["EndColorRG"] = 1,
				["StartColorUIB"] = 0.0627450980392157,
				["StartColorG"] = 0.7,
				["HugeWidth"] = 290,
				["HugeAlpha"] = 0.800000011920929,
				["EndColorR"] = 1,
				["StartColorPB"] = 0.42,
				["StripCDText"] = true,
				["StartColorAER"] = 1,
				["EndColorAG"] = 0.385,
				["Skin"] = "",
				["StartColorB"] = 0,
				["BarYOffset"] = 1,
				["Height"] = 22,
				["StartColorR"] = 1,
			},
			["AddOnSkins"] = {
				["StartColorPR"] = 1,
				["Scale"] = 1,
				["HugeBarsEnabled"] = true,
				["TimerY"] = -221.5001068115234,
				["EndColorPR"] = 0.5,
				["Sort"] = "Sort",
				["ExpandUpwardsLarge"] = false,
				["ExpandUpwards"] = false,
				["TimerPoint"] = "CENTER",
				["EndColorDG"] = 0,
				["Alpha"] = 0.800000011920929,
				["HugeTimerPoint"] = "CENTER",
				["StartColorIR"] = 0.47,
				["StartColorUIR"] = 1,
				["StartColorAG"] = 0.545,
				["EndColorDR"] = 1,
				["HugeBarXOffset"] = 0,
				["StartColorRR"] = 0.5,
				["StartColorUIG"] = 1,
				["FillUpLargeBars"] = true,
				["IconRight"] = false,
				["ClickThrough"] = true,
				["StartColorDG"] = 0.3,
				["StartColorAR"] = 0.375,
				["TextColorR"] = 1,
				["EndColorAER"] = 1,
				["StartColorIB"] = 1,
				["HugeHeight"] = 22,
				["Font"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Fonts\\Expressway.ttf",
				["EndColorDB"] = 1,
				["EndColorAEB"] = 0.247,
				["HugeTimerX"] = 375.0002136230469,
				["HugeSort"] = "Sort",
				["BarXOffset"] = 0,
				["EndColorB"] = 0,
				["EndColorAR"] = 0.15,
				["EndColorG"] = 0,
				["HugeScale"] = 1,
				["StartColorDB"] = 1,
				["StartColorIG"] = 0.97,
				["FadeBars"] = true,
				["TextColorB"] = 1,
				["EndColorIB"] = 1,
				["TDecimal"] = 5,
				["InlineIcons"] = false,
				["EndColorRB"] = 0.3,
				["TimerX"] = -311.5001525878906,
				["EndColorIR"] = 0.047,
				["StartColorAEG"] = 0.466,
				["EndColorRR"] = 0.11,
				["DynamicColor"] = true,
				["BarStyle"] = "NoAnim",
				["EnlargeBarTime"] = 10,
				["Spark"] = false,
				["StartColorDR"] = 0.9,
				["StartColorRG"] = 1,
				["FontFlag"] = "OUTLINE",
				["EndColorAB"] = 1,
				["Width"] = 167,
				["EndColorPG"] = 0.41,
				["StartColorRB"] = 0.5,
				["EndColorIG"] = 0.88,
				["EndColorAEG"] = 0.043,
				["Texture"] = "Interface\\AddOns\\ElvUI\\Core\\Media\\Textures\\Minimalist",
				["StartColorAEB"] = 0.459,
				["StartColorPG"] = 0.776,
				["EndColorPB"] = 0.285,
				["KeepBars"] = true,
				["HugeBarYOffset"] = 1,
				["HugeTimerY"] = -240.9998626708984,
				["Bar7ForceLarge"] = false,
				["FontSize"] = 12,
				["IconLeft"] = true,
				["IconLocked"] = true,
				["NoBarFade"] = false,
				["EndColorUIG"] = 0.92156862745098,
				["StartColorAB"] = 1,
				["EndColorUIB"] = 0.0117647058823529,
				["Bar7CustomInline"] = true,
				["FillUpBars"] = true,
				["ColorByType"] = true,
				["TextColorG"] = 1,
				["FlashBar"] = false,
				["EndColorUIR"] = 1,
				["EndColorRG"] = 1,
				["StartColorUIB"] = 0.0627450980392157,
				["StartColorG"] = 0.7,
				["HugeWidth"] = 248,
				["HugeAlpha"] = 0.800000011920929,
				["EndColorR"] = 1,
				["StartColorPB"] = 0.42,
				["StripCDText"] = true,
				["StartColorAER"] = 1,
				["EndColorAG"] = 0.385,
				["Skin"] = "AddOnSkins",
				["StartColorB"] = 0,
				["BarYOffset"] = 1,
				["Height"] = 22,
				["StartColorR"] = 1,
			},
		}

		DBM_MinimapIcon["hide"] = true

		DBM:ApplyProfile(Classic)

	end

	L1UI:Print('Make sure to (re)-enable Deadly Boss Mods Core')
	L1UI:Print('in AddOnSkins -> Skins.')
end
